	program catrnks
C REM PROGRAM "2_CAT06" OF IONOSPHERIC DISTURBED AND QUIET DAYS
c REM new input of *.mpr files = output from devff2.for
c REM SUM-OF-CURRENT-RANKS BASED ON DAILY Dm- Dm+ Dmax- Dmax+ 0-count
C
C NEW !!!! Include DSD, DSD- and DSD+ in ranking and SUM-of-RANKS.........June 2006.
C (1) XN,KN .......DSD-
C (2) XP,KP .......DSD+
C (3) XS,KS .......DSD
C (4) XM,KM .......Daily Mean
C (5) XA,KA .......Daily Peak
C (6) XR,KR .......Daily Rate of variability
C (7) X2,K2 .......Daily Sum of Ranks	(4)+(5)+(6)
      DIMENSION IM(12),DA3(0:34,0:7)
      DIMENSION X1(31),X2(31),K2(31),XN(31),KN(31),XP(31),KP(31)
	+,XM(31),KM(31),XA(31),KA(31),XR(31),KR(31),XS(31),KS(31)
      DIMENSION SD(12)
	CHARACTER*128 infile,outfile,outfile2
	CHARACTER*104 lin
  	CHARACTER*4 YEAR
	CHARACTER*2 YR,AMN,ST,AST,CAT(31,6),CCC,ZZ(31),RR
	CHARACTER*1	CN,CP,CQ
      CHARACTER*3 AMON(12),TIT,TITLE
      DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
      DATA AMON/'JAN','FEB','MAR','APR','MAY','JUN','JUL','AUG','SEP'
	*,'OCT','NOV','DEC'/
	DATA ZZ/' 1',' 2',' 3',' 4',' 5',' 6',' 7',' 8',' 9','10'
	+,'11','12','13','14','15','16','17','18','19','20'
     +,'21','22','23','24','25','26','27','28','29','30','31'/
	DATA lin/'================================================================
	*========================================'/
C Start ===============================================
	AST='00'			  ! Signal for end of stations input !
	CCC='..'
	CN='-'
	CP='+'
	CQ='*'

      YEAR='2023' 
 	YR=YEAR(3:4)
	read(yr,*) iyr
      if(iyr/4*4.eq.iyr) im(2)=29

	AMN='10'
	read(amn,*) mn
	TIT=AMON(mn)
      IDNR=IM(MN)
	 KPN=24*IDNR
c
	 outfile='d:\2018\IDCE\zz'
c	 outfile='d:\DATA\2006\zz'
       outfile(6:7)=YR
		outfile(16:17)=YR
 	outfile(18:19)=AMN
	outfile2=outfile
	outfile(20:23)='.rnk'
	outfile2(20:23)='.cat'
c     FLR$="D:\2006\idce\SD"+YR$+MN$+".RNK"

	OPEN(112,FILE=OUTFILE,ACCESS='APPEND')
	OPEN(113,FILE=OUTFILE2,ACCESS='APPEND')
	WRITE(113,10) lin
   10	format(A104)
	WRITE(113,11) (zz(i),i=1,31)
   11	format(3X,31(1X,A2))
   	WRITE(113,10) lin 
C
c      FLN$="D:\2006\idce\"+ST$+YR$+".MPR"
c	infile='d:\DATA\2006\'
c	infile='d:\2006\ionosite\tempmpr\'
	infile='d:\web\tempmpr\'
C !!!!!! start cycle for stations: 
C Station code input:
    1	     WRITE(*,*)' ENTER ST (<00> for stop):'
		READ(*,*) ST
	if (st.eq.ast) goto 1300                ! End of stations input
C
      WRITE(112,111) ST
	WRITE(*,111) ST
  111	format(1X,A2)
C Prepare output of Catalog-daily
	do k=1,6
	do j=1,31
	cat(j,k)=ccc
	enddo
	enddo

c
	infile(16:17)=yr
	infile(18:21)='mpr\' 
      infile(22:23)=ST
	infile(24:25)=YR
	infile(26:27)=AMN
	infile(28:31)='.mpr'
	OPEN(111,FILE=INFILE)
C ==========================================================
  100	read (111,160,err=3,end=1280) title
  160	format(6X,A3)
  380 IF (title.eq.TIT) then
      GOTO 390
	                        else
	goto 100
	endif

  390 continue

  410 J=0 
      JNP=0 
c	 DCN=DW 
       IW=0 
	
  420 DO I=1,IDNR
      read (111,460,err=3,end=500) (DA3(I,K),k=0,7)
  460	format(1X,F2.0,3(F4.0),1X,F2.0,3(1X,F6.2))
      ENDDO
  500 continue
  530 KPN=J

C =================== Start cycle on 3 rank components=====================
  540 DO K=1,7
      APE=0.
	if (k.eq.6) ape=-10000.
      do 550 I=1,IDNR
	if (da3(i,k).eq.0.) goto 550
	val=da3(i,k)
	if (k.eq.6) val=-val
      IF (val.gt.APE) APE=val
  550 continue
      DA3(0,K)=APE
      ENDDO
	DA3(0,6)=-da3(0,6)
C
      DO K=1,7
      DO 650 I=1,IDNR
      if (da3(0,k).eq.0.) goto 650 
	DA3(I,K)=DA3(I,K)/DA3(0,K)
  650 CONTINUE
      ENDDO
C
  660 JMN=1 
      JN=0 
C Preserve ranking (4) Daily Mean, (5) Peak, (6) Rate Var. (7) sum=(4)+(5)+(6)
C NEW !!! Ranking (1) DSD; (2) DSD- ; (3) DSD+ 
	JCNT=1  
	JQYR=0
C
  670 MM=0 
      JDN=IDNR 
	MND=JN+JDN 
	SD(JMN)=0.
  680 DO N=1,JDN
      IJ=N
      GOTO (710,720,730,731,732,733,740) JCNT
  710 YY=DA3(N,6) 
      GOTO 750
  720 YY=DA3(N,7) 
      GOTO 750	
  730 YY=DA3(N,5) 
      GOTO 750
  731 YY=DA3(N,1) 
      GOTO 750
  732 YY=DA3(N,2) 
      GOTO 750
  733 YY=DA3(N,3) 
      GOTO 750
  740 YY=DA3(N,0)
  750 X1(N)=YY
      ENDDO
C
  770 XX=0.            !  REM MAX X1(N)
      DO N=1,JDN
      IF (XX.lt.X1(N)) XX=X1(N)
      ENDDO
  810 DO 850 N=1,JDN
  820    IF (X1(N).lt.XX) GOTO 850
      IF (MM.gt.30) GOTO 860
      MM=MM+1 
	X2(MM)=XX 
	X1(N)=0. 
	K2(MM)=N
  850 CONTINUE
  860 IF (MM.lt.JDN) GOTO 770
      IF (JCNT.eq.7) GOTO 1110	  
C
      GOTO (890,900,910,920,930,940,1110) JCNT
C
  890 DO J=1,JDN			 ! jcnt=1 ......DSD-
      XN(J)=X2(J)
	KN(J)=K2(J)
       ENDDO
      JCNT=2 
	GOTO 670
C
  900 DO J=1,JDN			 ! jcnt=2 ..... DSD+
      XP(J)=X2(J)
	KP(J)=K2(J)
      ENDDO
      JCNT=3  
	GOTO 670
C
  910 DO J=1,JDN			 ! jcnt=3.......DSD
      XS(J)=X2(J)
	KS(J)=K2(J)
        ENDDO
	JCNT=4  
	GOTO 670

  920 DO J=1,JDN			 ! jcnt=4.......Daily mean
      XM(J)=X2(J)
 	KM(J)=K2(J)
        ENDDO
	JCNT=5  
	GOTO 670

  930 DO J=1,JDN			 ! jcnt=5.......Daily peak
      XA(J)=X2(J)
	KA(J)=K2(J)
        ENDDO
	JCNT=6  
	GOTO 670
  940 DO J=1,JDN			 ! jcnt=6.......Daily Rate of variability
      XR(J)=X2(J)
	KR(J)=K2(J)
        ENDDO
C  Sum of ranks includes (1) 100-rnk(DSD-);(2),(4),(5),(6)================
 1000     DO J=1,JDN
      SM=0.
       DO K=1,JDN
t      IF (KN(K).eq.J) SM=SM-XN(K)	   ! Not include DSD- rank
t      IF (KP(K).eq.J) SM=SM+XP(K)	   ! Not include DSD+ rank
C      IF (KS(K).eq.J) SM=SM+XS(K)	   ! Not include DSD  rank
	IF (KM(K).eq.J) SM=SM+XM(K)  
      IF (KA(K).eq.J) SM=SM+XA(K)
      IF (KR(K).eq.J) SM=SM+XR(K)
       ENDDO
       DA3(J,0)=SM
          ENDDO
      JCNT=7
       GOTO 670
C
 1110 CONTINUE			 ! jcnt=7
	jq=jdn
      DO JT=1,JDN
	JXN=-NINT(abs(XN(JT))*100) 
	JXP=NINT(XP(JT)*100) 
      JXS=NINT(XS(JT)*100)
	JXM=NINT(XM(JT)*100)
	JXA=NINT(XA(JT)*100)
	JXR=NINT(XR(JT)*100)
	JXT=NINT(X2(JT)*100)
	if (jxs.eq.0) jq=jq-1    ! define number of observed days-of-month
	WRITE(112,110) JT,DA3(JT,4),JXN,KN(JT),JXP,KP(JT),JXS,KS(JT)
	+,JXM,KM(JT),JXA,KA(JT),JXR,KR(JT),JXT,K2(JT)
 	WRITE(*,110) JT,DA3(JT,4),JXN,KN(JT),JXP,KP(JT),JXS,KS(JT)
	+,JXM,KM(JT),JXA,KA(JT),JXR,KR(JT),JXT,K2(JT)
  110	format(1X,I2,1X,F3.0,7(1X,I4,1X,I2))
c
        enddo				! end of output (.rnk)
C Prepare Output of Catalog line:
	do j=1,5
	 RR=ZZ(j)
	RR(1:1)=CN
	j1=kn(j)
	cat(j1,1)=RR
	j2=k2(jq-j+1)
	cat(j2,2)=RR
	j3=kp(j)
	RR(1:1)=CP
	cat(j3,3)=RR
	j4=k2(j)
	cat(j4,4)=RR
	j5=ks(jq-j+1)
	RR(1:1)=CQ
	cat(j5,5)=RR			! Q-days for min(DSD) => output
	j6=ks(jq/2+j-3)
	cat(j6,6)=RR            ! Avoid these q-days
	   enddo
			WRITE(*,10) lin  
		WRITE(*,11) (zz(i),i=1,31)
			WRITE(*,10) lin  
	do 1120 k=1,5
	if ((k.eq.1).or.(k.eq.3)) goto 1120   ! Avoid cnts(DSD-, DSD+)
	WRITE(113,12) st,(cat(i,k),i=1,31)
	WRITE(*,12) st,(cat(i,k),i=1,31)
   12	format(1X,A2,31(1X,A2))
 1120	continue
			WRITE(113,10) lin  
			WRITE(*,10) lin  
 1270 CLOSE (unit=111)
	write(*,*) ST
	   GOTO 1           ! continue with next station data 
 1280	 write(*,*) 'NO DATA FOR GIVEN MONTH IN YOUR FILE '
	goto 1
    3	 write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
       if (st.eq.ast) then 
	 goto 1300 
	                else
	 goto 1
	               endif
1300	 CLOSE (unit=112)
	CLOSE (unit=113)

       STOP
      END
