C............................................................Sep 2020
C New format 
C............................................................Apr. 2017
C Monthly Lalpha
C............................................................Sep. 2016
C Monthly median EUV2(0.1-50),EUV1(22-36) 
C
C       "MEDIAN" 
      program cntLamon
C
      DIMENSION XX(31)
	+,im(12)
      character*2 ayr,amn 
	character*45 infile,outfile,txt
	character*4 AYEAR,BYEAR
	COMMON /BL1/XX
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
c
C
   97 format(1X,A2)
  197 format(A45)
C-----------------------------------
C      infile='Lalpha.dat'  ! 
      infile='Lyman-ady.txt'
	outfile='cntLymon.res'
	jyear=1947
C-	jyear=2020
	OPEN(11,file=outfile,access='APPEND')
	OPEN(10,file=infile,action='READ')
	do kk=1,15
      read(10,197) txt ! extra lines for Feb 2014
	enddo
C
CREM+	kmndy_pre=58		  !end of prec. mon	for 1947
CREM+	imn1=3				  ! start mn for 1947

		DO 400 jyr=jyear,2023
crem	jyr=jyear 
	call blet4(jyr,AYEAR)
	AYR=AYEAR(3:4)
C
	yr=float(jyr)
	if(int(yr/4.)*4.eq.jyr) THEN 
	im(2)=29
	                          ELSE
	IM(2)=28
	ENDIF
C
	if (jyr.eq.1947) then
	kmndy_pre=59			  !end of prec. mon
	imn1=3
	         else
	kmndy_pre=0
	imn1=1
	endif
	imnend=12
	if (jyr.eq.2023) then
	imnend=2			   !~ Temp
	endif
C++  Cycle on mn-to-mn =========================
	DO 179 imn=imn1,imnend
	mndays=im(imn)
	kmndy=kmndy_pre+mndays
   1	continue
	call blet2(imn,AMN)
C
C  108	FORMAT(1X,I4,2I2,2X,F9.7)
  108	FORMAT(I4,1X,2I2,2X,F9.7)
  110 continue
	cnttot=0.
   99	format(A128)
    	do 80 ii=1,mndays					             !!
C  111    READ (10,108,END=81,ERR=2) iyear,lda,eind
  111    READ (10,108,END=81,ERR=2) iyear,imn,idy,eind
	call blet4(iyear,BYEAR)
	iyr=iyear-(iyear/100)*100
	 lda=ndoy(iyr,imn,idy)
C
  107	FORMAT(1X,A4,2A2,1X,F9.5)
C  108	FORMAT(I4,I3,1X,F4.2)
	if((BYEAR.eq.AYEAR).and.(lda.gt.kmndy_pre).and.(lda.le.kmndy))
	+ then
	cnttot=cnttot+1.
	xx(ii)=eind
	else
	goto 111
	endif
   80	continue
      sum=0.
      do kk=1,imnend
	sum=sum+xx(kk)
	enddo
	xmed=sum/imnend ! aver
Cnorm	call rmedian1(mndays,xmed)
	xyear=iyear+float(imn)/12.-0.042
C
	write(*,98) xyear,amn,xmed
	write(11,98) xyear,amn,xmed
C
      kmndy_pre=kmndy
  179	continue  ! next month

  400	continue  ! next year
   81	close(unit=10)

  98  format(1X,F8.3,1X,A2,1X,F9.7)
       GOTO 33
    2 CONTINUE
    3	write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY ',infile,AYR,AMN
 	pause ' '
	goto 34

   33	continue
	close(unit=11)
      write(*,*) infile,outfile
c-	goto 1
   34   pause ' ' 
      STOP
       END

c VERIFICATION OF MEDIAN ================
      subroutine rmedian1(ndnr,xme)
C Input file: CC(31) for 31 days, hours 00, 01, 23 h UY
C Number days for median : ndnr
C Outout file: ME(0:23) for hours 00, 01, 23 h UY
	DIMENSION CC(31),X1(31),X2(31)
		COMMON /BL1/CC
C "MEDIAN:"
C       DO 1030 M=0,23 <= 1 col
      MM=0
      DO N=1,ndnr
      X1(N)=CC(N)
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
	IF ((XD1-CD1).LT.0.0001) THEN 
	CMD=(X2(ND1)+X2(ND2))/2.
	ELSE
	CMD=X2(ND2)
	ENDIF
 1000 IF (MM.eq.0) CMD=0
C1010 REM PRINT M;MD;
 1020 XME=CMD
 1030 CONTINUE
c 1040 REM PRINT
 1050 RETURN
      END