C............................................................Jan. 2021
C
C Cnt missed foF2 in UT for station dat
C
C       
      program cntfmis
C
      DIMENSION im(12),weg(4),idl(0:7),idu(0:7),ide(0:7)
     +,iff2(0:23),iwf(0:23)
      character*2 ayr,amn,st,BYR,BMN,BDY
	character*1 C1(0:23)
	character*45 infile,infile2,outfile,outfile2 ! <=3-h indices
	character*128 txt
	character*4 AYEAR
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
	DATA WEG/0.,0.6931,1.0986,1.3863/  ! =ln1, ln2, ln3, ln4c
C
   97 format(1X,A2)
       write(*,*) 'ENTER st:'
	 read(*,*) st
       write(*,*) 'ENTER Year0-start,Year1-end:'
	 read(*,*) jyear0,jyear1
Crem	st='mo'			  !Moscow
       if (st.eq.'mo') glat=55.5
	if (st.eq.'sl') glat=51.6
	if (st.eq.'cb') glat=-35.3
	if (st.eq.'ai') glat=-65.2
	elat=1.0+0.0001235*glat**2	  ! AD
C
	infile='d:\data\IWG\st\stYR'
	infile(13:14)=st
	infile(16:17)=st
	infile2=infile
	infile2(20:)='wf.txt'
C-----------------------------------
	write(*,97) st
	outfile='stmis.txt'
	outfile(1:2)=st
	OPEN(10,file=outfile)
	
C
	DO 400 jyyyy=jyear0,jyear1
	call blet4(jyear,AYEAR)
	iyr=jyyyy-(jyyyy/100)*100 
C
C
  111	FORMAT(A120)
  107	FORMAT(24(I3,A1,1X))
c
c Current year	
      call blet4(jyyyy,AYEAR)
	AYR=AYEAR(3:4)
	infile2(18:19)=AYR
	OPEN(11,file=infile2,action='read')
C
	outfile2=infile2
	outfile2(21:21)='3' ! 3h indices
	OPEN(13,file=outfile2)
C
	yr=float(jyyyy)
	if(int(yr/4.)*4.eq.jyyyy) THEN 
	im(2)=29
	ndnr=366
	                          ELSE
	IM(2)=28
	ndnr=365
	ENDIF
	infile(18:19)=AYR
	OPEN(12,file=infile,action='READ')
C
  106	format(3A2,24(1X,I4))
C
C monthly cycle
C
       DO 410 imn=1,12
C
	read(12,111,end=108) txt ! title line
	call blet2(imn,AMN)
C
        icmn=0
         ndmn=im(imn)
	ctot=24.*ndmn
	    do kk=1,33
	if (kk.le.ndmn) then
	read(12,107,end=108) (Iff2(k),C1(k),k=0,23)
	read(11,106,end=105) BYR,BMN,BDY,(iwf(k),k=0,23)
	idy=kk
C missed foF2
      do ll=0,23
	if ((iff2(ll).eq.0.).or.(C1(ll).eq.'_').or.(C1(ll).eq.'/')
	+.or.(C1(ll).eq.'*')) then
	icmn=icmn+1
	iwf(ll)=0
	endif
      enddo
C
C produce 3-h DU,DL,DE indices from Wf indices
C
	DO kut=0,7              !................
	k1=kut*3
	icntp=0
	icntn=0
	sump=0
	sumn=0
	  do i=k1,k1+2
	    if (iwf(i).gt.1) then
	 iad=iwf(i)
	sump=sump+elat*weg(iad)*float(iwf(i))  ! AD
	icntp=icntp+1
	endif
	    if (iwf(i).lt.-1) then
	 iad=-iwf(i)
	sumn=sumn+elat*weg(iad)*float(iwf(i))  ! AD
	icntn=icntn+1
	endif
	   enddo
	xpos=0.
	if (icntp.gt.0) then
	xpos=sump/icntp
	endif
	xneg=0.
	if (icntn.gt.0) then
	xneg=sumn/icntn
	endif
	xrange=xpos-xneg
      idl(kut)=nint(xneg*100.)
	idu(kut)=nint(xpos*100.)
	ide(kut)=nint(xrange*100.)
	ENDDO					!.....................
	write(*,101) BYR,BMN,BDY,(idu(k),k=0,7),(idl(k),k=0,7)
	+,(ide(k),k=0,7)
	write(13,101) BYR,BMN,BDY,(idu(k),k=0,7),(idl(k),k=0,7)
	+,(ide(k),k=0,7)
	else
	read(12,111,end=108) txt ! title line
	endif
      	enddo  
       permn=icmn/ctot*100.
       write(*,112) AYEAR,AMN,permn
	write(10,112) AYEAR,AMN,permn
  410 CONTINUE
  108	close(unit=12)
  105	close(unit=11)
  112 FORMAT(1X,A4,A2,1X,F6.2)
  101 FORMAT(3A2,8(1X,I4),8(1X,I5),8(1X,I4))
C
  400	continue  ! next year
	close(unit=10)
C
   33	continue
      write(*,*) infile,outfile
c-	goto 1
   34   pause ' ' 
      STOP
       END

