	program histkp3h
c .......................................................Feb 2021
C Histogram of percentage kp,% occurrence (for every 3 hrs) 
C
c input daily -3h  'd:\apkp\kpap\kpYEAR' file collected for UT: 0,3,6,9,12,18,21 UT 3-hrs
c 
c
	DIMENSION ITHD(10),ICNTU(10)
	+,PTU(10),res(10)
	+,IDU(0:7)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*64,infile,outfile
	CHARACTER*6 YRMNDY
	CHARACTER*2 AYR
	CHARACTER*4 AYEAR
	DATA ITHD/0,10,20,30,40,50,60,70,80,90/ 
C
	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
	icnt=0 ! 
		  outfile='histkp3h.res'
	OPEN(12,FILE=OUTFILE,ACCESS='APPEND')
	   infile='d:\apkp\kpap\kpYEAR'
C
C Annual cycle
       DO 200 iyear=1932,2020
	iyr=iyear-(iyear/100)*100
	call blet2(iyr,AYR)
	call blet4(iyear,AYEAR)
	infile(16:19)=AYEAR
      OPEN(11,FILE=INFILE,action='READ')
   30 FORMAT(1X,A2,2(1X,I4))
   31 FORMAT(A6,6X,8(I2))
C start
       DO 101 idy=1,366
	read(11,31,end=199) YRMNDY,(idu(k),k=0,7)
	icnt=icnt+8
C  for 3 hrs
	         DO k=0,7
	if (idu(k).eq.90) then
      ICNTU(10)=ICNTU(10)+1
	endif
C
	do i=1,9
	if (idu(k).ne.0) then
	 if((idu(k).ge.ITHD(i)).and.(idu(k).lt.ITHD(i+1))) then
      ICNTU(i)=ICNTU(i)+1
		 endif
            endif
C
	enddo
	                ENDDO
C
  101	CONTINUE
  199 CLOSE(unit=11)
  200	CONTINUE
C
       do k=1,10
	PTU(k)=float(ICNTU(k))/icnt*100.
	res(k)=	ITHD(k)/10.
C
	write(*,72) res(k),PTU(k)
	write(12,72) res(k),PTU(k)
	enddo

   72 format(1X,F6.1,1X,F7.3)
	CLOSE(unit=12)
	goto 900
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
  900 pause ' '
      STOP
      END

