	program histvix3h
c .......................................................Oct 2020
C Histogram of percentage Vzp, Vzn,% occurrence (for every 3 hrs) from dayly jpli results Vsigma
C
c input daily vix035.j06 file collected at glong=35E for UT: 0,0:15,0:30,0:45, 1, ...,23:46 hrs:min
c from jpli 1x1 TEC maps
c
	DIMENSION ipos3(9),ineg3(9),itot3(9),ind(180,96) ! lat,hr_min
	+,iweg(4)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*64,infile,outfile
	CHARACTER*4 YRMN
	CHARACTER*2 DY
C	DATA ITHR/-4,-3,-2,-1,0,1,2,3,4/ 
	DATA IWEG/0.,0.6931,1.0986,1.3863/  ! =ln1, ln2, ln3, ln4
C
	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
	icntotp=0 ! count of 3h intervals for day
	icntotn=0 ! count of 3h intervals for day
		  outfile='histvix3h.res'
	OPEN(12,FILE=OUTFILE,ACCESS='APPEND')
	   infile='vix035.j06'
      OPEN(11,FILE=INFILE,action='READ')
   30 FORMAT(96(1X,I4))
   31 FORMAT(1X,A4,1X,A2)
C start
       DO 101 idy=1,4
	read(11,31) YRMN,DY ! 
	 do ilat=1,180
	 read(11,30) (ind(ilat,k),k=1,96)
	 enddo

C
      dypos=0.
	dyneg=0.
C  for 3 hrs
	DO jj=1,8		         !*
	j1=(jj-1)*12+1
	j2=j1+11
	sumn=0.
	sump=0.
C  
	DO kk=j1,j2				!**
C
	   do 25 ilat=1,180
	 if (ind(ilat,kk).lt.-1) then
C+	 sumn=sumn+ind(ilat,kk)
        iad=-ind(ilat,kk)
	sumn=sumn+iweg(iad)*ind(ilat,kk)
	 goto 25
	 endif
	 if (ind(ilat,kk).gt.1) then
C+	 sump=sump+ind(ilat,kk)
        iad=ind(ilat,kk)
	sump=sump+iweg(iad)*ind(ilat,kk)
		 goto 25
	 endif
   25	 continue
C
       ENDDO					 !**
C+	xpos3=sump/216.00
	xpos3=sump/68.6664
	xneg3=sumn/68.6664
	ipos3(jj)=nint(xpos3)
	ineg3(jj)=nint(xneg3)
	itot3(jj)=ipos3(jj)-ineg3(jj)
	dypos=dypos+xpos3
	dyneg=dyneg+xneg3
	ENDDO                     !*
	ipos3(9)=nint(dypos/8.)
	ineg3(9)=nint(dyneg/8.)
	itot3(9)=ipos3(9)-ineg3(9)
C
	write(*,72) YRMN,DY,(ipos3(k),k=1,9),(ineg3(k),k=1,9)
	+,(itot3(k),k=1,9)
	write(12,72) YRMN,DY,(ipos3(k),k=1,9),(ineg3(k),k=1,9)
	+,(itot3(k),k=1,9)

101   continue		 ! cycle on day

   72 format(1X,A2,A2,9(1X,I2),9(1X,I3),9(1X,I2))
      CLOSE(unit=11)
	CLOSE(unit=12)
	goto 900
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
  900 pause ' '
      STOP
      END

