	program histwul1h
c .......................................................Dec 2020
C Histogram of percentage Wup, Wln,% occurrence (for every 1 hrs) from dayly jpli results WTEC
C
c input daily wupYR.txt, wlnYR.txt,werYR.txt file collected for UT: 0, 1, ...,23 hrs
c from jpl IONEX TEC maps
c
	DIMENSION itot(14),ind(0:23) ! hr
	+,iweg(14),per(14)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*64,infile,outfile,txt
	CHARACTER*4 AYEAR
	CHARACTER*2 AYR,BYR,BMN,BDY
C	DATA ITHR/-4,-3,-2,-1,0,1,2,3,4/ 
	DATA IWEG/0,100,150,175,200,225,250,275,300,325,350,375,400,500/  !
C
	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
	icntot=0 ! count of 1h intervals for 1994-2020
		  outfile='histwei1h.res'
	OPEN(12,FILE=OUTFILE,ACCESS='APPEND')
CWU	   infile='d:\web\graf\datw\wupYR.txt'	!WU
	infile='d:\web\graf\datw\wlnYR.txt'  !WL
C
         do ii=1,14
	itot(ii)=0
	enddo
C
C Year cycle
C
        DO 150 iyear=1994,2020
	call blet4(iyear,AYEAR)
	AYR=AYEAR(3:4)
	infile(21:22)=AYR
C
      OPEN(11,FILE=INFILE,action='READ')
	read(11,*) txt ! title line
		z1=iyear/4.0
      jz=int(z1)*4
	 IF(jz.EQ.iyear) THEN
	ndnr=366.
        ELSE
	  	ndnr=365.
	       ENDIF

   30 FORMAT(3A2,24(1X,I4))
   31 FORMAT(1X,A4,1X,A2)
C start
       DO 101 idy=1,ndnr
	 read(11,30,end=151) BYR,BMN,BDY,(ind(k),k=0,23)
	if ((iyear.eq.1994).and.(idy.lt.8)) goto 101      ! missed WE indices
C
      icntot=icntot+24
C  for 1 hrs
	DO 26 jj=0,23		         !**
	ind(jj)=-ind(jj)         !WL
C  
      if (ind(jj).ge.iweg(14)) then
	itot(14)=itot(14)+1
	goto 26
	endif
C	 
	   do 25 kk=1,15
	 if ((ind(kk).ge.iweg(kk)).and.(ind(kk).lt.iweg(kk+1))) then
	itot(kk)=itot(kk)+1
	exit
	endif
   25	 continue
C
   26 continue					 !**
C
101   continue		 ! cycle on day
151   CLOSE(unit=11)
C
150	CONTINUE           ! cycle on year
   71 format(1X,14(2X,I4))
   72 format(1X,14(1X,F5.2))
      icnt=0
            DO ii=1,14
	icnt=icnt+itot(ii)
	enddo
      DO ii=1,14
	per(ii)=float(itot(ii))/float(icnt)*100.
	enddo
C
	write(*,71) (-iweg(k),k=1,14)		!WL
	write(12,71) (-iweg(k),k=1,14)		!WL
	write(*,72) (per(k),k=1,14)
	write(12,72) (per(k),k=1,14)
	CLOSE(unit=12)
	goto 900
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
  900 pause ' '
      STOP
      END

