      program IG_12proxy
C.....................................................Sep.2018
C IG_12 proxy scaled to SSN1
C
	  character*45 infile1,infile2,outfile1,outfile2
	dimension res(12),r12(12),obs(12)
	character*2 AMN
C
C	  infile1='igin_12.dat'  ! 1958-2023/12
	  infile1='ig_rz.dat'
	infile2='R12.dat'  ! Input = R12.dat !!!!!!!!!!!!!!!!!!!!!
   31 format(A45)
C--   32 format(1X,I4,I2,2(1X,F7.2))
   32 format(1X,I4,1X,12(1X,F5.1))	! input R12.dat !!!!!!!!!!!!!
   33 format(1X,I4,A2,1X,F6.1)
c   34 format(2X,F8.4)
   35 format(1X,I4,1X,12(1X,F5.1))
C IG12 proxy data:
	outfile1='IG_12p.txt' ! column output
	outfile2='IG_12p.dat'  ! line matrix output
	OPEN(10,file=infile1,action='read')
	iyyyy1=1957
	imnt1=01
C	iyyyy2=2018 !TEMP
	iyyyy2=2021 !TEMP
	do i=1,2
	read(10,*) txt !extra line
	enddo 
C   1	read(10,32) nyear,obs
   1	read(10,*) dig1957
C//      if (nyear.lt.iyyyy1) goto 1
C	imnt2=1	 !TEMP  Last month for 12-monthly smoothed data 2018/01/
	OPEN(11,file=infile2,action='read')
	OPEN(12,file=outfile1)
	OPEN(13,file=outfile2)
C
	DO 50 iyear=1931,2024
	imn1=1
	imn2=12
	do k=1,12
      res(k)=0.
	enddo
C
	read(11,32,end=71) kyear,r12
	if ((kyear.gt.iyyyy1).and.(kyear.le.iyyyy2)) then
      read(10,*,end=49) obs  
	endif
C
      do 51 imn=imn1,imn2
	call blet2(imn,AMN)
	rz=r12(imn)
C
   34 format(1X,F8.3,1X,I2,1X,F5.2)
Cold	 tecp=rz*(1.56312-0.003162*rz)	  !IG_proxy(SSN1)
C  -0.0029 *Rz**2 +  1.4459*Rz  +  0.0008
C?	 tecp=rz*(1.4459-0.0029*rz)+0.0008	  !IG_proxy(SSN1)
	if ((kyear.gt.iyyyy1).and.(kyear.le.iyyyy2)) then
Cold		 res(imn)=obs(imn)+13.6  !IG_proxy (IG-obs + 13.6)
		 res(imn)=0.925*obs(imn)+12.58  !IG_proxy
       else
Cold	 res(imn)=r12(imn)*(1.56312-r12(imn)*0.003162)  !IG12_proxy (SSN1)
       res(imn)=rz*(1.4459-0.0029*rz)+0.0008	  !IG_proxy(SSN1)
	endif
   	write(*,33) kyear,AMN,res(imn)
	write(12,33) kyear,AMN,res(imn)
   51 continue
C
   49   write(*,35) kyear,(res(k),k=1,12)
	write(13,35) kyear,(res(k),k=1,12)
   50 CONTINUE
   71  close(unit=10)
	close(unit=11)
	close(unit=12)
	close(unit=13)
	pause ' '
	STOP
	END