      program TEC12proxy
C.....................................................Apr.2017
C TEC-noon proxy scaled to SSN1
C
	  character*45 infile1,infile2,outfile1,outfile2,txt
	character*1 sct  ! ;s' ~ SSV1_12;'c' ~ cov12; 't' ~ TEC12
	dimension res(12)
	character*2 AMN
C
	  infile1='tec12proxy.txt'
	infile2='cov12rz.txt'
	write(*,*) ' Enter s, c, or t for outout: '
	read(*,*) sct
   31 format(A45)
   32 format(1X,I4,I2,2(1X,F7.2))
   33 format(1X,I4,A2,1X,F6.1)
   34 format(2X,F8.4)
   35 format(1X,I4,1X,12(1X,F5.1))
C TEC12 data:
	if (sct.eq.'t') then
	outfile1='TEC_12.txt' ! column output
	outfile2='TEC_12.dat'  ! line matrix output
	OPEN(10,file=infile1,action='read')
	read(10,31) txt ! extra line
	iyyyy1=1999
	imnt1=03
	iyyyy2=2015
	imnt2=01
	endif
C SS1_12 data
	if (sct.eq.'s') then
	outfile1='SSN1_12.txt' ! column output
	outfile2='SSN1_12.dat'  ! line matrix output
	endif
C F107_12
	if (sct.eq.'c') then
	outfile1='F107_12.txt' ! column output
	outfile2='F107_12.dat'  ! line matrix output
	endif
	OPEN(11,file=infile2,action='read')
	OPEN(12,file=outfile1)
	OPEN(13,file=outfile2)
C
	DO 50 iyear=1947,2019
	imn1=1
	imn2=12
	if (iyear.eq.1947) imn1=08
	do k=1,12
      res(k)=0.
	enddo
C
      do 51 imn=imn1,imn2

	read(11,32,end=71) kyear,kmn,cov,rz
	call blet2(kmn,AMN)
C
      if (sct.eq.'s') then
	write(*,33) kyear,AMN,rz
	write(12,33) kyear,AMN,rz
	res(imn)=rz
	goto 51
	endif
C
      if (sct.eq.'c') then
	write(*,33) kyear,AMN,cov
	write(12,33) kyear,AMN,cov
		res(imn)=cov
	goto 51
	endif
C
      if (sct.eq.'t') then
	 tecp=0.9343*rz + 1.3047
	if ((kyear.eq.iyyyy1).and.(kmn.ge.imnt1)) then
	read(10,34,end=49) teci
	tecp=teci
	endif
	if ((kyear.gt.iyyyy1).and.(kyear.lt.iyyyy2)) then
	read(10,34,end=49) teci
	tecp=teci
	endif
		if ((kyear.eq.iyyyy2).and.(kmn.le.imnt2)) then
	read(10,34,end=49) teci
	tecp=teci
	endif
   49	write(*,33) kyear,AMN,tecp
	write(12,33) kyear,AMN,tecp
	res(imn)=tecp
	goto 51
	endif
   51 continue
C
      write(*,35) kyear,(res(k),k=1,12)
	write(13,35) kyear,(res(k),k=1,12)
   50 CONTINUE
   71  close(unit=10)
	close(unit=11)
	close(unit=12)
	close(unit=13)
	pause ' '
	STOP
	END