      program TEC_12proxy
C.....................................................Jan.2018
C TEC-noon proxy scaled to SSN1
C
	  character*45 infile1,infile2,outfile1,outfile2
	character*1 sct  ! ;s' ~ SSN1_12;'c' ~ cov12; 't' ~ TEC12
	dimension res(12),r12(12)
	character*2 AMN
C
C	  infile1='tec12proxy.txt'
	  infile1='cntec12.res'  ! 1994/07-2021/03
C--	infile2='cov12rz.txt'
	infile2='R12.dat'  ! Input = R12.dat !!!!!!!!!!!!!!!!!!!!!
C+	write(*,*) ' Enter s, c, or t for outout: '
C+	read(*,*) sct
       sct='t'  !TEMP TEC
   31 format(A45)
C--   32 format(1X,I4,I2,2(1X,F7.2))
   32 format(1X,I4,1X,12(1X,F5.1))	! input R12.dat !!!!!!!!!!!!!
   33 format(1X,I4,A2,1X,F6.1)
c   34 format(2X,F8.4)
   35 format(1X,I4,1X,12(1X,F5.1))
C TEC12 data:
	if (sct.eq.'t') then
	outfile1='TEC_12.txt' ! column output
	outfile2='TEC_12.dat'  ! line matrix output
	OPEN(10,file=infile1,action='read')
C//	read(10,31) txt ! extra line
	iyyyy1=1994
	imnt1=12
	iyyyy2=2022 !TEMP
	imnt2=8	 !TEMP  Last month for 12-monthly smoothed data: 2022/08/
	endif
C SS1_12 data
	if (sct.eq.'s') then
	outfile1='SSN1_12.txt' ! column output
	outfile2='SSN1_12.dat'  ! line matrix output
	endif
C F107_12
	if (sct.eq.'c') then
	outfile1='F107_12.txt' ! column output
	outfile2='F107_12.dat'  ! line matrix output
	endif
	OPEN(11,file=infile2,action='read')
	OPEN(12,file=outfile1)
	OPEN(13,file=outfile2)
C
	DO 50 iyear=1931,2024
	imn1=7
	imn2=12
	if (iyear.eq.1947) imn1=08
	if (iyear.eq.2022) imn2=08
	do k=1,12
      res(k)=0.
	enddo
C
	read(11,32,end=71) kyear,r12
C
      do 51 imn=1,12

C	read(11,32,end=71) kyear,kmn,cov,rz
	call blet2(imn,AMN)
	rz=r12(imn)
C
      if (sct.eq.'s') then
	write(*,33) kyear,AMN,rz
	write(12,33) kyear,AMN,rz
	res(imn)=rz
	goto 51
	endif
C
C-      if (sct.eq.'c') then
C-	write(*,33) kyear,AMN,cov
C-	write(12,33) kyear,AMN,cov
C-		res(imn)=cov
C-	goto 51
C-	endif
C
   34 format(1X,F8.3,1X,I2,1X,F5.2)
      if (sct.eq.'t') then
	 tecp=0.9359*rz + 1.71	  !TEC_proxy(SSN1)
	if ((kyear.eq.iyyyy1).and.(imn.lt.imn1)) then
	goto 49
	endif
	if ((kyear.eq.iyyyy1).and.(imn.ge.imn1)) then
      read(10,34,end=49) ryear,imn,teci  
	tecp=2.4112*teci-31.3456  !TEC_proxy (obs)
	endif
	if ((kyear.gt.iyyyy1).and.(kyear.lt.iyyyy2)) then
	read(10,34,end=49) ryear,imn,teci
	tecp=2.4112*teci-31.3456  !TEC_proxy (obs)
	endif
		if ((kyear.eq.iyyyy2).and.(imn.le.imnt2)) then
	read(10,34,end=49) ryear,imn,teci
	tecp=2.4112*teci-31.3456  !TEC_proxy (obs)
	endif
   49	write(*,33) kyear,AMN,tecp
	write(12,33) kyear,AMN,tecp
	res(imn)=tecp
	goto 51
	endif
   51 continue
C
      write(*,35) kyear,(res(k),k=1,12)
	write(13,35) kyear,(res(k),k=1,12)
   50 CONTINUE
   71  close(unit=10)
	close(unit=11)
	close(unit=12)
	close(unit=13)
	pause ' '
	STOP
	END