      program asymmonyr1
C...........................................................Mar 2022
C YEARxMON => asymmetry calculated from AI=(WIN-WIS)/(WIN+WIS) 
C...........................................................Nov. 2021
C
      CHARACTER*64 infilen,infiles
C-	+,infasym
	+,outfilwu,outfilwl,outfilwe
     +,outfiwun,outfiwln,outfiwen
     +,outfiwus,outfiwls,outfiwes ! monthly mean
	DIMENSION wnum(12),wnlm(12),wnem(12),wsum(12),wslm(12),wsem(12)
	+,aswu(12),aswl(12),aswe(12),icnt(12)
      infilen='wulenmon.txt'
	infiles='wulesmon.txt'
C-	infasym='asymwuwlns1.txt'
	outfilwu='asymmonyrwu.txt'
	outfilwl='asymmonyrwl.txt'
	outfilwe='asymmonyrwe.txt'
      outfiwun='wuavmnyrn.txt'
	outfiwln='wlavmnyrn.txt'
	outfiwen='weavmnyrn.txt'
      outfiwus='wuavmnyrs.txt'
	outfiwls='wlavmnyrs.txt'
	outfiwes='weavmnyrs.txt'
	OPEN(11,file=infilen,action='READ')
      OPEN(12,file=infiles,action='READ')
C-	OPEN(13,file=infasym,action='READ')
	OPEN(14,file=outfiwun)
	OPEN(15,file=outfiwln)
	OPEN(16,file=outfiwen)
	OPEN(17,file=outfiwus)
	OPEN(18,file=outfiwls)
	OPEN(19,file=outfiwes)
	OPEN(20,file=outfilwu)		! asym
	OPEN(21,file=outfilwl)		! asym
	OPEN(22,file=outfilwe)		! asym
C
C cycle on year
C
	DO 123 kyear=1994,2021

      kmn1=1
	kmn2=12
	if (kyear.eq.1994) kmn1=2
      if (kyear.eq.2021) kmn2=9 
C
	do k=1,12
	wnum(k)=0.
	wnlm(k)=0.
	wnem(k)=0.
	wsum(k)=0.
	wslm(k)=0.
	wsem(k)=0.
	aswu(k)=0.
	aswl(k)=0.
	aswe(k)=0.
	icnt(k)=0
	enddo
C cycle on mon
      do 122 kmn=kmn1,kmn2
C
C
	read(11,*,end=122) ryear,imn,wu1,wl1,we1
      iyear=int(ryear)
      if ((iyear.eq.kyear).and.(imn.eq.kmn)) then
      wnum(imn)=wu1
	wnlm(imn)=wl1
      wnem(imn)=we1
C
      read(12,*,end=52) ryear,imn,wu2,wl2,we2
      wsum(imn)=wu2
	wslm(imn)=wl2
      wsem(imn)=we2
C
   29 format(F8.3,1X,A4,3(1X,F6.3))
C-      read(13,*,end=53) ryear,imn,aswui,aswli,aswei
C-	aswu(imn)=aswui
       	aswu(imn)=(wu1-wu2)/(wu1+wu2)
C-	aswl(imn)=aswli
       	aswl(imn)=(wl1-wl2)/(wl1+wl2)
C-	aswe(imn)=aswei
       	aswe(imn)=(we1-we2)/(we1+we2)
		icnt(imn)=icnt(imn)+1
	else
	backspace(11)
      endif
  122 CONTINUE ! mon cycle
C
c 	do imn=1,12
c	wnum(imn)=wnum(imn)/icnt(imn)
c      wnlm(imn)=wnlm(imn)/icnt(imn)
c	wnem(imn)=wnem(imn)/icnt(imn)
c	wsum(imn)=wsum(imn)/icnt(imn)
c	wslm(imn)=wslm(imn)/icnt(imn)
c	wsem(imn)=wsem(imn)/icnt(imn)
c      aswu(imn)=aswu(imn)/icnt(imn)
c	aswl(imn)=aswl(imn)/icnt(imn)
c	aswe(imn)=aswe(imn)/icnt(imn)
c	enddo
	write(*,30) kyear,(wnum(k),k=1,12)
	write(14,30) kyear,(wnum(k),k=1,12)
	write(*,30) kyear,(wnlm(k),k=1,12)
	write(15,30) kyear,(wnlm(k),k=1,12)
	write(*,30) kyear,(wnem(k),k=1,12)
	write(16,30)  kyear,(wnem(k),k=1,12)
	write(*,30) kyear,(wsum(k),k=1,12)
	write(17,30) kyear,(wsum(k),k=1,12)
	write(*,30) kyear,(wslm(k),k=1,12)
	write(18,30) kyear,(wslm(k),k=1,12)
	write(*,30) kyear,(wsem(k),k=1,12)
	write(19,30)  kyear,(wsem(k),k=1,12)
	write(*,30) kyear,(aswu(k),k=1,12)
	write(20,30) kyear,(aswu(k),k=1,12)
	write(*,30) kyear,(aswl(k),k=1,12)
	write(21,30) kyear,(aswl(k),k=1,12)
	write(*,30) kyear,(aswe(k),k=1,12)
	write(22,30)  kyear,(aswe(k),k=1,12)
  123	CONTINUE ! Annual cycle

  51	close(11)
   52	close(12)
   53	close(13)

   30	format(1X,I4,12(1X,F6.3))
       close(14)
	close(15)
	close(16)
       close(17)
	close(18)
	close(19)
       close(20)
	close(21)
	close(22)
	pause ' '
	STOP
	END


