      program calaualae3
C.........................................................Nov. 2021
C Extract daily AU,AL,AE for 1994-2019 from Kyoto files
C
      CHARACTER*4 AYEAR
      CHARACTER*2 AYR,AMN,ADY
	CHARACTER*64 infileau,infileal,infileae,outfile
	INTEGER idat1(0:23),idat2(0:23),idat3(0:23)
C
	outfile='aualaed.txt'
	OPEN(10,file=outfile,access='APPEND')
C
	infileau='d:\Apkp\AE\AUYEAR'
	infileal='d:\Apkp\AE\ALYEAR'
	infileae='d:\Apkp\AE\AEYEAR'
   30 format(3X,2I2,1X,I2,10X,24I4)
C
       DO 50 iyear=1994,2019
	call blet4(iyear,AYEAR)
		z1=iyear/4.0
      jz=int(z1)*4
      IF(jz.EQ.iyear) THEN
			    	ndnr=366
        ELSE
	  	ndnr=365
	       ENDIF
      del=1./ndnr
	AYR=AYEAR(3:4)
	infileau(14:17)=AYEAR
	infileal(14:17)=AYEAR
	infileae(14:17)=AYEAR
      OPEN(11,file=infileau,action='READ')
      OPEN(12,file=infileal,action='READ')
      OPEN(13,file=infileae,action='READ')
       DO 51 idy=1,ndnr
	 read(11,30,end=52) iyr,imn,idy,idat1 !  daily value
	 read(12,30,end=52) iyr,imn,idy,idat2 !  daily value
	 read(13,30,end=52) iyr,imn,idy,idat3 !  daily value
	sum1=0.
	sum2=0.
	sum3=0.
	do k=0,23
	sum1=sum1+idat1(k)
	sum2=sum2+idat2(k)
	sum3=sum3+idat3(k)
	enddo
      aud=sum1/24.0
      ald=sum2/24.0
	aed=sum3/24.0
	 lda=ndoy(iyr,imn,idy)
	ryear=float(iyear)+del*(lda-1)
	call blet2(imn,AMN)
	call blet2(idy,ADY)
      write(*,31) ryear,AMN,ADY,aud,ald,aed
      write(10,31) ryear,AMN,ADY,aud,ald,aed
   51	continue
   52 close(11)
      close(12)
	close(13)
   50	CONTINUE
      close(10)
   31 format(F8.3,1X,2A2,3(1X,F6.1))
C
	pause ' '
	STOP
	END