      program calcovmodfi
C,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,Jan. 2022
C MOD45d model F107(fi)
C
	CHARACTER*2 ANN,ANN_2 ! CS number
	+,AYR,AMN,ADY
	 CHARACTER*64 infile1,infile2,outfile
	 DIMENSION IM(12)
	DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
       infile1='solphasef107NN.txt'
	infile2=infile1
      write(*,*) ' Enter NN of SC:'	! solar cycle for prediction
	read(*,*) nn
c	nn_2=nn-2      ! Norm
	nn_2=nn-1	 !TEMP no traning data for SC21
	call blet2(nn,ANN)
	infile2(13:14)=ANN       ! modelling set
	call blet2(nn_2,ANN_2)
	infile1(13:14)=ANN_2      ! training set
	OPEN(11,file=infile1,action='READ')
	OPEN(12,file=infile2,action='READ')
C
      outfile='covp45YRMMDD.txt'    
C
      write(*,*) ' Enter kyr:'
	read(*,*) kyr
	call blet2(kyr,AYR)
      write(*,*) ' Enter kmn:'
	read(*,*) kmn
	call blet2(kmn,AMN)
      write(*,*) ' Enter kdy:'
	read(*,*) kdy
		call blet2(kdy,ADY)
	outfile(7:8)=AYR
	outfile(9:10)=AMN
	outfile(11:12)=ADY
	OPEN(10,file=outfile)
C
	lda_pre=ndoy(kyr,kmn,kdy)
	lda1=lda_pre+1
	lda2=lda_pre+45
C
	z1=kyr/4.0
      jz=int(z1)*4

      IF(jz.EQ.kyr) THEN
               IM(2)=29
	dnr=366.
      ndnr=366
		  ELSE
                IM(2)=28
	  	dnr=365.
	ndnr=365
		       ENDIF
C
      kyr_nex=kyr
	lda2_nex=lda2
      if (lda2.gt.ndnr) then
	lda2_nex=lda2-ndnr
	lda2=ndnr
	kyr_nex=kyr+1
	endif
C
	nd=0
      txi_pre=0.
      txind_pre=0.
C   +++++++++++++++++++++++++++++ Current year
        DO 50 lda=lda1,lda2
	call submmdd(lda,kyr,imn,idy) 
C find day of modeling set: 
    1	read(12,*) xyear,imn,idy,xfi,xind
      iyear=int(xyear)
	iyr=iyear-iyear/100*100
	ldax=ndoy(iyr,imn,idy)
	if ((iyr.eq.kyr).and.(ldax.eq.lda)) then
	goto 2
	                              else
	goto 1
	endif
C find days of training set
   2      read(11,*,end=51) tyear,jmn,jdy,txi,txind
      jyear=int(tyear)
	jyr=jyear-jyear/100*100
	ldat=ndoy(iyr,imn,idy)
	if ((xfi.ge.txi_pre).and.(xfi.lt.txi)) then
	xind_mod=harmcov(xfi)  ! Ratio R=Ymod/Ytrained(txi)
	 tind=txind_pre+(txind-txind_pre)/(txi-txi_pre)*(xfi-txi_pre)
	xmod=tind*xind_mod  ! F107 SC_2  Ymod=R * Ytrained
	xmod=xind_mod*xind  !			 Ymod=R * Y_12_pred
	write(*,30) xyear,imn,idy,xfi,xmod
	write(10,30) xyear,imn,idy,xfi,xmod
	goto 50
	                                  else
	txi_pre=txi
      txind_pre=txind
	goto 2
	                                 endif
C
   50	CONTINUE
C
C Check next year output:
       IF (lda2_nex.eq.lda2) GOTO 51
C
C produce results for the next year: +++++++++++++++++++
        DO 150 lda=1,lda2_nex
	call submmdd(lda,kyr_nex,imn,idy) 
C find day of modeling set: 
  101	read(12,*,end=52) xyear,imn,idy,xfi,xind
      iyear=int(xyear)
	iyr=iyear-iyear/100*100
	ldax=ndoy(iyr,imn,idy)
	if ((iyr.eq.kyr_nex).and.(ldax.eq.lda)) then
	goto 102
	                              else
	goto 101
	endif
C find days of training set
  102     read(11,*) tyear,jmn,jdy,txi,txind
      jyear=int(tyear)
	jyr=jyear-jyear/100*100
	ldat=ndoy(iyr,imn,idy)
	if ((xfi.ge.txi_pre).and.(xfi.lt.txi)) then
	xind_mod=harmcov(xfi)
	 tind=txind_pre+(txind-txind_pre)/(txi-txi_pre)*(xfi-txi_pre)
	xmod=tind*xind_mod ! SC_2
	xmod=xind_mod*xind  !			 Ymod=R * Y_12_pred
	write(*,30) xyear,imn,idy,xfi,xmod
	write(10,30) xyear,imn,idy,xfi,xmod
	goto 150
	                                  else
	txi_pre=txi
      txind_pre=txind
	goto 102
	                                 endif
C
  150	CONTINUE
C
   51	close(unit=11)
   52	close(unit=12)
      close(unit=10)
C
   30 format(1X,F8.3,2(1X,I2),1X,F8.4,1X,F6.2)  
C
	pause ' '
      STOP
	END
c--------------------------------------------
	real function harmcov(x)
C............................................................Jan 2022
C Furie model N=6
C
      DIMENSION a(0:6),b(6)
		DATA a/-1.147,3.704,-2.827, 2.02,-1.222, 0.5428, -0.1046/
      DATA b/ 0.09036, 0.01687, 0.00798, -0.07502, -0.004809, 0.02875/
       w =  2.155
      sind =a(0) + a(1)*cos(x*w) + b(1)*sin(x*w) + 
     * a(2)*cos(2.*x*w) + b(2)*sin(2.*x*w) + a(3)*cos(3.*x*w) + 
     + b(3)*sin(3.*x*w) + a(4)*cos(4.*x*w) + b(4)*sin(4.*x*w) + 
     + a(5)*cos(5.*x*w) + b(5)*sin(5.*x*w) + 
     * a(6)*cos(6.*x*w) + b(6)*sin(6.*x*w)
	 harmcov=sind
	 RETURN
	END

