      program caltau24h
C...........................................................June 2024
C	  Y(tau)=(1-tau)/(1-tau^24)*(Y_0+(1-tau)*Y_1+(1-tau)^2*Y_2+...+(1-tau)^23*Y_23)
C        tau=exp(-1/T), T=24h using data of prec. 24hrs
       CHARACTER*64 infile,outfile,txt
	CHARACTER*4 AYEAR
	CHARACTER*2 AYR,CYR,CMN,CDY,CUT
	real:: tau=0.9592  !  tau=exp(-1./T), T=24 h (0:23 hr)
      DIMENSION gec24(0:24),ginp(0:23)
C
C	 tau=exp(-1./24.)        
	 tau1=1.-tau
C-	NS=int(1.0/tau1)
	coef=tau1/(1.0-tau**24)
	infile='d:\web\dat0\YR\gecYEAR.txt'
	outfile='gectau.txt'
	OPEN(11,file=outfile)
C
   30 FORMAT(3A2,24(1X,F4.2))
   31 FORMAT(3A2,1X,A2,3(1X,F4.2))
C     iyear=1994,2023
      iyear=1993
C START:::::::::::::::::::::::::YEARLY cycle
    1   iyear=iyear+1
	if (iyear.gt.2023) GOTO 150 !STOP!!!!!!!!!!!!!!!!!!
        call blet4(iyear,AYEAR)
	AYR=AYEAR(3:4)
	infile(13:14)=AYR
	infile(19:22)=AYEAR
	OPEN(10,file=infile,action='READ')
	read(10,*) txt      !title line
C
C day-to-day cycle....................................
       nhr=0
C
    2	read(10,30,end=50) CYR,CMN,CDY,(ginp(k),k=0,23)
      IF((CYR.eq.'94').and.(CMN.eq.'01').and.(CDY.eq.'01')) THEN !~~~~~~~~~~~~~~~~
	pgec=0.
	gecav=0.
	do kk=0,23
	gec24(kk)=ginp(kk)
	call blet2(kk,CUT)
	write(*,31) CYR,CMN,CDY,CUT,gec24(kk),gecav,pgec
      write(11,31) CYR,CMN,CDY,CUT,gec24(kk),gecav,pgec
	enddo
	GOTO 2
	ENDIF         !~~~~~~~~~~~~~~~~~~~
C
   3    gec24(24)=ginp(nhr)
        call blet2(nhr,CUT)
	nhr=nhr+1
C
      ww = 1.0
	wta = 1.0
	Wsumo = 0.0
	Wsum = 0.0
	gecav=0.
C
C Produce pgec=GEC(tau)
C
      DO nd=0,23
      gecav=gecav+gec24(nd)
	Wk=gec24(23-nd)
      if (tau.le.0.) then
            pgec =  Wk
		         goto 4
         end if
	   Wsumo = Wsumo + wta
	   if (nd==0) then
	      Wsum = Wsum + Wk
	   else
	      Wsum = Wsum + Wk * wta
	   end if
	   wta = wta * tau
      enddo
C??	pgec = Wsum/Wsumo
        gecav=gecav/24.
        	pgec = Wsum*coef
C
   4	write(*,31) CYR,CMN,CDY,CUT,gec24(kk),gecav,pgec
      write(11,31) CYR,CMN,CDY,CUT,gec24(kk),gecav,pgec
C
C Move data up
          DO kk=0,23
	gec24(kk)=gec24(kk+1)
	  ENDDO
	if (nhr.eq.24) then
	nhr=0
	GOTO 2  !??????????????????????
	         ELSE
      GOTO 3
	endif
C
   50 close(10)
        GOTO 1
 150  close(11)
      pause ' '
	STOP
	END