      program caltau6h
C...........................................................June 2024
C	  Y(tau)=(1-tau)/(1-tau^6)*(Y_0+(1-tau)*Y_1+(1-tau)^2*Y_2+...+(1-tau)^5*Y_5)
C        tau=exp(-1/T), T=6h using data Apo of current hr & prec. 5hrs
       CHARACTER*64 infile,outfile
	CHARACTER*4 AYEAR,CYEAR,DYEAR(0:6)
	CHARACTER*2 AYR,CMN,CDY,CUT,DMN(0:6),DDY(0:6),DUT(6)
	real:: tau=0.8465  !  tau=exp(-1./T), T=24 h (0:23 hr)
      DIMENSION apo6(0:6)
C
C	 tau=exp(-1./6.)        
	 tau1=1.-tau
C-	NS=int(1.0/tau1)
	coef=tau1/(1.0-tau**6)
	infile='d:\Apkp\Hpo\Hpo19952023.txt'
	outfile='Apotau6.txt'
C++	OPEN(11,file=outfile,access='APPEND')
      	OPEN(11,file=outfile,access='APPEND')
C
   30 FORMAT(A4,2(1X,A2),1X,F4.1,39X,F3.0)
Cpre   31 FORMAT(1X,F9.4,3(1X,A2),1X,F6.0,1X,F7.2)
   31 FORMAT(1X,A4,3(1X,A2),1X,F6.0,1X,F7.2)
C     iyear=1994,2023
c++      iyear=1994
      iyear=2022 !TEMPPPPPPPPPPPPP
C START:::::::::::::::::::::::::YEARLY cycle
    1   iyear=iyear+1
	if (iyear.gt.2023) GOTO 150 !STOP!!!!!!!!!!!!!!!!!!
        call blet4(iyear,AYEAR)
	AYR=AYEAR(3:4)
C	infile(13:14)=AYR
C	infile(19:22)=AYEAR
	OPEN(10,file=infile,action='READ')
C	read(10,*) txt      !title line
C
C day-to-day cycle....................................
       nhr=0
C
    2	read(10,30,end=50) CYEAR,CMN,CDY,rut,apo6(6)
	if (CYEAR.ne.'2023') GOTO 2
       DYEAR(6)=CYEAR  !+++
	DMN(6)=CMN        !+++
	DDY(6)=CDY		   !+++
C
       kut=int(rut)
	call blet2(kut,CUT)
	DUT(6)=CUT           !+++
       read(CYEAR,*) ryear
	kyear=int(ryear)
	       read(CMN,*) rmn
	kmn=int(rmn)
C++	if (kyear.lt.2023) goto 2
C++	if ((kyear.eq.2023).and.(kmn.lt.5)) goto 2
	kyr=kyear-kyear/100*100
	       read(CDY,*) rdy
	kdy=int(rdy)
		if(int(ryear/4.)*4.eq.kyear) THEN 
			dnyr=366.
	                          ELSE
	dnyr=365.
	ENDIF
C      del=1./(dnyr+rut/24.)
C      del=1./(dnyr*24.)
      del=1./dnyr
	lda=ndoy(kyr,kmn,kdy)
	xyear0=ryear+(lda-1)*del
	xyear1=ryear+lda*del
	xyear=xyear0+(xyear1-xyear0)/24.*rut
C	xyear=ryear+rlda*del
C Move data up
          DO kk=0,5
			apo6(kk)=apo6(kk+1)
       DYEAR(kk)=DYEAR(kk+1)  !+++
	DMN(kk)=DMN(kk+1)        !+++
	DDY(kk)=DDY(kk+1)		   !+++
	DUT(kk)=DUT(kk+1)         !+++
	  ENDDO
C
C      
C      IF((CYEAR.eq.'1995').and.(CMN.eq.'01').and.(CDY.eq.'01')
      IF((CYEAR.eq.'2023').and.(CMN.eq.'01').and.(CDY.eq.'01')
	+.and.(kut.lt.5)) THEN !~~~~~~~~~~~~~~~~
	pgec=0.
	write(*,31) CYEAR,CMN,CDY,CUT,apo6(6),pgec
      write(11,31) CYEAR,CMN,CDY,CUT,apo6(6),pgec
C Move data up
C          DO kk=0,5
C	apo6(kk)=apo6(kk+1)
C	  ENDDO
	GOTO 2
	ENDIF         !~~~~~~~~~~~~~~~~~~~
C
C
   3  CONTINUE
      ww = 1.0
		wta = 1.0
	Wsumo = 0.0
	Wsum = 0.0
C
C Produce pgec=GEC(tau)
C
      DO nd=0,5
	Wk=apo6(5-nd)
      if (tau.le.0.) then
            pgec =  Wk
		         goto 4
         end if
	   Wsumo = Wsumo + wta
	   if (nd==0) then
	      Wsum = Wsum + Wk
	   else
	      Wsum = Wsum + Wk * wta
	   end if
	   wta = wta * tau
      enddo
C??	pgec = Wsum/Wsumo
        	pgec = Wsum*coef
C
   4	write(*,31) DYEAR(6),DMN(6),DDY(6),DUT(6),apo6(6),pgec
      write(11,31) DYEAR(6),DMN(6),DDY(6),DUT(6),apo6(6),pgec
C
	GOTO 2  !??????????????????????
C	         ELSE
C      GOTO 3
C	endif
C
   50 close(10)
C        GOTO 1
 150  close(11)
      pause ' '
	STOP
	END