      program calwuwlwe3
C.........................................................Nov. 2021
C Extract daily WU,WL,WE for 1994-2021 from magn coord maps: global, Arctic,Antactic
C
      CHARACTER*4 AYEAR
      CHARACTER*2 AYR,AMN,ADY
	CHARACTER*1 gns        !glonal, north,south
	CHARACTER*64 infilewu,infilewl,infilewe,outfile,txt
C
C+	 gns='m'  !global magn coord
C+	 gns='s'  !Antarctic magn coord
	 gns='n'  !Antarctic magn coord
	outfile='wulexd.txt'
	outfile(5:5)=gns
	OPEN(10,file=outfile,access='APPEND')
C
	infilewu='d:\web\grif\datw\wupYRx.txt'
	infilewu(23:23)=gns
	infilewl=infilewu
      infilewl(19:20)='ln'
	infilewe=infilewu
      infilewe(19:20)='er'
       DO 50 iyear=1994,2021
	call blet4(iyear,AYEAR)
		z1=iyear/4.0
      jz=int(z1)*4
      IF(jz.EQ.iyear) THEN
			    	ndnr=366
        ELSE
	  	ndnr=365
	       ENDIF
      del=1./ndnr
	AYR=AYEAR(3:4)
	infilewu(21:22)=AYR
	infilewl(21:22)=AYR
	infilewe(21:22)=AYR
      OPEN(11,file=infilewu,action='READ')
      OPEN(12,file=infilewl,action='READ')
      OPEN(13,file=infilewe,action='READ')
	read(11,*) txt
	read(12,*) txt
	read(13,*) txt
       DO 51 idy=1,ndnr
	 read(11,30,end=52) iyr,imn,idy,wuind !  daily value
	 read(12,30,end=52) iyr,imn,idy,wlind !  daily value
	 read(13,30,end=52) iyr,imn,idy,weind !  daily value
	 lda=ndoy(iyr,imn,idy)
	ryear=float(iyear)+del*(lda-1)
	call blet2(imn,AMN)
	call blet2(idy,ADY)
      write(*,31) ryear,AMN,ADY,wuind,wlind,weind
      write(10,31) ryear,AMN,ADY,wuind,wlind,weind
   51	continue
   52 close(11)
      close(12)
	close(13)
   50	CONTINUE
      close(10)
   30 format(3I2,122X,F4.2)
   31 format(F8.3,1X,2A2,3(1X,F5.2))
C
	pause ' '
	STOP
	END