C............................................................Sep. 2017
C 
C monthly mean SSN1 and F10.7 index from kpYEAR files
C
C 
C
C
      program cntSSN1mon
C
      DIMENSION IM(12)
	CHARACTER*80 infilekp,outfile,outfileyr
	character*4 AYEAR
	character*2 AMN,ADY
	DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/

c
   72	format(1X,I4,1X,F6.2)
   73	format(1X,A2)
   74	format(A45)
   10 FORMAT(3I2,56X,F3.0,F5.1)
	outfile='covrzmon.txt'
	outfileyr='covrzyr.txt'
     	OPEN(20,FILE=outfile,access='APPEND')
     	OPEN(21,FILE=outfileyr,access='APPEND')
	infilekp='kpYEAR'  

C cycle on yr
	nn=0
C	DO 50 nyear=1948,2017
Crem	DO 50 nyear=1994,2018
Crem	DO 50 nyear=2014,2018
C	DO 50 nyear=2017,2020
C       nyear=2019
C++       nyear=2020
       nyear=2023
	call blet4(nyear,AYEAR)
	infilekp(3:6)=AYEAR
	OPEN(13,FILE=infilekp,action='READ')
	covyr=0.
	ssnyr=0.
C
C
	     z1=nyear/4.0
        im(2)=28
	nndyr=365
           if(nyear/4*4.eq.nyear) then 
		 im(2)=29
	nndyr=366
	endif
C	
C Monthly cyle
       imn1=1
	imn2=12
	if (nyear.eq.2023) imn2=02 ! TEMP for 2023
C
      DO 49 imn=imn1,imn2
C+	if ((nyear.eq.2017).and.(imn.gt.10)) goto 51
      call blet2(imn,AMN)
C
C Day-to-day cycle
C
       ndmn=im(imn)
	sumrz=0.
	sumcv=0.
C	if ((nyear.eq.2019).and.(imn.eq.12)) ndmn=24 !TEMP!!!!!!!!!!!!!!
	do 48 idy=1,ndmn
	call blet2(idy,ADY)
      READ(13,10,END=202) JYR,JMN,JDY,rz,cov
	sumrz=sumrz+rz
	sumcv=sumcv+cov
   48	CONTINUE ! Daily cycle
      rmn=sumrz/ndmn
	fmn=sumcv/ndmn
	ssnyr=ssnyr+rmn
	covyr=covyr+fmn
C
   40 format(A4,A2,2(1X,F5.1))
	write(*,40) AYEAR,AMN,RMN,FMN
	write(20,40) AYEAR,AMN,RMN,FMN


   49	CONTINUE ! monthly cycle
  202		close (unit=13)
 	ssnyr=ssnyr/imn2
 	covyr=covyr/imn2
  41  format(A4,2(1X,F5.1))
	write(*,41) AYEAR,ssnyr,covyr
	write(21,41) AYEAR,ssnyr,covyr
C
   50	CONTINUE ! Annual cycle
   51	close (unit=20)
      close (unit=21)
  
   33	continue
	write(*,*) outfile
   34   pause ' ' 
      STOP
       END

c VERIFICATION OF MEDIAN ================
      subroutine rmedian(ndnr)
C Input file: CC(31,0:23) for 31 days, hours 00, 01, 23 h UY
C Number days for median : ndnr
C Outout file: ME(0:23) for hours 00, 01, 23 h UY
	DIMENSION CC(31,0:23),ME(0:23),X1(31),X2(31)
		COMMON /BL1/CC,ME
C "MEDIAN:"
       DO 1030 M=0,23
      MM=0
      DO N=1,ndnr
      X1(N)=CC(N,M)
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
	IF ((XD1-CD1).LT.0.0001) THEN 
	MD=INT((X2(ND1)+X2(ND2))/2.)
	ELSE
	MD=INT(X2(ND2))
	ENDIF
 1000 IF (MM.eq.0) MD=0
C1010 REM PRINT M;MD;
 1020 ME(M)=MD
 1030 CONTINUE
c 1040 REM PRINT
 1050 RETURN
      END