      program cntmapave
C..............................................................Sep. 2020
C Cnt average of GIM-map from IONEX grids in geom. coord
C Daily-UT or monthly median-UT
C
	character*76 outfile,infile
	dimension im(12)
	+,imap(31,71,0:72),aver(31,0:23)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*2 AYR,AMN,ADY,AUT
	CHARACTER*4 AYEAR,TIME
	CHARACTER*1 fhtc,dm	  ! fhtc: f,h,t,Hc ; dm = daily/median
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
	      CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
	TIME=tt(1:4)
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
Crem fhtc='c'  ! Hc  Temp
	fhtc='h'  ! hmF2 Temp
Crem	dm='m' ! daily
	dm='m' ! median
C
	outfile='d:\web\dhc\mapavehox.txt'  ! x med or day
	outfile(20:20)=dm
       if (fhtc.eq.'c') then
		outfile(9:10)='hc'
	outfile(18:19)='co'
	endif
	 if (fhtc.eq.'h') then
		outfile(9:10)='hs'
	outfile(18:19)='ho'
	endif
	OPEN(12,file=outfile,access='APPEND') ! median

C   1    write(*,*) ' Enter YEAR:'
C	 read(*,*) AYEAR
C	AYR=AYEAR(3:4)
C++++++++++++++++++++++++++++++++++
C       DO 400 iyear=1994,2020
      iyear=2000
Crem       DO 400 iyear=2001,2020
Crem       DO 400 iyear=2018,2020
	call blet4(iyear,AYEAR)
	AYR=AYEAR(3:4)
Crem       write(*,*) ' Enter AMN:'
Crem	 read(*,*) AMN
C
	read(ayr,*) yr
	iyr=int(yr)
	if(int(yr/4.)*4.eq.iyr) THEN 
	im(2)=29
	ndnr=366
	                          ELSE
	IM(2)=28
	ndnr=365
	ENDIF
C-	read(amn,*) xmn
C-	imn=int(xmn)
C
  32  format(73(1X,I4))
  33  format(1X,A2,1X,A2)
   2	icnt=0
C
	infile='d:\web\dhc\YR\MN\coMNDDUT.jYR'  !  Hc	Temp
Crem	infile='d:\web\dhs\YR\MN\hoMNDDUT.jYR'  !  hmF2
C
      infile(27:27)=dm
C
        if (dm.eq.'m') then
	   infile(22:23)='00'
	endif
C
       if (fhtc.eq.'c') then
	infile(10:10)='c'
	infile(18:18)='c'
	endif
	 if (fhtc.eq.'h') then
	infile(10:10)='s'
	infile(18:18)='h'
	endif
C
	infile(12:13)=AYR						
	infile(28:29)=AYR						
C
C monthly cycle
C
       imn1=1
	imn2=12
	if (iyear.eq.2020) imn2=8
       DO 40 imn=imn1,imn2
	call blet2(imn,AMN)
	infile(15:16)=AMN						
	infile(20:21)=AMN						
C
	ndmn=im(imn)
C 
C  UT cycle
	DO 45 iut=0,23
	call blet2(iut,AUT)
      infile(24:25)=AUT						
	outfile(24:25)=AUT						
C
	write(*,33) AMN,AUT
		
C day-to-day cycle
	DO 44 idy=1,ndmn
	call blet2(idy,ADY)
      if (dm.eq.'d') infile(22:23)=ADY						
c	write(*,33) ADY,AUT
	if ((dm.eq.'m').and.(idy.gt.1)) GOTO 44
C
		OPEN(11,file=infile,action='READ') !
C
C
C  ============ Cycle on IONEX grids  ==================
C
      glatk=-90.0
Cycle on lats
C
      ave=0.0
	DO 41 ilat=1,71  ! Cycle on IGS sites
	read(11,32,end=39) (imap(idy,ilat,k),k=0,72)
C
	do kk=0,72
	ave=ave+imap(idy,ilat,kk)
	enddo
	glatk=glatk+2.5
	glonk=-185.
C	write(*,34) imap(idy,ilat,k),k=0,72)
   41	CONTINUE		  !	End lati cycle
   39 close(unit=11)		! end map for given UT/day
      aver(idy,iut)=ave/5183.0
C
   44	CONTINUE         ! End day-to-day for selected UT
C
C
  143	CONTINUE
   45	CONTINUE		  ! End UT cycle
  777	write(*,*) AYEAR,AMN
   34	format(1X,4A2,1X,F6.1)
      if (dm.eq.'m') ndmn=1
       do idy=1,ndmn
	call blet2(idy,ADY)
	if (dm.eq.'m') ADY='00'
	do iut=0,23
      call blet2(iut,AUT)
	write(*,34) AYR,AMN,ADY,AUT,aver(idy,iut)
	write(12,34) AYR,AMN,ADY,AUT,aver(idy,iut)
	enddo
	 enddo
   40	CONTINUE		  ! End monthly cycle
  400 CONTINUE		  ! 
      close(unit=12)
	pause ' '
	STOP 
	END