      program cntmapdevdy27
C..............................................................Sep. 2020
C Cnt  GIM-map from IONEX grids in geom. coord
C Daily-UT running median (from /YR/mapavYRco.txt) and dev = Daily/hr/ave - rmed(mothly/hr/av)
C
	character*76 outfile,outfile1,outfile2,infile
		DIMENSION CC(27,0:23),XME(0:23)
	dimension im(12)
	+,imap(31,71,0:72),aver(31,0:23),ires(0:23),idev(0:23),imed(0:23)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*2 AYR,AMN,ADY,AUT,CYR(27),CMN(27),CDY(27)
	+,BYR(31),BMN(31),BDY(31)
	CHARACTER*4 AYEAR,TIME
C	CHARACTER*8 YYMMDDUT
	CHARACTER*1 fhtc,dm	  ! fhtc: f,h,t,Hc ; dm = daily/median
		COMMON /BL1/CC,XME
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
	      CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
	TIME=tt(1:4)
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
       fhtc='c'  ! Hc  Temp
Crem	fhtc='h'  ! hmF2 Temp
	dm='d' ! daily
C	CDY='00'
C
C-        infile2= 'd:\web\dhc\mapavehom.txt'  ! med ave
C
      outfile='d:\web\dhc\YR\hoavYR.txt'        ! global mean UT/DY/MN/YR
	outfile1='d:\web\dhc\YR\mapavYRho27.txt'  ! 27-day median
	outfile2='d:\web\dhc\YR\mapdeYRho27.txt'  !	deviation from 27-day median
       if (fhtc.eq.'c') then
		outfile(9:10)='hc'
		outfile1(9:10)='hc'
	outfile2(9:10)='hc'
		outfile(15:16)='co'
	outfile1(22:23)='co'
	outfile2(22:23)='co'
	endif
	 if (fhtc.eq.'h') then
		outfile(9:10)='hs'
		outfile1(9:10)='hs'
	outfile2(9:10)='hs'
		outfile(15:16)='ho'
	outfile1(22:23)='ho'
	outfile2(22:23)='ho'
	endif
C
C   1    write(*,*) ' Enter YEAR:'
C	 read(*,*) AYEAR
C	AYR=AYEAR(3:4)
C++++++++++++++++++++++++++++++++++
      n27=0
       DO 400 iyear=1994,2020
Ctemp      iyear=1993  ! Start-1
Ctemp    1 iyear=iyear+1
  	call blet4(iyear,AYEAR)
	AYR=AYEAR(3:4)
		outfile(12:13)=AYR
	outfile(19:20)=AYR
	outfile1(12:13)=AYR
	outfile1(20:21)=AYR
	outfile2=outfile1
	outfile2(18:19)='de'
	OPEN(11,file=outfile) ! daily/UT global aver(map) 
	OPEN(12,file=outfile1) ! daily/UT 27-day median
	OPEN(13,file=outfile2) ! daily/UT deviation from 27-day median
C
	read(ayr,*) yr
	iyr=int(yr)
	if(int(yr/4.)*4.eq.iyr) THEN 
	im(2)=29
	ndnr=366
	                          ELSE
	IM(2)=28
	ndnr=365
	ENDIF
C-	read(amn,*) xmn
C-	imn=int(xmn)
C
  32  format(73(1X,I4))
  33  format(3(1X,A2))
   2	icnt=0
C
	infile='d:\web\dhc\YR\MN\coMNDDUT.jYR'  !  Hc	Temp
Crem	infile='d:\web\dhs\YR\MN\hoMNDDUT.jYR'  !  hmF2
C
C
       if (fhtc.eq.'c') then
	infile(10:10)='c'
	infile(18:18)='c'
	endif
	 if (fhtc.eq.'h') then
	infile(10:10)='s'
	infile(18:18)='h'
	endif
C
	infile(12:13)=AYR						
	infile(28:29)=AYR						
C
C monthly cycle
C
       imn1=1
	imn2=12
	if (iyear.eq.2020) imn2=8
       DO 40 imn=imn1,imn2
	call blet2(imn,AMN)
	infile(15:16)=AMN						
	infile(20:21)=AMN						
C
C
	ndmn=im(imn)
C 
C day-to-day cycle
	DO 44 idy=1,ndmn
	call blet2(idy,ADY)
       infile(22:23)=ADY						
      lda=ndoy(iyr,imn,idy)
C  UT cycle
	DO 45 iut=0,23
	call blet2(iut,AUT)
      infile(24:25)=AUT						
C
Crem	write(*,33) AMN,ADY,AUT
C
		OPEN(10,file=infile,action='READ') !
C
C
C  ============ Cycle on IONEX grids  ==================
C
      glatk=-90.0
Cycle on lats
C
      ave=0.0
	DO 41 ilat=1,71  ! Cycle on IGS sites
	read(10,32,end=39) (imap(idy,ilat,k),k=0,72)
C
	do kk=0,72
	ave=ave+imap(idy,ilat,kk)
	enddo
	glatk=glatk+2.5
	glonk=-185.
C	write(*,34) imap(idy,ilat,k),k=0,72)
   41	CONTINUE		  !	End lati cycle
   39 close(unit=10)		! end map for given UT/day
      aver(idy,iut)=ave/5183.0
	ires(iut)=nint(aver(idy,iut))
C	ires(iut
   45	CONTINUE		  ! End UT cycle
      write(*,36) AYR,AMN,ADY,(ires(k),k=0,23)
	write(11,36) AYR,AMN,ADY,(ires(k),k=0,23)
	BYR(idy)=AYR
	BMN(idy)=AMN
	BDY(idy)=ADY
	n27=n27+1
C
C If (n27.eq.27) Produce running 27day aver and deviation for 14th day:
C+++++++++++++++++++++++++++
              	IF (n27.eq.27) THEN
      if ((iyear.eq.1994).and.(lda.eq.27)) then
	do ii=1,27
	CYR(ii)=BYR(ii)
	CMN(ii)=BMN(ii)
	CDY(ii)=BDY(ii)
	do kk=0,23
	CC(ii,kk)=aver(ii,kk)
	enddo
	enddo
	                                  else
C Move data 1 day up:
	do ii=2,27
	CYR(ii-1)=CYR(ii)
	CMN(ii-1)=CMN(ii)
	CDY(ii-1)=CDY(ii)
	do kk=0,23
	CC(ii-1,kk)=CC(ii,kk)
	enddo
	enddo
	CYR(27)=BYR(idy)
	CMN(27)=BMN(idy)
	CDY(27)=BDY(idy)
	do kk=0,23
	CC(27,kk)=aver(idy,kk)
	enddo
                                          endif
C 27-day median
C-  	call rmedian27(27)
C 27-day average instead of median:
       DO kk=0,23
	xme(kk)=0.0
	    do ii=1,27
      	xme(kk)=xme(kk)+CC(ii,kk)
	    enddo
	xme(kk)=xme(kk)/27.0
	 ENDDO
C
      n27=n27-1
    	do kk=0,23
	imed(kk)=nint(xme(kk))
	dev=CC(14,kk)-xme(kk)
	idev(kk)=nint(dev)
	enddo
      write(*,36) CYR(14),CMN(14),CDY(14),(imed(k),k=0,23)
	write(12,36) CYR(14),CMN(14),CDY(14),(imed(k),k=0,23)
      write(*,36) CYR(14),CMN(14),CDY(14),(idev(k),k=0,23)
	write(13,36) CYR(14),CMN(14),CDY(14),(idev(k),k=0,23)
                       	ENDIF
  
C
   44	CONTINUE         ! End day-to-day for selected UT
C
C
C	write(*,*) AYEAR,AMN
   34	format(1X,4A2,1X,F6.1)
   35  format(1X,3A2,24(1X,I4))
   36  format(3A2,1X,24(I4,1X))
C
   40	CONTINUE		  ! End monthly cycle
      close(unit=11)
      close(unit=12)
	     close(unit=13)
  400 CONTINUE		  ! 
C  170   close(unit=10)
	pause ' '
	STOP 
	END