      program cntmapmed
C..............................................................Sep. 2020
C Produce hmF2 & Hc monthly median GIM-map from IONEX grids in geom. coord
C produce med(GIM-hmF2) and med(GIM-Hc) for IONEX format
C
	character*76 outfile,infile
	dimension im(12),CC(31,0:72),XMED(0:72)
	+,imap(31,71,0:72),imed(0:72)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*2 AYR,AMN,ADY,AUT
	CHARACTER*4 AYEAR,TIME
	CHARACTER*1 hmhc
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
	COMMON /BL1/CC,XMED
C
	      CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
	TIME=tt(1:4)
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
Crem      hmhc='c'  ! Hc monthly median Temp
	hmhc='h'  ! hmF2 monthly median Temp
C
C   1    write(*,*) ' Enter YEAR:'
C	 read(*,*) AYEAR
C	AYR=AYEAR(3:4)
Crem       DO 400 iyear=1994,2020
Crem       DO 400 iyear=2001,2020
C       DO 400 iyear=2018,2020
       iyear=2000
	call blet4(iyear,AYEAR)
	AYR=AYEAR(3:4)
Crem       write(*,*) ' Enter AMN:'
Crem	 read(*,*) AMN
C
	read(ayr,*) yr
	iyr=int(yr)
	if(int(yr/4.)*4.eq.iyr) THEN 
	im(2)=29
	ndnr=366
	                          ELSE
	IM(2)=28
	ndnr=365
	ENDIF
C-	read(amn,*) xmn
C-	imn=int(xmn)
C
  33  format(1X,A2,1X,A2)
   2	icnt=0
C
	infile='d:\web\dhc\YR\MN\coMNDDUT.jYR'  !  Hc	Temp
Crem	infile='d:\web\dhs\YR\MN\hoMNDDUT.jYR'  !  hmF2
C
	outfile='d:\web\dhc\YR\MN\coMN00UT.mYR'  !  Hc	Temp
Crem	outfile='d:\web\dhs\YR\MN\hoMN00UT.mYR'  !  hmF2
       if (hmhc.eq.'c') then
	infile(10:10)='c'
	infile(18:18)='c'
	outfile(10:10)='c'
	outfile(18:18)='c'
	else
	infile(10:10)='s'
	infile(18:18)='h'
	outfile(10:10)='s'
	outfile(18:18)='h'
	endif
C
	infile(12:13)=AYR						
	infile(28:29)=AYR						
	outfile(12:13)=AYR						
	outfile(28:29)=AYR						
C
C monthly cycle
C
       imn1=1
	imn2=12
	if (iyear.eq.2018) imn1=7
	if (iyear.eq.2020) imn2=8
       DO 40 imn=imn1,imn2
	call blet2(imn,AMN)
	infile(15:16)=AMN						
	infile(20:21)=AMN						
	outfile(15:16)=AMN						
	outfile(20:21)=AMN						
C
	ndmn=im(imn)
C 
C  UT cycle
	DO 45 iut=0,23
	call blet2(iut,AUT)
      infile(24:25)=AUT						
	outfile(24:25)=AUT						
	OPEN(12,file=outfile) ! median
C
	write(*,33) AMN,AUT
C day-to-day cycle
	DO 44 idy=1,ndmn
	call blet2(idy,ADY)
      infile(22:23)=ADY						
c	write(*,33) ADY,AUT
		OPEN(11,file=infile,action='READ') !
C
C
C  ============ Cycle on IONEX grids  ==================
C
      glatk=-90.0
Cycle on lats
	DO 41 ilat=1,71  ! Cycle on IGS sites
	read(11,34,end=39) (imap(idy,ilat,k),k=0,72)
	glatk=glatk+2.5
	glonk=-185.
C	write(*,34) imap(idy,ilat,k),k=0,72)
   41	CONTINUE		  !	End lati cycle
   39 close(unit=11)		! end map for given UT/day
C
   44	CONTINUE         ! End day-to-day for selected UT
   34	format(73(1X,I4))
C
C
C Median calculation for selected UT
C
	 DO 143 ilat=1,71
C
	 DO kdy=1,ndmn 
	DO ilon=0,72
	CC(kdy,ilon)=0.0
	CC(kdy,ilon)=float(imap(kdy,ilat,ilon))
	ENDDO
	 ENDDO
C
      call rmedian31(ndmn)    ! median
C
	DO ilon=0,72
	imed(ilon)=nint(xmed(ilon))
	ENDDO
C-	write(*,34) (imed(k),k=0,72)
	write(12,34) (imed(k),k=0,72)
  143	CONTINUE
      close(unit=12)
   45	CONTINUE		  ! End UT cycle
  777	write(*,*) AYEAR,AMN
   40	CONTINUE		  ! End monthly cycle
  400 CONTINUE		  ! 
	pause ' '
	STOP 
	END