      subroutine distangle(glat1,glon1,glat2,glon2,hkm,dkm,angle)
C..............................................................Nov. 2017
C Distance, km, between two points A and B on sphere
C Angle (from 0deg. North to 360deg clockwise) for vector AB 
C
              PI=ATAN(1.0)*4.
        UMR=PI/180.
	ss=sin(umr*glat1)*sin(umr*glat2)
	dlon=umr*(glon2-glon1)
	clat1=90.-glat1
	clat2=90.-glat2
	cc=cos(umr*glat1)*cos(umr*glat2)*cos(dlon)
	cres=ss+cc
	drad=acos(cres) ! distance in radians
	 dkm=drad*(6370.0+hkm) ! distance in km
	sinal=sin(dlon)*cos(umr*glat2)/sin(drad) ! sin(alpha)
	if (sinal.lt.-1.) sinal=-1.
	if (sinal.gt.1.) sinal=1.
	anglrad=asin(sinal)
	angle=anglrad/umr
	if (clat2.gt.clat1) angle=180.0-angle
	if (angle.lt.0.0) angle=360.0+angle
	return
	end