        REAL FUNCTION EPSTEP ( Y2, Y1, SC, HX, X)
C---------------------------------------------- STEP FROM Y1 TO Y2      
        EPSTEP = Y1 + ( Y2 - Y1 ) * EPST ( X, SC, HX)
        RETURN
        END
C
C
        REAL FUNCTION EPST ( X, SC, HX )
C -------------------------------------------------------------- STEP
C//        COMMON/ARGEXP/ARGMAX
	        	ARGMAX=88.0
        D1 = ( X - HX ) / SC
        IF (ABS(D1).LT.ARGMAX) GOTO 1
        IF (D1.GT.0.0) THEN
          EPST = 1.
        ELSE
          EPST = 0.
        ENDIF
        RETURN
1       EPST = 1. / ( 1. + EXP( -D1 ))
        RETURN
        END
C
      FUNCTION HPOLPHI(XPHI,TW,XNW,SA,SU)
C     [D.BILITZA,1978]. SUBROUTINE FOR TIME INTERPOLATION USING
C     EPSTEIN FUNCTION WITH WIDTH OF TRANSITION REGION OF 0.2 PHI
C     (DAY-NIGHT FUNCTION). TW_MAX),XNW_MIN
C     PARAMETER SA=-0.6, SU=0.6 - Trasition PHI Solar Phase
C     IF(ABS(SU-SA).GE.24.0) GOTO 100
      IF(ABS(SU-SA).GE.40.0) GOTO 100
           HPOL=XNW+(TW-XNW)/(1.0+EXP(-(XPHI-SA)/0.2))+(XNW-TW)
     &/(1.0+EXP(-(XPHI-SU)/0.2))
      GOTO 200
100   HPOL=XNW
      IF(SA.LT.1.0) HPOL=TW		  !???
200   RETURN
      END
C
      FUNCTION HPOL(XHOUR,TW,XNW,SA,SU)
C     [D.BILITZA,1978]. SUBROUTINE FOR TIME INTERPOLATION USING
C     EPSTEIN FUNCTION WITH WIDTH OF TRANSITION REGION OF 1 HOUR
C     (DAY-NIGHT FUNCTION). TW,NW-DAYTIME AND NIGHTTIME VALUES OF
C     PARAMETER SA, SU - SUNRISE AND SUNSET TIME, HOURS
      IF(ABS(SU-SA).GE.24.0) GOTO 100
      HPOL=XNW+(TW-XNW)/(1.0+EXP(-(XHOUR-SA)/1.0))+(XNW-TW)
     &/(1.0+EXP(-(XHOUR-SU)/1.0))
      GOTO 200
100   HPOL=XNW
      IF(SA.LT.1.0) HPOL=TW
200   RETURN
      END
