C........................................................Aug. 2020
C,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
C Extract SSN2 smoothed from SILSO file 1749-2019
C
      PROGRAM extrassn2s
C---------------------------------------------------------------
C data for 12 MN=0,1,2,...12
C 1
C
C*********TEST
	CHARACTER*120 OUTFILE,infile
	character*2 ayr,amn
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*4 AYEAR
	dimension ssn(12)
C
	      CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
	outfile='ssn2_12.mon'
	OPEN(11,file=outfile,access='APPEND')
C
C read stations coordinates
      infile='SN_ms_tot_V2.0-2.txt'
   75 format(A4,1X,A2,11X,F5.1)
   76	format(1X,A4,1X,12(1X,F5.1))
	    
	i=1
    4	OPEN(109,FILE=INFILE,action='READ')
C
        DO 70 iyear=1749,2019
	call blet4(iyear,AYEAR)
C
      DO mn=1,12
	read(109,75,end=2) ayear,amn,ssn(mn)  ! stations number
      ENDDO
C 
  201	continue
	AYR=AYEAR(3:4)
   15	FORMAT(A4)
   16	FORMAT(A2)
  202	continue

C start foF2, hmF2 or TEC
	idy=1  !start
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 	write(*,76) AYEAR,(ssn(k),k=1,12)
	write(11,76) AYEAR,(ssn(k),k=1,12)
  70	CONTINUE	 !--------------------------------------
   81	close(unit=10)
   17	write(*,*) infile
C	pause ' '
   22	close(unit=11)
	pause ' '

	GOTO 33
C
    2 CONTINUE
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 34

   33	continue
      write(*,*) outfile
      pause ' ' 
   34   STOP
       END

C***********************************************************
