      program extssn0p
C.........................................................Jan. 2022
C extract SSN2 & SSN1 for SSN=0 SC=10,11,...25
C      & F107 for SSN=0 SC=19,20,...25

C
       character*64 infile1,infile2,outfile
	character*2 AMN,ADY,SC
C	character*4 AMMDD
	real ryear1(16),ryear2(16)
	data ryear1/1854.0,1866.2,1877.5,1889.0,1901.4,1910.7
	+,1921.3,1933.0,1943.4,1953.5,1963.9,1975.1,1984.7
     +,1994.3,2006.7,2016.9/
	data ryear2/1857.8,1867.7,1879.8,1890.5,1902.9,1914.9
	+,1924.6,1934.5,1944.9,1955.0,1966.1,1977.2,1987.7
     +,1997.4,2010.4,2021.9/
C
c       infile1='SSN1d.txt'	   ! SSN1
       infile1='SSN2d.txt'	   ! SSN2 (SSN=0)
	    infile2='SSN2p.txt'	   ! SSN2proxy
C>>	infile2='F107p.txt'	   ! F107p proxy
       outfile='ssn2SCp0.txt'   ! SSN2
C>>       outfile='f107p0.txt'   ! F107p
C
        OPEN(11,file=infile1,action='READ')
	OPEN(12,file=infile2,action='READ')
   29	read(11,*,end=51) iyear,imn,idy,xyear,issn2d,dssn,ix        ! SSN2
C++      IF ((xyear.ge.1947.0).and.(AMMDD.eq.'0127')) THEN      !F10.7
C++	backspace(11)
C++	 goto 28
C++	                                     ELSE
C++ 	 goto 29
C++	                                   ENDIF
C
C  30  format(F4.0,1X,2(A2),2X,F6.2)        !
  30  format(F8.3,1X,2(I2),2X,F6.2)        !	   SSN2pd
  32  format(I4,2(1X,I2),1X,F8.3,1X,2(A2),1X,I4)        ! ISSN2d
C  31  format(F6.0,1X,2(A2),2(2X,F6.2))        ! SSN1
  31  format(F8.3,1X,2(A2),2X,F6.2)        ! SSN2pd(SSN2=0)

C cycle on SC
C
C>>   28     DO 50 nn=10,16	!F10.6
   28     DO 50 nn=1,16	 ! SSN2
	nsc=nn+9
	call blet2(nsc,SC)
	outfile(5:6)=SC
	OPEN(10,file=outfile)
   4      read(12,30,end=52) ryear,imn1,idy1,proxy
	iyear1=int(ryear)
    1	read(11,*,end=51) iyear,imn,idy,xyear,issn2d,dssn,ix 		 ! SSN2d
	if ((iyear.eq.iyear1).and.(imn.eq.imn1).and.(idy.eq.idy1)) then
	GOTO 5
	else
	 GOTO 1
	ENDIF
C    1	read(11,30,end=51) ryear,amn,ady,R27	 ! SSN1
   5	 if (xyear.lt.ryear1(nn)) goto 4
      IF((xyear.ge.ryear1(nn)).and.(xyear.le.ryear2(nn))) THEN
C++	  if (issn2d.lt.25) then
	  if (issn2d.eq.0) then
	call blet2(imn1,AMN)
      call blet2(idy1,ADY)
	write(*,31) xyear,amn,ady,proxy
      write(10,31) xyear,amn,ady,proxy
	  endif
	goto 4
                                                  ELSE
c-	  if (xyear.gt.ryear2(nn)) then
	  close(unit=10)
	                                             ENDIF
C	  goto 50
c-	                      else
c-	goto 1
c-	  endif
   50	CONTINUE
   51	close(unit=11)
   52	close(unit=12)
C
C--   51	close(unit=10)
      pause ' '
	STOP
	END