      program extssn0pd
C.........................................................Nov. 2021
C extract SSN2(tau_27) & F107(tau_27) for SSN=0 SC=19,20,...25
C
       character*64 infile1,infile2,outfile
	character*2 AMN,ADY,SC
	character*4 AMMDD
	real ryear1(16),ryear2(16)
	data ryear1/1855.1,1866.2,1878.3,1889.0,1901.4,1912.7
	+,1923.1,1933.0,1943.4,1953.5,1963.9,1975.7,1986.2
     +,1995.9,2008.9,2019.9/
	data ryear2/1856.6,1867.7,1879.8,1890.5,1902.9,1914.2
	+,1924.6,1934.5,1944.9,1955.0,1965.4,1977.2,1987.7
     +,1997.4,2010.4,2021.4/
C
c       infile1='SSN1-27d1.txt'	   ! SSN1(27d_tau)
       infile1='SSN2-27d1.txt'	   ! SSN2(27d_tau)
	infile2='F107-27d1.txt'	   ! F107(27d_tau)
       outfile='ssn27dSCc.txt'
C
        OPEN(11,file=infile1,action='READ')
	OPEN(12,file=infile2,action='READ')
   29	read(11,*,end=51) xyear,AMMDD,R27        ! SSN2
      IF ((xyear.ge.1947.0).and.(AMMDD.eq.'0127')) THEN
	backspace(11)
	 goto 28
	                                     ELSE
 	 goto 29
	                                   ENDIF
C
  30  format(F4.0,1X,2(A2),2X,F6.2)        !
  32  format(F8.3,1X,2(A2),2X,F8.4)        ! SSN2
C  31  format(F6.0,1X,2(A2),2(2X,F6.2))        ! SSN1
  31  format(F8.3,1X,2(A2),2(2X,F6.2))        ! SSN2

C cycle on SC
C
   28     DO 50 nn=10,16
	nsc=nn+9
	call blet2(nsc,SC)
	outfile(7:8)=SC
	OPEN(10,file=outfile)
C    1	read(11,30,end=51) ryear,amn,ady,R27	 ! SSN1
    1	read(11,32,end=51) xyear,amn,ady,R27		 ! SSN2
      read(12,30,end=51) ryear,amn,ady,F27
	 if (xyear.lt.ryear1(nn)) goto 1
      IF((xyear.ge.ryear1(nn)).and.(xyear.le.ryear2(nn))) THEN
C-	  if (r27.lt.25.) then
	write(*,31) xyear,amn,ady,R27,F27
      write(10,31) xyear,amn,ady,R27,F27
C-	  endif
	goto 1
	                                          ELSE
c-	  if (xyear.gt.ryear2(nn)) then
	  close(unit=10)
c-	  goto 50
c-	                      else
c-	goto 1
c-	  endif
	                                             ENDIF
   50	CONTINUE
	close(unit=11)
	close(unit=12)
C
   51	close(unit=10)
      pause ' '
	STOP
	END