      program igstecw2
C..............................................................June 2021
C Produce TEC from uqrg_15min GIM-TEC for IGS stations list
C..............................................................Dec. 2016
C Produce TEC from IONEX GIM-TEC for IGS stations list
C produce W(TEC) index for IGS stations using -7day median
C
C	sites(288)
	character*76 infigs,outfile,txt
	dimension glat(288),glon(288),im(12),ixxx(0:23)
	CHARACTER*60 list(288),listk
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*56 txt3,txt4,txt6
	CHARACTER*16 txt2,txt5
	CHARACTER*7 txt1
C	CHARACTER*1 ac
	CHARACTER*2 AYR,AMN,ADY,ADD,AUT,AMM,DY1,DY2
	CHARACTER*4 STAT,STATS(288),AYEAR,SOUT,TIME,STAT_NEW
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
	COMMON /BL2/LISTK,AYEAR,AMN,DY1,DY2,GLATK,GLONK
C
C      ac='c' ! for all pre_days // ac='a' for current day
	txt1='TECU*10'
      txt2='Date of issue:  '
      txt3='YYMMDD|UT 0    1    2    3    4    5    6    7    8    9'
	txt4='   10   11   12   13   14   15   16   17   18   19   20 '
	txt5='  21   22   23  '  
      txt6='--------------------------------------------------------'
c
	      CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
	infigs='IGS-sites2.txt'
	OPEN(10,file=infigs,action='READ')
	icnt=0
   	read(10,30) txt ! title 
C//	write(11,30) txt
	DO i=1,288
	read(10,31,end=40) stats(i),list(i),glat(i),glon(i)
	icnt=icnt+1
	ENDDO
   40	close(unit=10)
C
   15	FORMAT(A2)
   30	format(A76)
   31	format(A4,A60,F6.2,1X,F7.2)
   32	format(A4,A60,1X,A7,2X,'glat ='F6.2,1X,'glon ='F7.2)        ! txt1=TECU
   33	format(2A56,A16,1X)
   34	format(3A2,1X,24(I4,1X))
   35	format(A16,A4,2A2,1X,'Time = ',A4,1X)
C
	outfile='d:\web\graf\dat0\YR\statYRMNtu.txt'  ! Tamara <uqrg>
C	ac='c'  ! temp - end-of-month
C Add input AYEAR,AMN,DY1,DY2
C       write(*,*) ' Enter STAT_new:'
C	read(*,*) STAT_NEW
      STAT_NEW='ABMF'   !NORM

C
C Yearly cycle
C
       write(*,*) ' Enter iYEAR:'
	read(*,*) iyear
C         DO 400 iyear=2015,2020     ! TEMP
C++         DO 400 iyear=2016,2020     ! TEMP
	call blet4(iyear,AYEAR)
C+	AYEAR=DD(1:4)
	AYR=AYEAR(3:4)
	outfile(18:19)=AYR							 ! Tamara
	outfile(25:26)=AYR							 ! Tamara
	read(ayr,*) yr
	iyr=int(yr)
	if(int(yr/4.)*4.eq.iyr) THEN 
	im(2)=29
	ndnr=366
	                          ELSE
	IM(2)=28
	ndnr=365
	ENDIF
C+       write(*,*) ' Enter MN_new:'
C+	read(*,*) MN_NEW
       write(*,*) ' Enter IMN:'
	read(*,*) IMN
C
C+	AMM=DD(5:6)
C++      AMM='01' ! TEMP
	ADD=DD(7:8)
C++      ADD='31' !TEMP
C+      TT(5:)='      '
	TIME=tt(1:4)
C+	read(ADD,*) rdy
C+	nrd=int(rdy)      ! current day
C
C Monthly cycle
C
C        DO 401 imn=1,12
C	if ((iyear.eq.2016).and.(imn.lt.MN_new)) goto 401     !TEMPPPPPPPPPP
       call blet2(imn,AMM)
      AMN=AMM
C
C+	read(amn,*) xmn
C+	imn=int(xmn)
	ndmn=im(imn)
	nrd=ndmn
	outfile(27:28)=AMN							 ! Tamara
C
C  ============ Cycle on IGS sites ==================
C
        iflag=0
	DO 41 ist=1,icnt  ! Cycle on IGS sites
	stat=stats(ist)
	if ((iflag.eq.0).and.(stat.ne.STAT_NEW)) then 
	goto 41
	                    else
	iflag=1
	endif
	glatk=glat(ist)
	glonk=glon(ist)
      listk=list(ist)
	call blet0(stat,sout)
	outfile(21:24)=sout							 ! Tamara
	OPEN(11,file=outfile)
C
      DY1='01'
	call blet2(ndmn,DY2)
C Cycle DA1Y-to-day cycle
C
       DO 44 idy=1,ndmn
c+	DY1='01'  ! start of month
C+	DY2=ADD   ! current day (end day for calculation)
C
C+	IF (AMM.ne.AMN) then 
C+	idy2=im(imn)
C+	call blet2(idy2,DY2)
C+	nrd=idy2
C+	ENDIF
C
c+	DO 44 idy=1,nrd
	call blet2(idy,ADY)
c+	if ((ADY.eq.ADD).and.(AMN.eq.AMM)) then
c+	ac='a'	  !norm
C+	ac='c'  ! temp - end-of-month
C+	else
C+	ac='c'
C+      endif
C
	if (idy.eq.1) then
	write(*,32) stat,listk,txt1,glatk,glonk
	write(11,32) stat,listk,txt1,glatk,glonk
C	write(*,35) txt2,AYEAR,AMM,ADD,TIME
	write(11,35) txt2,AYEAR,AMM,ADD,TIME
C	write(*,33) txt3,txt4,txt5
	write(11,33) txt3,txt4,txt5
C	write(*,33) txt6,txt6,txt6
	write(11,33) txt6,txt6,txt6
	endif
C
	DO iut=0,23
	call blet2(iut,AUT)
	call subinterp1tu(glatk,glonk,ayr,amn,ady,aut,res)
	 ixxx(iut)=nint(res)
	ENDDO
C	write(*,34) AYR,AMN,ADY,(ixxx(k),k=0,23)
	write(11,34) AYR,AMN,ADY,(ixxx(k),k=0,23)
   44	CONTINUE				! End day-to-day cycle
      close(unit=11)
C
C W(TEC) calculation
C
        if ((iyear.eq.2015).and.(imn.eq.1)) goto 41

C        do 402 idy=1,ndmn
      call subdevtec2(stat)    ! DEVLOG, WTEC
C 402	CONTINUE 
C
   41	CONTINUE  ! End stations cycle
C
  401	CONTINUE  ! End monthly cycle
  400	CONTINUE  ! End yearly cycle
	pause ' '
	STOP 
	END