      program lymyearmon
C............................................Oct 2021
C
C............................................Sep 2020
C New metrics of Lyman-alpha [W/m**2]
C .......................................Jan.2018
C produce Lyman-alpha_12.dat	   1948-2021 (+SSN1 predict)
      dimension r12(12)
	  character*45 infile1,infile2,outfile1,outfile2,txt
	character*2 AMN,BMN
		dimension dat(12)
	infile1='cntLymn12.res'
C	infile2='SSN1_12.txt'
      infile2='R12.dat'		 ! Base array R12.dat
	outfile1='lyma_12.txt'
	outfile2='lyma_12.dat'
Cold	rcoef=77.3643
      	rcoef=45659.0
C
	OPEN(10,file=infile1,action='READ')
	do k=1,4
	read(10,*) txt ! extra line	 (09.1947-12.1947)
	enddo
C
	OPEN(13,file=infile2,action='READ')
C+    1	read(13,29) iyear,imn,ssn
    1	read(13,29) iyear,R12
	if (iyear.lt.1947) goto 1	   ! Temp start from 1948 (corrected SSN1_12)
C=	if ((iyear.eq.2017).and.(imn.lt.4)) goto 1 !SSN1 starts from 2017.05
C
	OPEN(11,file=outfile1)
	OPEN(12,file=outfile2)
C+   29 format(1X,I4,I2,2X,F5.1)
   29 format(1X,I4,1X,12(1X,F5.1))  ! R12.dat

Cold   30 format(1X,F8.3,1X,A2,1X,F6.1)
   30 format(1X,F8.3,1X,A2,1X,F9.7) !new
   31 format(I4,1X,I2,1X,F8.3,2X,F5.1)
   33 format(1X,F8.3,1X,A2,1X,F5.1) !new

C
C
	DO 1000 iyear=1948,2024
C
	yr=float(iyear)
	delyr=1./12.
C
       
	do k=1,12
      dat(k)=0.
	enddo

   44 read(13,29) kyear,R12
C      if (kyear.lt.iyear) goto 44
C
	DO 101 imn=1,12
	call blet2(imn,AMN)
         ssn=R12(imn)            ! from R12.dat
	ryear=iyear+delyr*(imn-1)
C
      res=0.9811*ssn+2.004  !New Lya-proxy scaled to SSN1_12 ! 1962.01-2021.03
	dat(imn)=res
C
      IF((iyear.lt.2022).or.((iyear.eq.2022).and.(imn.le.8))) THEN  !Ly12 <=2022.08
C
C read Lym-a:
C
      read(10,30,end=100) RYEAR,BMN,rlym
      res=(rlym-0.006)*rcoef	!new Lya-proxy scaled to R12
	dat(imn)=res
C
        ENDIF
  100 continue
	write(*,33) ryear,amn,res
	write(11,33) ryear,amn,res
  101 CONTINUE
C
      write(*,35) iyear,(dat(k),k=1,12)
 	write(12,35) iyear,(dat(k),k=1,12)
C      ENDDO
1000	CONTINUE
   35 format(1X,I4,1X,12(1X,F5.1))
	close(unit=10)
	close(unit=11)
	close(unit=12)
	close(unit=13)
	pause ' '
	stop
	end



