C
C					                                  Sep. 2012
C
C       Count global median afc(UT) and ahc*UT) for maps TEC, fcF2 and hcF2 
C input maps for given UT 
      program medmap1
C
C      output	fcYYMMUT.mut; hcYYMMUT.mut; tcYYMMUT.mut;
C
      DIMENSION im(12),da(31,71,0:72),av(0:72),iav(0:72)
	+,CC(31,0:72)  ! calculate med-map line-by-line for 71 latitudes
      character*2 ayr,amn,ady,aut
	character*1 fht
	character*45 infile,outfile
	character*4 AYEAR
	integer*2 iyr,mn,idy,iut

	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
			COMMON /BL1/CC,IAV

c
c Add input of fm:
       write(*,*) 'ENTER f, h, or t:'
	 read(*,*) fht
      
ctemp	fht='f'
       write(*,*) 'ENTER YEAR:'
	 read(*,*) AYEAR
	AYR=AYEAR(3:4)
       write(*,*) 'ENTER MN:'
	 read(*,*) AMN
		read(ayr,*) yr
		read(amn,*) rmn
	mn=int(rmn)
C
 	iyr=int(yr)
	if(int(yr/4.)*4.eq.iyr) THEN 
	im(2)=29
	                          ELSE
	IM(2)=28
	ENDIF
	ndnr=im(mn)
C
C 
C
ctemp	num=1	  ! only foF2
		num=3	! fcF2,  hcF2, tec
cc       infile='styrmn.txt'
       infile='d:\web\dfc\yy\mm\fcmmddut.uyr'
	infile(9:9)=fht
	infile(18:18)=fht
	infile(12:13)=ayr
	infile(28:29)=ayr
	infile(15:16)=amn
	infile(20:21)=amn
	outfile='d:\web\dfc\yy\mm\fcyymmut.mut'
	outfile(9:9)=fht
	outfile(18:18)=fht
	outfile(12:13)=ayr
	outfile(15:16)=amn
	outfile(20:21)=ayr
	outfile(22:23)=amn
C
C UT cycle
	DO 203 iut=0,23
	call blet2(iut,AUT)
	infile(24:25)=AUT
	outfile(24:25)=AUT
	OPEN(110,FILE=outfile,access='APPEND')

C Day-to-day cycle
	DO 201 idy=1,ndnr
	call blet2(idy,ady)
	infile(22:23)=ady
C
   18	continue
	do k=0,72
	av(k)=0.
	enddo

  202 format(A60)
C
C cycle	UT
C da(35,0:24)

      OPEN(111,FILE=INFILE)
C
	do lat=1,71
  107 format(73(1X,F4.0))	! 
c-	do lon=0,72
c-	res(lon)=0.
c-	enddo
	READ (111,107,END=99,ERR=2) (da(idy,lat,k),k=0,72) !map lines
c--	glons=-185.
c--	do ii=0,72
c--	glons=glons+5.
c--	glon=glons
c--	if (glon.lt.0.) glon=glon+360.
c--	hour=iut+glon/15.
c--	if (hour.lt.0.) hour=hour+24.
c--	if (hour.gt.23.) hour=hour-24. 
c--	lt=int(hour)
c--	res(lt)=res(lt)+da(i,ii)
c--      enddo				   ! end long
	enddo				   ! end lati
   99	close(unit=111)
c-	do k=0,23
c-	av(k)=av(k)+res(k)/35.
c-	enddo
 
  201  CONTINUE				  ! end day-to-day cycle

	do 301 lat=1,71
	do k=0,72
	iav(k)=0
	enddo
C combile all days for selected lati:
	do idy=1,ndnr
      	do lon=0,72
	    cc(idy,lon)=da(idy,lat,lon)
	    enddo
	enddo
	call rmedian1(ndnr)
crem	   write(*,109) (iav(k),k=0,72)
	   write(110,109) (iav(k),k=0,72)
  301	continue                 ! end median map
	close(unit=110)

  203 continue   ! end ut cycle
 
  108 format(3A2,24(1X,I4))	! 
  109 format(72(1X,I4))	! 
      
C
       GOTO 33
    2 CONTINUE
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 34
   33	continue
      write(*,*) infile,outfile
      pause ' ' 
   34   STOP
       END

