      program mgyearmon
C .......................................Jan.2018
C produce MgII_12.dat	(1979.07-2019.04) (+SSN1 predict 1948:1979.06,;2018.11-2021)
C output 1948-2021
C
	  character*45 infile1,infile2,outfile1,outfile2
	character*2 AMN
		dimension dat(12),R12(12)
c	double precision rmg
	infile1='cntmgmn12.res'
C	infile2='SSN1_12.txt'  !replace by R12.dat
      infile2='R12.dat'		 ! Base array R12.dat
	outfile1='mgii_12.txt'
	outfile2='mgii_12.dat'
CREM	rcoef=8.9451E+03

C
	OPEN(10,file=infile1,action='READ')
C
	OPEN(13,file=infile2,action='READ')
C+    1	read(13,29) iyear,imn,ssn
    1	read(13,29) kyear,R12
CREM	if (iyear.lt.1948) goto 1 !SSN1 starts from 1948.01	NORM
	if (kyear.lt.1947) goto 1 ! starts from 1948.01 !R12
C-	backspace(13)
C??	if (imn.lt.4) goto 1 !SSN1 starts from 2016.04
C
C+	OPEN(11,file=outfile1,access='APPEND')
C+	OPEN(12,file=outfile2,access='APPEND')
	OPEN(11,file=outfile1)
	OPEN(12,file=outfile2)
   29 format(1X,I4,1X,12(1X,F5.1))  ! R12.dat

   30 format(1X,F8.3,1X,A2,3X,F7.5)
   31 format(I4,1X,I2,1X,F8.3,2X,F5.1)
   32 format(1X,F8.3,1X,A2,2X,F5.1)

C
C>>    2      read(10,30) RYEAR,AMN,rmg  !TEMP
C>>      if (ryear.lt.2014.) goto 2 !SSN1 starts from 2014.01 !TEMP
C>>	backspace(10)  !TEMP
C
	DO iyear=1948,2024	   !norm
C++      DO iyear=2014,2020	!TEMP
C
	      	read(13,29) kyear,R12

	DO 101 imn=1,12
	call blet2(imn,AMN)
C
C//     	read(13,29,end=101) iyear,kmn,ssn  ! read SSN1 for all period of output
C// 	 ssn1=ssn/100.
 	 ssn1=R12(imn)/100.  ! from R12.dat

      if ((iyear.lt.1979).or.(iyear.gt.2022)) GOTO 100       ! => use SSN1-12
	if ((iyear.eq.1979).and.(imn.lt.7)) GOTO 100   ! => input SSN1-12
	 if ((iyear.eq.2022).and.(imn.gt.8)) GOTO 100   ! => input SSN1-12
C
C read MgII_12:
C
      read(10,30,end=100) RYEAR,AMN,rmg
   35 format(1X,I4,1X,12(1X,F5.1))
      
Crem	dat(imn)=(rmg-0.1506)*rcoef+0.27
      dat(imn)=8945.1*rmg-1346.86

	res=dat(imn)
	write(*,32) ryear,amn,res
	write(11,32) ryear,amn,res
	goto 101
C
C Apply SSN1_12
C
  100 continue
C??	read(13,29,end=101) iyear,kmn,ssn
C??	 ssn1=ssn/10.
Crem      geff=0.0115*ssn1 + 0.1506
Crem	dat(imn)=(geff-0.1506)*rcoef+0.27
        dat(imn)=102.87*SSN1+0.27 
	res=dat(imn)
	ryear=float(iyear)+float(imn)/12.-0.042
	write(*,32) ryear,amn,res
	write(11,32) ryear,amn,res
  101 CONTINUE
C
      write(*,35) iyear,(dat(k),k=1,12)
 	write(12,35) iyear,(dat(k),k=1,12)
      ENDDO
	close(unit=10)
	close(unit=11)
	close(unit=12)
	close(unit=13)
	pause ' '
	stop
	end



