      program ssn2proxy
C......................................................Aug. 2022
C Predict SSN2_12 (fi)
	  character*45 infile1,infile2,outfile
	character*2 AMN
	dimension res(12),r12(12)
C	      
      	  infile2='d:/Apkp/SN_ms_tot_V2.0.txt'
	infile1='R12.dat'  ! Input = R12.dat !!!!!!!!!!!!!!!!!!!!!
   31 format(I4,1X,I2,10X,F6.1)
   32 format(1X,I4,1X,12(1X,F5.1))	! input R12.dat !!!!!!!!!!!!!
	outfile='ssn2_12.dat'  ! line matrix output
	OPEN(10,file=infile1,action='read')
    1	read(10,32,end=71) jyear,r12 ! SSN1 predict
      if (jyear.lt.2022) then
	 goto 1
	else
	backspace(10)
	endif

C
	iyyyy2=2022 !TEMP
	imnt2=1	 !TEMPPPPPPPPPPP  Last month for 12-monthly smoothed data: 2022/01/
 	OPEN(11,file=infile2,action='read')
    2	read(11,31,end=70) kyear,kmn,ssn2
	if (kyear.lt.1948) then
	goto 2
	else
	backspace(11)
	endif
C
	OPEN(12,file=outfile)
	       p1 =       1.469
       p2 =      0.5058

C
	DO 50 iyear=1948,2024
	imn2=12
	if (iyear.eq.2022) imn2=01
	do k=1,12
      res(k)=0.
	enddo
	if (iyear.gt.2021) then
	read(10,32,end=71) jyear,r12
	endif
C
      do 51 imn=1,12
	call blet2(imn,AMN)
	rz=r12(imn)
	ssn2p=p1*rz + p2
C
	if (iyear.lt.iyyyy2) then
	read(11,31,end=70) kyear,kmn,ssn2
	goto 49
	endif
C
	if ((iyear.eq.iyyyy2).and.(imn.le.imn2)) then
	read(11,31,end=70) kyear,kmn,ssn2
	goto 49
	               else
	ssn2=ssn2p
	endif
   49	write(*,33) kyear,AMN,ssn2
	res(imn)=ssn2
   51 continue
C
      write(*,35) kyear,(res(k),k=1,12)
	write(12,35) kyear,(res(k),k=1,12)
   50 CONTINUE
   35 format(1X,I4,1X,12(1X,F5.1))
   33 format(1X,I4,A2,1X,F6.1)
   71  close(unit=10)
   70	close(unit=11)
	close(unit=12)
	pause ' '
	STOP
	END
