      subroutine subsolphase(AYR,AMN,ADY,fi)
C........................................................Apr. 2020
C
C........................................................Aug 2018
C Fi >0 at growing phase, Fi <0 at descending phase
C
C
	dimension RMIN(11),RMAX(11),im(12)
	integer iyr,imn,idy
	character*2 AYR,AMN,ADY
	character*4 AYEAR
	DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
	DATA RMIN/1923.6,1933.8,1944.2,1954.3,1964.9,1976.5,1986.8,1996.9
	+,2008.9,2019.9,2034.1/
	DATA RMAX/1917.6,1928.4,1937.4,1947.5,1957.9,1968.9,1979.9,1989.6
	+,2000.3,2014.5,2025.5/
C-- 
C
   71	format(A45)
   72	format(1X,I4,I2,2(2X,F6.2))
C
  121 FORMAT(1X,A4,A2,1X,F5.2,1X,F7.1,1X,I4)
  122	FORMAT(A6)
  123	FORMAT(12(1X,I4))
  124	FORMAT(A64)
C
       read(AYR,*) ryr
	iyr=int(ryr)
		     z1=iyr/4.0
			 	jz=int(z1)*4
        im(2)=28
	  	idnr=365	! current year
	dnr=365.
           if(jz.eq.iyr) then
		 im(2)=29
	     idnr=366 ! current year
	dnr=366.
	     endif  
	AYEAR(3:4)=AYR
	if (iyr.gt.30) then
	iyyyy=iyr+1900
	AYEAR(1:2)='19'
	            else
	iyyyy=iyr+2000
	AYEAR(1:2)='20'
	           endif
	ryear=float(iyyyy)
C
	iflag=0
	read(AMN,*) rmn
	imn=int(rmn)
	read(ADY,*) rdy
	idy=int(rdy)
	lda=ndoy(iyr,imn,idy)
C
C??	ryear=iyyyy+imn/12.-0.083
	ryeard=ryear+lda/dnr
C
   22	CONTINUE
C??	ASTR=ryr+rmn/12.
	ASTR=ryeard
c	if(iyr.lt.30) then
c	ASTR=ASTR+2000.
c	else
c	ASTR=ASTR+1900.
c	endif
C Select Sol Phase boundaries
Crem	do j=1,8
	do j=1,11
	if ((ASTR.le.RMIN(j)).and.(ASTR.ge.RMAX(j))) then
C descending phase (fi < 0)
	AMIN=RMIN(j)
	AMAX=RMAX(j)
	coef=-1.
	goto 149
	endif
	enddo
Crem	do j=1,7
	do j=1,10
	if ((ASTR.ge.RMIN(j)).and.(ASTR.le.RMAX(j+1))) then
C growing phase (fi > 0)
	amin=RMIN(j)
	amax=rmax(j+1)
	coef=1.
	exit
	endif
	enddo
C end select
  149  FI=coef*(ASTR-AMIN)/(AMAX-AMIN)
	x=FI
c-  150 write(*,13) ryear,AMN,fi,rz
c-	write(12,13) ryear,AMN,fi,rz
c-	write(*,13) ryear,AMN,fi,cv
c-	write(13,13) ryear,AMN,fi,cv
c-  13  FORMAT(1X,F8.2,1X,A2,1X,F7.2,1X,F6.1)
c=  151	continue
c-  55	continue          !<<<<<<<<<<<<<<<<<<<<<<<<	   ! end cycle on month
c-	ENDDO					   ! end cycle on year
c-    3	CLOSE(unit=11)
c-	CLOSE(unit=12)
c-	CLOSE(unit=13)
c-	goto 180
C	goto 1
c-    2	write(*,*) 'input error'
	
180   continue
c-	pause ' '
c-      STOP
       RETURN
	END