C*************************************************************   
CC 
      SUBROUTINE SUBTECTAU(IYYYY,IMN,IDY,TCNtau,TCStau)
CC-------------------------------------------------------------------
CC......................................................Oct. 2017
CC Ytau27=0.04*(F0+tau*F_1+tau**2*F_2...+tau**27*F_27) =smoothed TECNp3 and TECSp3 index
CC median for 81prec_days+27prec_days+3prec_days (average of 3 medians)
CC from TEC-noon-maps (1) at 96 North and (2) 96 South grids
CC
c T.L. Gulyaeva ......................................  Sep. 2001. 
c Modified for producing solar radio flux F10.7, F81, averaged for
c 81 days preceeding given day
C 
C------------------------------------------------------------------------
      DIMENSION tecn(28),tecs(28)
C	,CC(81)
C     +     	 lm(12)
C      CHARACTER*4 YEAR
C	CHARACTER*2 AYR,AMN,ADY
      CHARACTER*80 infilen,infiles
C	COMMON /BL1/CC,SMED,SMIN,SMAX
C      DATA LM/31,28,31,30,31,30,31,31,30,31,30,31/
C
C START: 
      ipcnt=0 ! keep cnt -82,...-28,...,-1
	tau=exp(-1./26.)
c	tau=0.96
         do k=1,28
       tecn(k)=0.
       tecs(k)=0.
         enddo

C
        iy=iyyyy-1900

 770       z1=iy/4.0
      if (iy.ge.100) then
      iyr=iy-100
      else
      iyr=iy
      endif
C      call blet4(iyyyy,YEAR)
C 	AYR=YEAR(3:4)
C	call blet2(imn,AMN)
C	call blet2(idy,ADY)
C
C
10    FORMAT(1X,3I2,1X,F5.1)
	infilen='tecmapdn.txt'
	infiles='tecmapds.txt'
C
C-------------------------------------------------------------------------------
C
      OPEN(13,FILE=infilen,STATUS='OLD',action='READ')  
	OPEN(14,FILE=infiles,STATUS='OLD',action='READ')  
      nn=0
  201 continue
      READ(13,10,END=202) JYR,JMN,JDY,tec1
	READ(14,10,END=202) JYR,JMN,JDY,tec2
C
C 
      tecn(28)=tec1
	tecs(28)=tec2
C Move data 1 line up:
      do k=1,27
      tecn(k)=tecn(k+1)
      tecs(k)=tecs(k+1)
      enddo
	if ((jyr.eq.iyr).and.(jmn.eq.imn).and.(jdy.eq.idy)) then
	GOTO 202
	else
	GOTO 201
	endif
  202 close(unit=13)
      close(unit=14)

C data for -81 preceding days are collected                       
  207 TCNtau=0.0
      TCStau=0.0
      icnv=0
C+	sumn=tecn(1)
C+	sums=tecs(1)
      STAU=1.
	sumn=0.
	sums=0.
C=860   DO K=1,4
C=           RKP=RKP+STAU*X2(K)
C=           STAU=STAU*.7788
C=      ENDDO
C=        RKP=RKP*0.35
C+      do k=1,26
C++      do k=1,27
      do k=27,1,-1
CAVE      TCN27=TCN27+tecn(k)
CAVE      TCS27=TCS27+tecs(k)
C-       CC(k)=tecn(k)  ! CMED
      sumn=sumn+stau*tecn(k)
	sums=sums+stau*tecs(k)
	stau=stau*0.9623
C+     	sumn=sumn*tau+tecn(k+1)
C+ 	sums=sums*tau+tecs(k+1)
         enddo
	coef=(1.-tau)/(1.-stau)
      TCNtau=(1.-tau)/(1.-stau)*sumn
	TCStau=(1.-tau)/(1.-stau)*sums
CAVE      TEC27N=TCN27/27.0
CAVE      TEC27S=TCS27/27.0
C
      RETURN
      END

C __________________________________________________________________________
C
