C............................................................Apr. 2017
C input EUV by annual files
C............................................................Sep. 2016
C Monthly median EUV2(0.1-50),EUV1(22-36) 
C
C       "MEDIAN" 
      program cnteuvmon
C
      DIMENSION XX(31),XX1(31),XX2(31)
	+,im(12)
      character*2 ayr,amn,ady,BMN,BDY
	character*45 infile,outfile1,outfile2,txt
	character*4 AYEAR,BYEAR
	character*1 opt
	COMMON /BL1/XX
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
c
C
   97 format(1X,A2)
  197 format(A45)
       write(*,*) 'ENTER opt = 1 or 2 or 3 ~ MgII:'
	 read(*,*) opt

C+       write(*,*) 'ENTER Year-start:'
C+	 read(*,*) jyear
C-----------------------------------
	if ((opt.eq.'1').or.(opt.eq.'2')) then
C	infile='euvtot1n.txt'  ! EUV1 or EUV2, & SSN1, & SSN2
	infile='d:\Apkp\EUV\YR_v3_day.txt'
C=	infile(7:7)=opt
cREM	jyear=1996
	jyear=2016
	outfile1='cnteuvmon1.res'
	outfile2='cnteuvmon2.res'
C=	outfile(10:10)=opt
                              else
      infile='MgII.dat'  ! MgII
	outfile1='cntmgmon.res'
	jyear=1979
	endif
	OPEN(11,file=outfile1,access='APPEND')
	OPEN(12,file=outfile2,access='APPEND')
C=	OPEN(10,file=infile,action='READ')
C
	DO 400 jyr=jyear,2016
crem	jyr=jyear 
	call blet4(jyr,AYEAR)
	AYR=AYEAR(3:4)
	kyr=jyr-(jyr/100)*100
	infile(13:14)=AYR
	OPEN(10,file=infile,action='READ')
	do kk=1,48
	read(10,197) txt !extra lines
	enddo
C
	yr=float(jyr)
	if(int(yr/4.)*4.eq.jyr) THEN 
	im(2)=29
	                          ELSE
	IM(2)=28
	ENDIF
C
C++  Cycle on mn-to-mn =========================
	DO 179 imn=1,12
	call blet2(imn,AMN)
	mndays=im(imn)
   1	continue
	call blet2(imn,AMN)
C
  110 continue
	cnttot=0.
   99	format(A128)
    	do 80 ii=1,mndays					             !!
	xx1(ii)=0.
	xx2(ii)=0.
	lda=ndoy(kyr,imn,ii)
	if ((opt.eq.'1').or.(opt.eq.'2')) then
c=  	READ (10,107,END=81,ERR=2) BYEAR,BMN,BDY,euvdy
  	READ (10,*,end=81) ryear,BYEAR,ldoy,ch1,devch1,ch2,devch2
	+,ch3,devch3,x,y,z,r,rau,euv1,euv2
	                              else
      READ (10,108,END=81,ERR=2) BYEAR,BMN,BDY,emg2
	euvdy=emg2
	endif
C
  107	FORMAT(1X,A4,2A2,1X,F9.5)
  108	FORMAT(2X,A4,6X,2(1X,A2),F8.5)
	call blet2(ii,ADY)
C	if ((BYEAR.eq.AYEAR).and.(BMN.eq.AMN).and.(BDY.eq.ADY)) then
	if ((BYEAR.eq.AYEAR).and.(ldoy.eq.lda)) then

	cnttot=cnttot+1.
	 xx1(ii)=euv1
	  xx2(ii)=euv2
	endif
   80	continue
   81	 do kk=1,mndays
	xx(kk)=xx1(kk)
	enddo
	call rmedian1(mndays,xmed)
C
	write(*,98) ayr,amn,xmed
	write(11,98) ayr,amn,xmed
C
	 do kk=1,mndays
	xx(kk)=xx2(kk)
	enddo
	call rmedian1(mndays,xmed)
C
	write(*,98) ayr,amn,xmed
	write(12,98) ayr,amn,xmed
  179	continue  ! next month
   	close(unit=10)

  400	continue  ! next year

  98  format(1X,2A2,1X,1PE10.4)
       GOTO 33
    2 CONTINUE
    3	write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY ',infile,AYR,AMN
 	pause ' '
	goto 34

   33	continue
	close(unit=11)
      write(*,*) infile,outfile1,outfile2
c-	goto 1
   34   pause ' ' 
      STOP
       END

c VERIFICATION OF MEDIAN ================
      subroutine rmedian1(ndnr,xme)
C Input file: CC(31) for 31 days, hours 00, 01, 23 h UY
C Number days for median : ndnr
C Outout file: ME(0:23) for hours 00, 01, 23 h UY
	DIMENSION CC(31),X1(31),X2(31)
		COMMON /BL1/CC
C "MEDIAN:"
C       DO 1030 M=0,23 <= 1 col
      MM=0
      DO N=1,ndnr
      X1(N)=CC(N)
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
	IF ((XD1-CD1).LT.0.0001) THEN 
	CMD=(X2(ND1)+X2(ND2))/2.
	ELSE
	CMD=X2(ND2)
	ENDIF
 1000 IF (MM.eq.0) CMD=0
C1010 REM PRINT M;MD;
 1020 XME=CMD
 1030 CONTINUE
c 1040 REM PRINT
 1050 RETURN
      END