C............................................................Jan. 2018
C Monthly TECnoon index
C
      program cnttecmon
C
      DIMENSION XX(31)
	+,im(12)
      character*2 ayr,amn,ady,BYR,BMN,BDY 
	character*45 infile,outfile
	character*4 AYEAR
	COMMON /BL1/XX
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
c
C
   97 format(1X,A2)
  197 format(A45)
C-----------------------------------
      infile='tecnoond.txt'  ! TECnoon-daily
	outfile='cntecmon.res'
Crem	jyear=1994
	jyear=2023
	OPEN(11,file=outfile,access='APPEND')
	OPEN(10,file=infile,action='READ')
C
	imn1=1				  ! start mn for all years
	imn2=2               ! end mon

		DO 400 jyr=jyear,2023
crem	jyr=jyear 
	call blet4(jyr,AYEAR)
	AYR=AYEAR(3:4)
C
	yr=float(jyr)
	if(int(yr/4.)*4.eq.jyr) THEN 
	im(2)=29
	                          ELSE
	IM(2)=28
	ENDIF
C
C+	if (jyr.gt.1998) then
C+	imn1=1
C+	endif
C//	if (jyr.eq.2021)then
C//	imn2=9                   !TEMP
C//	endif
C++  Cycle on mn-to-mn =========================
	DO 179 imn=imn1,imn2
	mndays=im(imn)
   1	continue
	call blet2(imn,AMN)
C
  110 continue
	cnttot=0.
   99	format(A128)
    	do 80 ii=1,mndays					             !!
	call blet2(ii,ADY)
  111    READ (10,108,END=81,ERR=2) BYR,BMN,BDY,tind
C
  107	FORMAT(1X,A4,2A2,1X,F9.5)
  108	FORMAT(1X,3A2,1X,F5.1)
	if((BYR.eq.AYR).and.(bmn.eq.amn).and.(ady.le.bdy))
	+ then
	cnttot=cnttot+1.
	xx(ii)=tind
	               else
	goto 111
	endif
   80	continue
	call rmedian1(mndays,xmed)
	xyear=jyr+float(imn)/12.-0.042
C
	write(*,98) xyear,amn,xmed
	write(11,98) xyear,amn,xmed
C
  179	continue  ! next month

  400	continue  ! next year
   81	close(unit=10)

  98  format(1X,F8.3,1X,A2,1X,F5.2)
       GOTO 33
    2 CONTINUE
    3	write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY ',infile,AYR,AMN
 	pause ' '
	goto 34

   33	continue
	close(unit=11)
      write(*,*) infile,outfile
c-	goto 1
   34   pause ' ' 
      STOP
       END

c VERIFICATION OF MEDIAN ================
      subroutine rmedian1(ndnr,xme)
C Input file: CC(31) for 31 days, hours 00, 01, 23 h UY
C Number days for median : ndnr
C Outout file: ME(0:23) for hours 00, 01, 23 h UY
	DIMENSION CC(31),X1(31),X2(31)
		COMMON /BL1/CC
C "MEDIAN:"
C       DO 1030 M=0,23 <= 1 col
      MM=0
      DO N=1,ndnr
      X1(N)=CC(N)
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
	IF ((XD1-CD1).LT.0.0001) THEN 
	CMD=(X2(ND1)+X2(ND2))/2.
	ELSE
	CMD=X2(ND2)
	ENDIF
 1000 IF (MM.eq.0) CMD=0
C1010 REM PRINT M;MD;
 1020 XME=CMD
 1030 CONTINUE
c 1040 REM PRINT
 1050 RETURN
      END