	program histde3h
c .......................................................Feb 2024
C Histogram of percentage Vzp, Vzn,% occurrence (for every 3 hrs) from dayly ST(WfoF2) results 
C
c input daily -3h  'd:\data\iwg\st\stYRw3.txt' file collected for UT: 0,3,6,9,12,18,21 UT 3-hrs
c 
c
	DIMENSION ITHD(24),ICNTU(24),ICNTL(24),ICNTE(24)
	+,PTU(24),PTL(24),PTE(24),res(24)
	+,IDU(0:7),IDL(0:7),IDE(0:7)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*64,infile,outfile,txt
	CHARACTER*6 YRMNDY
	CHARACTER*2 ST,AYR
	DATA ITHD/-900,-800,-700,-600,-500,-450,-400,-350,-300,-250,-200
	+,-150,0,150,200,250,300,350,400,500,600,700,800,900/ 
C
	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
	icnt=0 ! 
		  outfile='histde3h.res'
	OPEN(12,FILE=OUTFILE,ACCESS='APPEND')
	   infile='d:\data\iwg\st\stYRw3.txt'
	write(*,*) ' Enter st'
	read(*,*) st
	infile(13:14)=st
	infile(16:17)=st
	write(*,*) ' Enter YEAR1,YEAR2'
	read(*,*) iyear1,iyear2
	write(*,30) st,iyear1,iyear2
	write(12,30) st,iyear1,iyear2
C
C Annual cycle
       DO 200 iyear=iyear1,iyear2
	iyr=iyear-(iyear/100)*100
	call blet2(iyr,AYR)
	infile(18:19)=AYR
      OPEN(11,FILE=INFILE,action='READ')
	read(11,*) txt  ! title line
   30 FORMAT(1X,A2,2(1X,I4))
   31 FORMAT(A6,8(1X,I4),8(1X,I5),8(1X,I4))
C start
       DO 101 idy=1,366
	read(11,31,end=199) YRMNDY,(idu(k),k=0,7),(idl(k),k=0,7)
	+,(ide(k),k=0,7)
	icnt=icnt+8
C  for 3 hrs
	         DO k=0,7
	if (ide(k).ge.ITHD(24)) then
      ICNTE(24)=ICNTE(24)+1
	endif
C
	if (ide(k).eq.0) then
      ICNTE(13)=ICNTE(13)+1
	endif
C
	if (idl(k).eq.0) then
      ICNTL(13)=ICNTL(13)+1
       endif
C
	if (idu(k).eq.0) then
      ICNTU(13)=ICNTU(13)+1
       endif

	do i=13,26
	if (idu(k).ne.0) then
	 if((idu(k).ge.ITHD(i)).and.(idu(k).lt.ITHD(i+1))) then
      ICNTU(i)=ICNTU(i)+1
		 endif
            endif
C
	if (ide(k).ne.0) then
	 if((ide(k).ge.ITHD(i)).and.(ide(k).lt.ITHD(i+1))) then
      ICNTE(i)=ICNTE(i)+1
		 endif
          endif
	ENDDO
C
C
       do i=1,12
	if (idl(k).ne.0) then
	if ((idl(k).ge.ITHD(i)).and.(idl(k).lt.ITHD(i+1))) then
      ICNTL(i)=ICNTL(i)+1
		 endif
           endif
	enddo
	                ENDDO
C
  101	CONTINUE
  199 CLOSE(unit=11)
  200	CONTINUE
C
       do k=1,24
	PTU(k)=float(ICNTU(k))/icnt*100.
	PTL(k)=float(ICNTL(k))/icnt*100.
	PTE(k)=float(ICNTE(k))/icnt*100.
	res(k)=	ITHD(k)/100.
C
	write(*,72) res(k),PTU(k),PTL(k),PTE(k)
	write(12,72) res(k),PTU(k),PTL(k),PTE(k)
	enddo

   72 format(1X,F6.1,3(1X,F7.3))
	CLOSE(unit=12)
	goto 900
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
  900 pause ' '
      STOP
      END

