	program histkp3h27
c........................................................Apr 2021
C extract days with kp ranges: kpmax <=1, <=2,...<=9
C
c .......................................................Mar 2021
C Histogram of percentage kp,% occurrence (for every 3 hrs) 
C
c input daily -3h  'd:\apkp\kpap\kpYEAR' file collected for UT: 0,3,6,9,12,18,21 UT 3-hrs
c 
c
	DIMENSION ITHD(10),IDU(0:7)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*64,infile,outfile1,outfile2,outfile3,outfile4,outfile5
	+,outfile6,outfile7,outfile8,outfile9
	CHARACTER*6 YRMNDY
	CHARACTER*2 AYR
	CHARACTER*4 AYEAR
	DATA ITHD/0,10,20,30,40,50,60,70,80,90/ 
C
	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
	icnt=0 ! 
		  outfile1='kpmax1.res'
	outfile1='kpmax1.res'
	outfile2='kpmax2.res'
	outfile3='kpmax3.res'
	outfile4='kpmax4.res'
	outfile5='kpmax5.res'
	outfile6='kpmax6.res'
	outfile7='kpmax7.res'
	outfile8='kpmax8.res'
	outfile9='kpmax9.res'
C
	OPEN(11,FILE=OUTFILE1)
	OPEN(12,FILE=OUTFILE2)
	OPEN(13,FILE=OUTFILE3)
	OPEN(14,FILE=OUTFILE4)
	OPEN(15,FILE=OUTFILE5)
	OPEN(16,FILE=OUTFILE6)
	OPEN(17,FILE=OUTFILE7)
	OPEN(18,FILE=OUTFILE8)
	OPEN(19,FILE=OUTFILE9)
	   infile='d:\apkp\kpap\kpYEAR'
C
C Annual cycle
C//       DO 200 iyear=1932,2020
       DO 200 iyear=1994,2020
	iyr=iyear-(iyear/100)*100
	call blet2(iyr,AYR)
	call blet4(iyear,AYEAR)
	infile(16:19)=AYEAR
      OPEN(10,FILE=INFILE,action='READ')
   30 FORMAT(1X,A2,2(1X,I4))
   31 FORMAT(A6,6X,8(I2))
   32 FORMAT(A6,8(1X,I2))
C start
       DO 101 idy=1,366
	read(10,31,end=199) YRMNDY,(idu(k),k=0,7)
	icnt=icnt+8
C  for 3 hrs
	maxkp=0
	do k=0,7
	 if(idu(k).gt.maxkp) maxkp=idu(k)
	enddo
C
C
        if (maxkp.eq.0) then 
	  ncase=11 
	goto 76
	endif
C
	do 75 ncas=10,2,-1

	 if((maxkp.le.ITHD(ncas)).and.(maxkp.gt.ITHD(ncas-1))) then
	ncase=ncas+9
	exit
	  endif
  75	continue
C
        
C
  76      write(*,32) YRMNDY,(idu(k),k=0,7)
	write(ncase,32) YRMNDY,(idu(k),k=0,7)
C
  101	CONTINUE
  199 CLOSE(unit=10)
  200	CONTINUE
C
   72 format(1X,F6.1,1X,I6,1X,F7.3)
	CLOSE(unit=11)
	CLOSE(unit=12)
	CLOSE(unit=13)
	CLOSE(unit=14)
	CLOSE(unit=15)
	CLOSE(unit=16)
	CLOSE(unit=17)
	CLOSE(unit=18)
	CLOSE(unit=19)
	goto 900
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
  900 pause ' '
      STOP
      END

