	program histkp3ha9
c .......................................................Apr 2021
C Histogram of percentage kp,% occurrence (for every 3 hrs) 
C
c input daily -3h  'd:\apkp\kpap\kpYEAR' file collected for UT: 0,3,6,9,12,18,21 UT 3-hrs
c 
c
	DIMENSION ITHD(10),ICNTD(10,3)
	+,PTU(10,3),res(10),icnti(3)
	+,IDU(0:7)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*64,infile,outfile
	CHARACTER*6 YRMNDY
	CHARACTER*2 AYR
	CHARACTER*4 AYEAR
	DATA ITHD/0,10,20,30,40,50,60,70,80,90/ 
C
	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
	icnt=0 ! 
		  outfile='histkp3ha.res'
	OPEN(12,FILE=OUTFILE,ACCESS='APPEND')
	   infile='d:\apkp\kpap\kpYEAR'
C
C Annual cycle
Crem       DO 200 iyear=1932,2020
Crem       DO 200 iyear=1994,2020
Crem       DO 200 iyear=1957,1993
Crem       DO 200 iyear=1986,1996
Crem       DO 200 iyear=1997,2008
Crem       DO 200 iyear=2009,2019
       do i=1,3
	icnti(i)=0
	do k=1,10
	icntd(k,i)=0
	enddo
	 enddo
C
       DO 200 iyear=1986,2019
	iyr=iyear-(iyear/100)*100
	call blet2(iyr,AYR)
	call blet4(iyear,AYEAR)
	infile(16:19)=AYEAR
      OPEN(11,FILE=INFILE,action='READ')
   30 FORMAT(1X,A2,2(1X,I4))
   31 FORMAT(A6,6X,8(I2))
C start
       DO 101 idy=1,366
	read(11,31,end=199) YRMNDY,(idu(k),k=0,7)
	icnt=icnt+8
C  for 3 hrs
	         DO k=0,7
c-	if (idu(k).eq.90) then
c-      ICNTU(10)=ICNTU(10)+1
c-	endif
	if (idu(k).eq.90) idu(k)=89
C
	do i=1,9
	 if((idu(k).ge.ITHD(i)).and.(idu(k).lt.ITHD(i+1))) then	 !+
C Add
       if (iyear.lt.1997) then				  !++
      ICNTD(i,1)=ICNTD(i,1)+1
	icnti(1)=icnti(1)+1
	                    else
	       if (iyear.lt.2009) then			!+++
      ICNTD(i,2)=ICNTD(i,2)+1
	icnti(2)=icnti(2)+1
	                    else
	ICNTD(i,3)=ICNTD(i,3)+1
	icnti(3)=icnti(3)+1
		 endif								 !+++
            endif									!++
					endif                                   !+
	enddo
	                ENDDO
C
  101	CONTINUE
  199 CLOSE(unit=11)
  200	CONTINUE
C
       do k=1,9
	res(k)=	ITHD(k+1)/10.
             DO ic=1,3
	PTU(k,ic)=float(ICNTD(k,ic))/icnti(ic)*100.
	       ENDDO
C
	write(*,72) res(k),PTU(k,1),PTU(k,2),PTU(k,3)
	write(12,72) res(k),PTU(k,1),PTU(k,2),PTU(k,3)
	enddo

   72 format(1X,F6.1,3(1X,F7.3))
	CLOSE(unit=12)
	goto 900
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
  900 pause ' '
      STOP
      END

