      program calasymns1
C...........................................................Nov. 2021
C
      CHARACTER*64 infilen,infiles,outfile,outfilen,outfiles ! monthly mean
	CHARACTER*4 MMDD
	CHARACTER*2 AMN,BMN,BDY
	DIMENSION IM(12)
      DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
	infilen='wulenpd.txt'
      infiles='wulespd.txt'
	outfile='asymwuwlns1.txt'
	outfilen='wulenmon.txt'
	outfiles='wulesmon.txt'
	OPEN(11,file=infilen,action='READ')
      OPEN(12,file=infiles,action='READ')
	OPEN(10,file=outfile,access='APPEND')
	OPEN(13,file=outfilen,access='APPEND')
	OPEN(14,file=outfiles,access='APPEND')
C
C	do 50 iyear=1994,2021
	do 50 iyear=1995,2021
 	z1=iyear/4.0
      jz=int(z1)*4

      IF(jz.EQ.iyear) THEN
               IM(2)=29
	ndnyr=366
        ELSE
                IM(2)=28
	  ndnyr=365
	       ENDIF
	dev=1./12.
	imn1=1
	if (iyear.eq.1994) imn1=2
	imn2=12
	if (iyear.eq.2021) imn2=9
C
       DO 49 imn=imn1,imn2
	xyearmn=iyear+dev*(imn-1.0)
	call blet2(imn,AMN)
	ndmon=im(imn)
	nndy1=0
	wumon1=0.
	wlmon1=0.
	wemon1=0.
	nndy2=0
	wumon2=0.
	wlmon2=0.
	wemon2=0.
   1	read(11,*,end=51) ryear,MMDD,wun,wln,wen
      kyear=int(ryear)
	if (kyear.lt.iyear) goto 2
	BMN=MMDD(1:2)
	BDY=MMDD(3:4)
	read(BMN,*) rmn
	kmn=int(rmn)
	read(BDY,*) rdy
	kdy=int(rdy)

      if ((kmn.eq.imn).and.(kdy.le.ndmon)) then
	nndy1=nndy1+1
	wumon1=wumon1+wun 
	wlmon1=wlmon1+wln 
	wemon1=wemon1+wen 
	goto 2
	else
	backspace(11)
	wumon1=wumon1/nndy1
	wlmon1=wlmon1/nndy1
	wemon1=wemon1/nndy1
	write(*,30) xyearmn,amn, wumon1,wlmon1,wemon1
      write(13,30) xyearmn,amn, wumon1,wlmon1,wemon1
	endif
C
   2  read(12,*,end=52) ryear,MMDD,wus,wls,wes
      kyear=int(ryear)
	if (kyear.lt.iyear) goto 1
 	BMN=MMDD(1:2)
		BDY=MMDD(3:4)
			read(BMN,*) rmn
				kmn=int(rmn)
					read(BDY,*) rdy
						kdy=int(rdy)
      if ((kmn.eq.imn).and.(kdy.le.ndmon)) then
	nndy2=nndy2+1
	wumon2=wumon2+wus 
	wlmon2=wlmon2+wls 
	wemon2=wemon2+wes 
	goto 1
	else
	backspace(12)
	wumon2=wumon2/nndy2
	wlmon2=wlmon2/nndy2
	wemon2=wemon2/nndy2
	write(*,30) xyearmn,amn, wumon2,wlmon2,wemon2
      write(14,30) xyearmn,amn, wumon2,wlmon2,wemon2
	goto 48
	endif
C	kyear=int(ryear)
   48 aiwu=(wumon1-wumon2)/(wumon1+wumon2)
	aiwl=(wlmon1-wlmon2)/(wlmon1+wlmon2)   ! 
	aiwe=(wemon1-wemon2)/(wemon1+wemon2)   ! 
	write(*,30) xyearmn,AMN,aiwu,aiwl,aiwe
	write(10,30) xyearmn,AMN,aiwu,aiwl,aiwe
C
   49 CONTINUE ! mon cycle
   50 CONTINUE  ! year cycle
		goto 1
   30	format(F8.3,1X,A2,3(1X,f6.3))
   51	close(unit=11)
   52	close(unit=12)
   	close(unit=10)
   	close(unit=13)
   	close(unit=14)
	pause ' '
	stop
	end



