      program calcovmod45
C,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,Jan. 2022
C MOD45d model F107(fi) and SSN2
C
      dimension x(45),y(45)
	+,tyearp(0:90),jmnp(0:90),jdyp(0:90),txip(0:90),txindp(0:90) ! training set -45d:45d
	+,xyearc(0:90),imnc(0:90),idyc(0:90),xfic(0:90),xindc(0:90)  !modelling set -45d:45d
	CHARACTER*2 ANN,ANN_2 ! CS number
	+,AYR,AMN,ADY
	 CHARACTER*64 infile1,infile2,outfile
	CHARACTER*1 SF		  ! SF='s' ~ SSN2; 'f' ~ F107.0
	 DIMENSION IM(12)
	DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
      write(*,*) ' Enter NN of SC:'	! solar cycle for prediction
	read(*,*) nn
c	nn_2=nn-2      ! Norm
	nn_2=nn-1	 !TEMP no traning data for SC21
	call blet2(nn,ANN)
	call blet2(nn_2,ANN_2)
C
      write(*,*) ' Enter <s> for SSN2 or <f> for F10.7:'
	read(*,*) SF
	if (SF.eq.'f') then
       infile1='solphasef107NN.txt'  ! F10.7
	infile1(13:14)=ANN_2      ! training set
	infile2=infile1
	infile2(13:14)=ANN       ! modelling set
      outfile='covp45YRMMDD.txt'    
		                else
	 infile1='solphasessnNN.txt'  ! SSN2
	infile1(12:13)=ANN_2      ! training set
	infile2=infile1
	infile2(12:13)=ANN       ! modelling set
	      outfile='ssnp45YRMMDD.txt'    
      endif
C
	OPEN(11,file=infile1,action='READ')
	OPEN(12,file=infile2,action='READ')
C
C
      write(*,*) ' Enter kyr:'
	read(*,*) kyr
	call blet2(kyr,AYR)
      write(*,*) ' Enter kmn:'
	read(*,*) kmn
	call blet2(kmn,AMN)
      write(*,*) ' Enter kdy:'
	read(*,*) kdy
		call blet2(kdy,ADY)
	outfile(7:8)=AYR
	outfile(9:10)=AMN
	outfile(11:12)=ADY
	OPEN(10,file=outfile)
C
	lda_pre=ndoy(kyr,kmn,kdy)
	lda1=lda_pre+1
	lda2=lda_pre+45
C++
	lda_45=lda_pre-44  ! start of -45 prec days for modeling set
	kyr_pre=kyr
	if (lda_45.le.0) then
	kyr_pre=kyr_pre-1
C
	z1=kyr_pre/4.0
      jz=int(z1)*4
      IF(jz.EQ.kyr_pre) THEN
      ndnr_pre=366
		  ELSE
                IM(2)=28
	  		ndnr_pre=365
		       ENDIF
	lda_45=ndnr_pre+lda_45
	                 endif 
C++
	z1=kyr/4.0
      jz=int(z1)*4

      IF(jz.EQ.kyr) THEN
               IM(2)=29
	dnr=366.
      ndnr=366
		  ELSE
                IM(2)=28
	  	dnr=365.
	ndnr=365
		       ENDIF
C
      kyr_nex=kyr
	lda2_nex=lda2
      if (lda2.gt.ndnr) then
	lda2_nex=lda2-ndnr
	lda2=ndnr
	kyr_nex=kyr+1
	endif
C
	nd=0
      txi_pre=0.
      txind_pre=0.
	IF (kyr_pre.eq.kyr) GOTO 111
C
C ++++++++++++++++++++++++++++++Prec year
C
        iflag_pre=0
C
	   DO 49 lda=lda_45,ndnr_pre
	call submmdd(lda,kyr_pre,imn_pre,idy_pre)
C find day of modeling set: 
   47	read(12,*) xyearc(45),imnc(45),idyc(45),xfic(45),xindc(45)
      iyear=int(xyearc(45))
	imn=imnc(45)
	idy=idyc(45)
	iyr=iyear-iyear/100*100
	xfi=xfic(45)
	ldax=ndoy(iyr,imn,idy)
	if ((iyr.eq.kyr_pre).and.(ldax.eq.lda)) then
	goto 45
	                              else
C move data up
       do k=1,45
	xyearc(k-1)=xyearc(k)
	imnc(k-1)=imnc(k)
	idyc(k-1)=idyc(k)
	xfic(k-1)=xfic(k)
	xindc(k-1)=xindc(k)
	 enddo
	goto 47
	endif
   45	if (iflag_pre.eq.1) GOTO 49
C find days of training set
   46      read(11,*,end=51) tyearp(45),jmnp(45),jdyp(45),txip(45)
     +,txindp(45)
	 txi=txip(45)
C move data up
       do k=1,45
	tyearp(k-1)=tyearp(k)
	jmnp(k-1)=jmnp(k)
	jdyp(k-1)=jdyp(k)
	txip(k-1)=txip(k)
	txindp(k-1)=txindp(k)
	 enddo
C
	IF (xfi.ge.0) THEN   
C  Fi >0
	   if(txi.ge.xfi) then
	iflag_pre=1 
	goto 49
	               else
	goto 46
	endif
	               ELSE
C  Fi < 0
	   if(xfi.le.txi) then
	iflag_pre=1 
	goto 49
	               else
	goto 46
	endif
                    ENDIF
   49	continue	   ! End Prec year
C
C   +++++++++++++++++++++++++++++ Current year
  111 iflag=0     
C-      DO 50 lda=lda1,lda2
C-	call submmdd(lda,kyr,imn,idy) 
      lda=lda1
C find day of modeling set: 
    1	read(12,*) xyearc(45),imnc(45),idyc(45),xfic(45),xindc(45)
      iyear=int(xyearc(45))
	imn=imnc(45)
	idy=idyc(45)
	iyr=iyear-iyear/100*100
	xfi=xfic(45)
	ldax=ndoy(iyr,imn,idy)
	if ((iyr.eq.kyr).and.(ldax.eq.lda)) then
	goto 2
	                              else
C move data up
       do k=1,45
	xyearc(k-1)=xyearc(k)
	imnc(k-1)=imnc(k)
	idyc(k-1)=idyc(k)
	xfic(k-1)=xfic(k)
	xindc(k-1)=xindc(k)
	 enddo
	goto 1
	endif
   55	if (iflag.eq.1) GOTO 50
C find days of training set
   2      read(11,*,end=51) tyearp(45),jmnp(45),jdyp(45),txip(45)
     +,txindp(45)
	 txi=txip(45)
C
	IF (xfi*txi.lt.0) goto 2  ! opposite signs of XHI mod/tfain
C
	IF (xfi.ge.0) THEN
C  Fi > 0
C	   if(xfi.ge.txi) then
	   if(txi.ge.xfi) then
	iflag_pre=1 
	goto 50
	               else
C move data up
       do k=1,45
	tyearp(k-1)=tyearp(k)
	jmnp(k-1)=jmnp(k)
	jdyp(k-1)=jdyp(k)
	txip(k-1)=txip(k)
	txindp(k-1)=txindp(k)
	 enddo
	goto 2
	endif
	               ELSE
C  Fi < 0
	   if(xfi.le.txi) then
	iflag_pre=1 
	goto 50
	               else
C move data up
       do k=1,45
	tyearp(k-1)=tyearp(k)
	jmnp(k-1)=jmnp(k)
	jdyp(k-1)=jdyp(k)
	txip(k-1)=txip(k)
	txindp(k-1)=txindp(k)
	 enddo
	goto 2
	endif
                    ENDIF
C
   50	CONTINUE
C
C Find coefficient of polyfit-45
C
       avemod=0.
        do k=1,45
	x(k)=txindp(k)
	y(k)=xindc(k)
	avemod=avemod+y(k)
	  enddo
	avemod=avemod/45.0
       call subpoly45(x,y,p1f,p2f,p3f,rmse)
	write(*,*) AYR,AMN,ADY,' p1= ',p1f,' p2= ',p2f,' p3=',p3f,' rms='
	+,rmse
C
C read next 45d data of training set:
         DO kk=46,90
      read(11,*,end=51) tyearp(kk),jmnp(kk),jdyp(kk),txip(kk)
     +,txindp(kk)
	   ENDDO
C produce next 45d data of modelling set:
	DO jj=46,90
	xx=txindp(jj)  !SA index of training set
	fnm=xx*(p1f*xx+p2f)+p3f  ! Polyval
	del=fnm-avemod
	if (abs(del).gt.10.) fnm=avemod+del/10.
	xindc(jj)=fnm  ! => 46...90
	ENDDO
C
C read data of modeling set:
      
	jj=46
       DO lda=lda1,lda2
	read(12,*) xyearc(jj),imnc(jj),idyc(jj),xfic(jj),xind
	if ((SF.eq.'f').and.(xindc(jj).lt.70.)) xindc(jj)=70.
	if ((SF.eq.'s').and.(xindc(jj).lt.0.)) xindc(jj)=0.
	jj=jj+1
	 ENDDO
C Check next year output:
       IF (lda2_nex.eq.lda2) GOTO 51
C
C read param for the next year: +++++++++++++++++++
        DO lda=1,lda2_nex
C find day of modeling set: 
  	read(12,*,end=52) xyearc(jj),imnc(jj),idyc(jj),xfic(jj),xind
	if ((SF.eq.'f').and.(xindc(jj).lt.70.)) xindc(jj)=70.
	if ((SF.eq.'s').and.(xindc(jj).lt.0.)) xindc(jj)=0.
      jj=jj+1
	  ENDDO
   51	close(unit=11)
   52	close(unit=12)
C Output results
       DO m=46,90
	write(*,30) xyearc(m),imnc(m),idyc(m),xfic(m),xindc(m)
	write(10,30) xyearc(m),imnc(m),idyc(m),xfic(m),xindc(m)
	 ENDDO
C
C 81-aver for the 1st day
C
        sum=0.
	do n=6,86
	sum=sum+xindc(n)
	enddo
	ave=sum/81.
	write(*,30) xyearc(45),imnc(45),idyc(45),xfic(45),ave
	write(10,30) xyearc(45),imnc(45),idyc(45),xfic(45),ave
C
      close(unit=10)
C
   30 format(1X,F8.3,2(1X,I2),1X,F8.4,1X,F6.2)  
C
	pause ' '
      STOP
	END
c--------------------------------------------
	real function harmcov(x)
C............................................................Jan 2022
C Furie model N=6
C
      DIMENSION a(0:6),b(6)
		DATA a/-1.147,3.704,-2.827, 2.02,-1.222, 0.5428, -0.1046/
      DATA b/ 0.09036, 0.01687, 0.00798, -0.07502, -0.004809, 0.02875/
       w =  2.155
      sind =a(0) + a(1)*cos(x*w) + b(1)*sin(x*w) + 
     * a(2)*cos(2.*x*w) + b(2)*sin(2.*x*w) + a(3)*cos(3.*x*w) + 
     + b(3)*sin(3.*x*w) + a(4)*cos(4.*x*w) + b(4)*sin(4.*x*w) + 
     + a(5)*cos(5.*x*w) + b(5)*sin(5.*x*w) + 
     * a(6)*cos(6.*x*w) + b(6)*sin(6.*x*w)
	 harmcov=sind
	 RETURN
	END

      subroutine subpoly45(x,y,p1,p2,p3,rmse)
	dimension x(45),y(45) 
	nut=45  ! 45d indices
C  
	s0=45.
	s1=0.
	s2=0.
	s3=0.
	s4=0.
	syx2=0.
	syx=0.
	sy=0.
      DO N=1,nut
	x1=x(N)
	x2=x1*x1
	x3=x1*x2
	x4=x2*x2
	y1=y(N)
	yx=y1*x1
	yx2=y1*x2
	s1=s1+x1
	s2=s2+x2
	s3=s3+x3
	s4=s4+x4
	syx2=syx2+yx2
	syx=syx+yx
	sy=sy+y1
      ENDDO 
C
      d1=(s0*s3-s1*s2)
      c1=(s0*s4-s2*s2)/d1
      c2=(s0*syx2-sy*s2)/d1
	d2=(s0*s2-s1*s1)
      c3=(s0*s3-s1*s2)/d2
      c4=(s0*syx-sy*s1)/d2

C
C p1=a; p2=b; p3=c
C
C polyfit2 coefficients
	p1=(c2-c4)/(c1-c3)
	p2=c2-p1*c1
	p3=(sy-p1*s2-p2*s1)/s0
C RMSE
      sum=0.
	DO N=1,nut
	del=y(N)-(x(N)*(p1*x(N)+p2)+p3)
	sum=sum+del**2
	ENDDO
	rmse=sqrt(sum/nut)
C
	RETURN
	END
C

