      program calcovmoda45
C,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,Feb. 2022
C MOD45d model F107(fi) and SSN2
C using -45d(SC25) ~ -45d(SC24) with polifit coefficients
C add weight w
C
      dimension x(45),y(45)
C	+,x1(45),y1(45)
C..	+,DF(45)
C--	+,CC(0:26)
	+,tyearp(0:90),jmnp(0:90),jdyp(0:90),txip(0:90),txindp(0:90) ! training set -45d:45d
	+,xyearc(0:90),imnc(0:90),idyc(0:90),xfic(0:90),xindc(0:90)  !modelling set -45d:45d
	CHARACTER*2 ANN,ANN_2 ! CS number
	+,AYR,AMN,ADY
	 CHARACTER*64 infile1,infile2,outfile,outpoli
C..	+ ,infiledf
	CHARACTER*1 SF		  ! SF='s' ~ SSN2; 'f' ~ F107.0
	 DIMENSION IM(12)
	DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
      write(*,*) ' Enter NN of SC:'	! solar cycle for prediction
	read(*,*) nn
c	nn_2=nn-2      ! Norm
	nn_2=nn-1	 !TEMP no traning data for SC21
	call blet2(nn,ANN)
	call blet2(nn_2,ANN_2)
C
      write(*,*) ' Enter <s> for SSN2 or <f> for F10.7:'
	read(*,*) SF
C..	infiledf='YRMMDD45DF.dat'
	outpoli='calpolisa.txt'
	OPEN(13,file=outpoli,access='APPEND')
C..       infiledf='YYMMDD45DF.dat'

C
	if (SF.eq.'f') then
       infile1='solphasef107NN.txt'  ! F10.7
	infile1(13:14)=ANN_2      ! training set
	infile2=infile1
	infile2(13:14)=ANN       ! modelling set
      outfile='covp45YRMMDDw.txt'    
		                else
	 infile1='solphasessnNN.txt'  ! SSN2
	infile1(12:13)=ANN_2      ! training set
	infile2=infile1
	infile2(12:13)=ANN       ! modelling set
	      outfile='ssnp45YRMMDDw.txt'    
      endif
C
	OPEN(11,file=infile1,action='READ')
	OPEN(12,file=infile2,action='READ') ! modelling set
C
C
      write(*,*) ' Enter kyr:'
	read(*,*) kyr
	call blet2(kyr,AYR)
      write(*,*) ' Enter kmn:'
	read(*,*) kmn
	call blet2(kmn,AMN)
      write(*,*) ' Enter kdy:'
	read(*,*) kdy
		call blet2(kdy,ADY)
	outfile(7:8)=AYR
	outfile(9:10)=AMN
	outfile(11:12)=ADY
	OPEN(10,file=outfile)
C..      infiledf(1:2)=AYR
C..	infiledf(3:4)=AMN
C..	infiledf(5:6)=ADY
C..	OPEN(14,file=infiledf,action='READ')
C..	DO k=1,45
C..	read(14,*) yyear,mmdd,DF(k)
C..	ENDDO
C..	close(14)
C
	lda_pre=ndoy(kyr,kmn,kdy)
c=	lda1=lda_pre+1
c=	lda2=lda_pre+45
C++
	lda_45=lda_pre-44  ! start of -45 prec days for modeling set
	kyr_pre=kyr
	if (lda_45.le.0) then
	kyr_pre=kyr_pre-1
C
	z1=kyr_pre/4.0
      jz=int(z1)*4
      IF(jz.EQ.kyr_pre) THEN
      ndnr_pre=366
		  ELSE
                IM(2)=28
	  		ndnr_pre=365
		       ENDIF
	lda_45=ndnr_pre+lda_45
	                 endif 
C++
	z1=kyr/4.0
      jz=int(z1)*4

      IF(jz.EQ.kyr) THEN
               IM(2)=29
	dnr=366.
      ndnr=366
		  ELSE
                IM(2)=28
	  	dnr=365.
	ndnr=365
		       ENDIF
C
      kyr_nex=kyr
	lda1=lda_pre+1
	kyr1=kyr
	if (lda1.gt.ndnr) then
	lda1=1
	      kyr_nex=kyr+1
	kyr1=kyr+1
	endif
C	lda2=lda_pre+45
	lda2=lda1+44

C
C	lda2_nex=lda2
      if (lda2.gt.ndnr) then
	lda2_nex=lda2-ndnr
	lda2=ndnr
	kyr_nex=kyr+1
	endif
C
	nd=0
      txi_pre=0.
      txind_pre=0.
	IF (kyr_pre.eq.kyr) GOTO 111
C
C ++++++++++++++++++++++++++++++Prec year
C
        iflag_pre=0
C
	   DO 49 lda=lda_45,ndnr_pre
	call submmdd(lda,kyr_pre,imn_pre,idy_pre)
C find day of modeling set: 
   47	read(12,*) xyearc(45),imnc(45),idyc(45),xfic(45),xindc(45) ! modelling set
      iyear=int(xyearc(45))
	imn=imnc(45)
	idy=idyc(45)
	iyr=iyear-iyear/100*100
	xfi=xfic(45)
	ldax=ndoy(iyr,imn,idy)
	if ((iyr.eq.kyr_pre).and.(ldax.eq.lda)) then
	goto 45
	                              else
C move data up
       do k=1,45
	xyearc(k-1)=xyearc(k)
	imnc(k-1)=imnc(k)
	idyc(k-1)=idyc(k)
	xfic(k-1)=xfic(k)
	xindc(k-1)=xindc(k)
	 enddo
	goto 47
	endif
   45	if (iflag_pre.eq.1) GOTO 49
C find days of training set
   46      read(11,*,end=51) tyearp(45),jmnp(45),jdyp(45),txip(45)	! training set
     +,txindp(45)
	 txi=txip(45)
C move data up
       do k=1,45
	tyearp(k-1)=tyearp(k)
	jmnp(k-1)=jmnp(k)
	jdyp(k-1)=jdyp(k)
	txip(k-1)=txip(k)
	txindp(k-1)=txindp(k)
	 enddo
C
	IF (xfi.ge.0) THEN   
C  Fi >0
	   if(txi.ge.xfi) then
	iflag_pre=1 
	goto 49
	               else
	goto 46
	endif
	               ELSE
C  Fi < 0
	   if(xfi.le.txi) then
	iflag_pre=1 
	goto 49
	               else
	goto 46
	endif
                    ENDIF
   49	continue	   ! End Prec year
C
C   +++++++++++++++++++++++++++++ Current year
  111 iflag=0     
C-      DO 50 lda=lda1,lda2
C-	call submmdd(lda,kyr,imn,idy) 
C?      lda=lda1
C find day of modeling set: 
    1	read(12,*,end=2) xyearc(45),imnc(45),idyc(45),xfic(45),xindc(45)	   ! modelling set
      iyear=int(xyearc(45))
	imn=imnc(45)
	idy=idyc(45)
	iyr=iyear-iyear/100*100
	xfi=xfic(45)
	ldax=ndoy(iyr,imn,idy)
	if ((iyr.eq.kyr1).and.(ldax.eq.lda1)) then
C	if ((iyr.eq.kyr_nex).and.(ldax.eq.lda)) then
	goto 2
	                              else
C move data up
       do k=1,45
	xyearc(k-1)=xyearc(k)
	imnc(k-1)=imnc(k)
	idyc(k-1)=idyc(k)
	xfic(k-1)=xfic(k)
	xindc(k-1)=xindc(k)
	 enddo
	goto 1
	endif
   55	if (iflag.eq.1) GOTO 50
C find days of training set
   2      read(11,*,end=51) tyearp(45),jmnp(45),jdyp(45),txip(45)		 ! training set
     +,txindp(45)
	 txi=txip(45)
C
	IF (xfi*txi.lt.0) goto 2  ! opposite signs of XHI mod/tfain
C
	IF (xfi.ge.0) THEN
C  Fi > 0
C	   if(xfi.ge.txi) then
	   if(txi.ge.xfi) then
	iflag_pre=1 
	goto 50
	               else
C move data up
       do k=1,45
	tyearp(k-1)=tyearp(k)
	jmnp(k-1)=jmnp(k)
	jdyp(k-1)=jdyp(k)
	txip(k-1)=txip(k)
	txindp(k-1)=txindp(k)
	 enddo
	goto 2
	endif
	               ELSE
C  Fi < 0
	   if(xfi.le.txi) then
	iflag_pre=1 
	goto 50
	               else
C move data up
       do k=1,45
	tyearp(k-1)=tyearp(k)
	jmnp(k-1)=jmnp(k)
	jdyp(k-1)=jdyp(k)
	txip(k-1)=txip(k)
	txindp(k-1)=txindp(k)
	 enddo
	goto 2
	endif
                    ENDIF
C
   50	CONTINUE
C
C========================================================
C read data of modeling set:
      	jj=46
       DO lda=lda1,lda2
	read(12,*) xyearc(jj),imnc(jj),idyc(jj),xfic(jj),xindc(jj)
	jj=jj+1
	 ENDDO
C Check next year output:
       IF (lda2_nex.eq.lda2) GOTO 51
C
C read param for the next year: +++++++++++++++++++
        DO lda=1,lda2_nex
C find day of modeling set: 
  	read(12,*,end=52) xyearc(jj),imnc(jj),idyc(jj),xfic(jj),xindc(jj)
      jj=jj+1
	  ENDDO
   51	close(unit=12)
C read next 45d data of training set:
         DO kk=46,90
      read(11,*,end=51) tyearp(kk),jmnp(kk),jdyp(kk),txip(kk)
     +,txindp(kk)
	 	 	   ENDDO
   52	close(unit=11)
C
C Find coefficient of polyfit-45
C
        do k=1,45
Cw	x(k)=txindp(k+45)
	x(k)=txindp(k)		  !-45d
C	x(k)=xindc(k)
	y(k)=xindc(k)		  ! -45d
C..	y(k)=DF(k)
	  enddo
C First polyfit before sorting
       call subpoly45(x,y,p1fo,p2fo,p3fo,rmseo,xaveo,yaveo)
	 xw=txindp(46)
	fnmo=xw*(p1fo*xw+p2fo)+p3fo  ! Polyval
	weig1=xindc(45)/fnmo    ! Weight for polyfit
	xw2=txindp(90)
		weig2=xw2/yaveo
C+
      weig3=yaveo/xaveo
	dweig=(weig1-weig3)/45.
Cpre	dweig=(weig1-weig2)/45.
C+       weig=yaveo/xaveo	   ! Weight for polyfit
	write(*,*) AYR,AMN,ADY,' p1o ',p1fo,' p2o= ',p2fo,' p3=o',p3fo
	+,' rmso=',rmseo,xaveo,yaveo,weig1,weig3,dweig
	write(13,*) AYR,AMN,ADY,' p1o ',p1fo,' p2o= ',p2fo,' p3=o',p3fo
	+,' rmso=',rmseo,xaveo,yaveo,weig1,weig3,dweig
C	GOTO 1001 ! Avoid sorting
C------------------------------------------
C add RMSE calculation
      sum2=0.
C-----------------------------------------------------
C produce next 45d data of modelling set:
 1001     weig=weig1
 	DO jj=46,90
C
C
	xx=txindp(jj)  !SA index of training set
C	xx=xindc(jj-45)  ! SA-45d index of modeling set
C	xx=DF(jj)
	fnmo=xx*(p1fo*xx+p2fo)+p3fo  ! Polyval
C--		fnm=xx*(p1f*xx+p2f)+p3f  ! Polyval
C--	fnmres=(fnmo+2.*fnm)/3.
        fnmres=fnmo*weig
	weig=weig-dweig
C>	if (fnm.gt.(yave+rmse)) then
C>	fnm=yave+rmse
C>	goto 70
C>	endif
C>	if (fnm.lt.(yave-rmse)) then
C>	fnm=yave-rmse
C>	endif
C
C   70	xindc(jj)=fnm  ! => 46...90
      if ((SF.eq.'f').and.(fnmres.lt.65.)) fnmres=65.
      if ((SF.eq.'s').and.(fnmres.lt.0.)) fnmres=0.
	sum2=sum2+(xindc(jj)-fnmres)**2.
   70	xindc(jj)=fnmres  ! => 46...90
      

	ENDDO
	rmse=sqrt(sum2/45.)
C
C Output results
C       DO m=45,89
       DO m=46,90
	write(*,30) xyearc(m),imnc(m),idyc(m),xfic(m),xindc(m)
	write(10,30) xyearc(m),imnc(m),idyc(m),xfic(m),xindc(m)
	 ENDDO
C
C 81-aver for the 1st day
C
        sum=0.
	do n=6,86
	sum=sum+xindc(n)
	enddo
	ave=sum/81.
	write(*,30) xyearc(45),imnc(45),idyc(45),xfic(45),ave,rmse
	write(10,30) xyearc(45),imnc(45),idyc(45),xfic(45),ave,rmse
C
      close(unit=10)
	      close(unit=13)
C
   30 format(1X,F8.3,2(1X,I2),1X,F8.4,1X,F6.2,1X,F7.3)  
C
	pause ' '
      STOP
	END
c--------------------------------------------
	real function harmcov(x)
C............................................................Jan 2022
C Furie model N=6
C
      DIMENSION a(0:6),b(6)
		DATA a/-1.147,3.704,-2.827, 2.02,-1.222, 0.5428, -0.1046/
      DATA b/ 0.09036, 0.01687, 0.00798, -0.07502, -0.004809, 0.02875/
       w =  2.155
      sind =a(0) + a(1)*cos(x*w) + b(1)*sin(x*w) + 
     * a(2)*cos(2.*x*w) + b(2)*sin(2.*x*w) + a(3)*cos(3.*x*w) + 
     + b(3)*sin(3.*x*w) + a(4)*cos(4.*x*w) + b(4)*sin(4.*x*w) + 
     + a(5)*cos(5.*x*w) + b(5)*sin(5.*x*w) + 
     * a(6)*cos(6.*x*w) + b(6)*sin(6.*x*w)
	 harmcov=sind
	 RETURN
	END

      subroutine subpoly45(x,y,p1,p2,p3,rmse,xave,yave)
	dimension x(45),y(45) 
	nut=45  ! 45d indices
C  
	s0=45.
	s1=0.
	s2=0.
	s3=0.
	s4=0.
	syx2=0.
	syx=0.
	sy=0.
      DO N=1,nut
	x1=x(N)
	x2=x1*x1
	x3=x1*x2
	x4=x2*x2
	y1=y(N)
	yx=y1*x1
	yx2=y1*x2
	s1=s1+x1
	s2=s2+x2
	s3=s3+x3
	s4=s4+x4
	syx2=syx2+yx2
	syx=syx+yx
	sy=sy+y1
      ENDDO 
C
      d1=(s0*s3-s1*s2)
      c1=(s0*s4-s2*s2)/d1
      c2=(s0*syx2-sy*s2)/d1
	d2=(s0*s2-s1*s1)
      c3=(s0*s3-s1*s2)/d2
      c4=(s0*syx-sy*s1)/d2

C
C p1=a; p2=b; p3=c
C
C polyfit2 coefficients
	p1=(c2-c4)/(c1-c3)
	p2=c2-p1*c1
	p3=(sy-p1*s2-p2*s1)/s0
C RMSE
      sum=0.
	DO N=1,nut
	del=y(N)-(x(N)*(p1*x(N)+p2)+p3)
	sum=sum+del**2
	ENDDO
	rmse=sqrt(sum/nut)
	xave=s1/45.
      yave=sy/45.
C
	RETURN
	END
C

