      program calscphasav
C.........................................................Jan. 2022
C Average SSN2d, F107d (SolPhase) fi=[0,0.05],[0.05 0.1],...,[0.95 1] [-1.-0.95]...[-0.05 0]
C
      CHARACTER*94 infile,outfile
	CHARACTER*2 ANN ! CS number
	DIMENSION thr1(21),thr2(21),avind(40),wu_sum(40),wu_cnt(40)
C
C+	infile='solphasessnNN.txt'  !SSN2
C+	outfile='solphasessnNNav.txt' ! SSN2
	infile='solphasef107NN.txt'  !F107
	outfile='solphasef107NNav.txt' ! F107

C
        thr1(1)=0.0
	thr2(1)=-1.0
        do k=1,20
	thr1(k+1)=thr1(k)+0.05
      thr2(k+1)=thr2(k)+0.05
	  enddo
	thr2(21)=-0.00001
C
C       DO 123 nn=31,39      ! Training set
C       DO 123 nn=9,10      ! Testing set
       DO 123 nn=22,25      ! SC22, 23, 24, 25
	call blet2(nn,ANN)
C+	infile(12:13)=ANN	 ! SSN2
	infile(13:14)=ANN	 ! F107
	OPEN(10,file=infile,action='READ') 
C+      outfile(12:13)=ANN	 ! SSN2
      outfile(13:14)=ANN	 ! F107
	OPEN(11,file=outfile)
C
  30	format(1X,I4,2(1X,I2),1X,F5.2,3(1X,F6.2))				   ! read WU,WL,WE
   32	FORMAT(A4,4(1X,A2),1X,I4)	   ! output 
   36 FORMAT(1X,F8.3,2(1X,I2),1X,F8.4,1X,F6.2)
C
        do k=1,40
	avind(k)=0.0
	 enddo
C
	do k=1,40
	 wu_sum(k)=0.
	wu_cnt(k)=0.
	enddo
C--       DO nt=0,191
       DO 150 nt=1,40
C    1	read(10,36,end=40) RYEARs(nt),imns(nt),idys(nt),phwu(nt),rind(nt)
    1	read(10,36,end=40) RYEAR,imn,idy,ph,rind
               IF (ph.ge.0.) THEN
	if ((ph.ge.thr1(nt)).and.(ph.le.thr1(nt+1))) then
      wu_sum(nt)=wu_sum(nt)+rind
 	wu_cnt(nt)=wu_cnt(nt)+1.0
	goto 1
	else
	backspace(10)
	goto 150
	endif
	                         ELSE
	if (ph.eq.1.) ph=-1.0
	if ((ph.ge.thr2(nt-19)).and.(ph.le.thr2(nt-18))) then
      wu_sum(nt+1)=wu_sum(nt+1)+rind
 	wu_cnt(nt+1)=wu_cnt(nt+1)+1.0
	goto 1
	else
	backspace(10)
	goto 150
	endif
	                      ENDIF
  150	CONTINUE
C--	ENDDO
   40	close(unit=10)
C
C
   50	CONTINUE
C
C Output results
C
        DO 75 ifi=1,40	  !Phase
	if (ifi.lt.21) then
	thr=(thr1(ifi)+thr1(ifi+1))/2.0
	else
	thr=(thr2(ifi-20)+thr2(ifi-19))/2.0
	endif
      if (wu_cnt(ifi).gt.0.) then
	avind(ifi)=wu_sum(ifi)/wu_cnt(ifi)
	endif
c
	write(*,37) thr,avind(ifi)
	write(11,37) thr,avind(ifi)
   75	CONTINUE		 !SC data
	close(unit=11)
C
  123 CONTINUE              ! END events
   37	format(1X,F7.4,1X,F6.2)
	pause ' '
	STOP
	END

      	
	 