C............................................................Jan. 2018
C
C SSN1 & F10.7 12-monthes smoothed for ith month:
C
C XXX12(i)=(SUM(i-6,i-5...i-1)+SUM(i+1,i+2,...i+6))/12
C
C
      program cntcovrz12
C
	dimension dat(0:13),cov(0:13),ssn1(12),r12(12),f12(12) ! rz, cov
	character*4 xyear(0:13)
      character*2 amn(0:13),BMN
	character*45 infile,outfile,infile1,outfile1,outfile2
      CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	integer*2 jj
c
              CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
	 WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
   70	format(1X,I4,1X,12(1X,F5.1))
   71	format(1X,A4,1X,12(1X,F5.1))
   72	format(A4,A2,2(1X,F5.1))
   73	format(1X,A4,A2,2(2X,F6.2))
   74	format(1X,I4,A2,2X,F6.2)	
   75	format(1X,A4,A2,2X,F6.2)	
   76	format(1X,I4,A2,2(2X,F6.2))
	infile='covrzmon.txt'
	infile1='R12.dat'

	OPEN(11,FILE=INFILE,action='READ')
      	OPEN(12,FILE=INFILE1,action='READ')
   19	read(12,70) KYEAR,ssn1 ! extra lines
      if (KYEAR.lt.2020) goto 19

	outfile='cov12rz.txt'
	outfile1='f107_12.txt'
	outfile2='f107_12.dat'
	OPEN(10,FILE=outfile,access='APPEND')
	OPEN(13,FILE=outfile1,access='APPEND')
	OPEN(14,FILE=outfile2,access='APPEND')
	 WRITE(10,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
	 WRITE(13,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
	 WRITE(14,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C cycle on yr
	nn=0
	jj=0
C	jj=1,180
   1	continue
      read(11,72,end=81) xyear(13),amn(13),dat(13),cov(13)
c	if (xyear(13).ge.2017) pause ' '
	nn=nn+1
	jj=jj+1
C Shift data one line up
	do k=0,12
	xyear(k)=xyear(k+1)
	amn(k)=amn(k+1)
	dat(k)=dat(k+1)
	cov(k)=cov(k+1)
	enddo
c
	if (nn.lt.13) then 
	goto 1
	               else
	nn=nn-1
	rz12=0.
	cv12=0.
	do k=0,5
	rz12=rz12+dat(k)
	cv12=cv12+cov(k)
	enddo
	do k=7,12
	rz12=rz12+dat(k)
	cv12=cv12+cov(k)
	enddo
	rzav=rz12/12.
	cvav=cv12/12.
	write(*,73) xyear(6),amn(6),cvav,rzav
	write(10,73) xyear(6),amn(6),cvav,rzav
	write(*,75) xyear(6),amn(6),cvav
	write(13,75) xyear(6),amn(6),cvav
C keep 2017 mon 1-6 from 12-months data
	f12(7)=cvav
	r12(7)=rzav
	do k=2,7
	f12(k-1)=f12(k)
	r12(k-1)=r12(k)
	enddo
	goto 1
	                endif
   80	continue
   81	close(unit=11)
      GOTO 33
C
  173	format(1X,I4,A2,2(2X,F6.2))	

   99	read(12,70) KYEAR,ssn1 ! read 2017:2020
	if (kyear.eq.2022) then
	do k=6,12
	call blet2(k,BMN)
	rzav=ssn1(k)
	r12(k)=rzav
	cvav=0.9066*rzav+62.6645
	f12(k)=cvav
	write(*,76) kyear,bmn,cvav,rzav
	write(10,76)  kyear,bmn,cvav,rzav
	write(*,74) kyear,bmn,cvav
	write(13,74) kyear,bmn,cvav
	enddo
	         else
	do k=1,12
	call blet2(k,BMN)
	rzav=ssn1(k)
	r12(k)=rzav
	cvav=0.9066*rzav+62.6645
	f12(k)=cvav
	write(*,76) kyear,bmn,cvav,rzav
	write(10,76)  kyear,bmn,cvav,rzav
	write(*,74) kyear,bmn,cvav
	write(13,74) kyear,bmn,cvav
	enddo
	        endif
	write(*,70)  kyear,(f12(k),k=1,12)
      write(14,70)  kyear,(f12(k),k=1,12)
	if (kyear.lt.2021) goto 99
      close(unit=10)
	
	goto 33
    2 CONTINUE
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 34

   33	continue
      close(unit=10)
	close(unit=13)
	close(unit=14)
	write(*,*) infile,outfile
   34   pause ' ' 
      STOP
       END

c VERIFICATION OF MEDIAN ================
      subroutine rmedian(ndnr)
C Input file: CC(31,0:23) for 31 days, hours 00, 01, 23 h UY
C Number days for median : ndnr
C Outout file: ME(0:23) for hours 00, 01, 23 h UY
	DIMENSION CC(31,0:23),ME(0:23),X1(31),X2(31)
		COMMON /BL1/CC,ME
C "MEDIAN:"
       DO 1030 M=0,23
      MM=0
      DO N=1,ndnr
      X1(N)=CC(N,M)
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
	IF ((XD1-CD1).LT.0.0001) THEN 
	MD=INT((X2(ND1)+X2(ND2))/2.)
	ELSE
	MD=INT(X2(ND2))
	ENDIF
 1000 IF (MM.eq.0) MD=0
C1010 REM PRINT M;MD;
 1020 ME(M)=MD
 1030 CONTINUE
c 1040 REM PRINT
 1050 RETURN
      END
C -----------------------------------------------------------
