C............................................................Apr.2017
C
C............................................................Sep2016
C 
C EUV1, EUV2, MGII 12-monthes smoothed for ith month:
C
C XXX12(i)=(SUM(i-6,i-5...i-1)+SUM(i+1,i+2,...i+6))/12
C
C
      program cnteuv12a
C
	dimension dat(0:13)
      character*2 ayr(0:13),amn(0:13)
	character*45 infile,outfile
	character*1 opt
	integer*2 jj
c
	write(*,*) ' Enter opt=1 or 2, 3(mg),4(cb),5(sl),6(mo) :'
	read(*,*) opt

   72	format(1X,2A2,2X,F8.5)
   73	format(1X,2A2,1X,F5.1)	
	infile='cnteuvmon1.res'
	infile(10:10)=opt
	if (opt.eq.'3') then
	infile='mg2mon.res'
	endif
	if (opt.eq.'4') then
	infile='cbmonf.res'
	endif
	if (opt.eq.'5') then
	infile='slmonf.res'
	endif
	if (opt.eq.'6') then
	infile='momonf.res'
	endif
	OPEN(11,FILE=INFILE,action='READ')
	outfile=infile
	outfile(11:)='12.res'
	OPEN(10,FILE=outfile)
C cycle on yr
	nn=0
	jj=0
  98  format(1X,2A2,1X,1PE10.4)
C	jj=1,180
   1	continue
	if ((opt.eq.'1').or.(opt.eq.'2')) then
      read(11,98,end=81) ayr(13),amn(13),dat(13)
	else
	read(11,73,end=81) ayr(13),amn(13),dat(13)
	endif
	nn=nn+1
	jj=jj+1
C?	if (jj.gt.194) goto 81 ! end of data = Feb 2015
C Shift data one line up
	do k=0,12
	ayr(k)=ayr(k+1)
	amn(k)=amn(k+1)
	dat(k)=dat(k+1)
	enddo
c
	if (nn.lt.13) then 
	goto 1
	               else
	nn=nn-1
	gec12=0.
	do k=0,5
	gec12=gec12+dat(k)
	enddo
	do k=7,12
	gec12=gec12+dat(k)
	enddo
	gecav=gec12/12.
	write(*,98) ayr(6),amn(6),gecav
	write(10,98) ayr(6),amn(6),gecav
	goto 1
	                endif
   80	continue
   81	close(unit=10)
	close(unit=11)
	goto 33
    2 CONTINUE
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 34

   33	continue
	write(*,*) infile,outfile
   34   pause ' ' 
      STOP
       END

c VERIFICATION OF MEDIAN ================
      subroutine rmedian(ndnr)
C Input file: CC(31,0:23) for 31 days, hours 00, 01, 23 h UY
C Number days for median : ndnr
C Outout file: ME(0:23) for hours 00, 01, 23 h UY
	DIMENSION CC(31,0:23),ME(0:23),X1(31),X2(31)
		COMMON /BL1/CC,ME
C "MEDIAN:"
       DO 1030 M=0,23
      MM=0
      DO N=1,ndnr
      X1(N)=CC(N,M)
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
	IF ((XD1-CD1).LT.0.0001) THEN 
	MD=INT((X2(ND1)+X2(ND2))/2.)
	ELSE
	MD=INT(X2(ND2))
	ENDIF
 1000 IF (MM.eq.0) MD=0
C1010 REM PRINT M;MD;
 1020 ME(M)=MD
 1030 CONTINUE
c 1040 REM PRINT
 1050 RETURN
      END