      program cntmapavedy
C..............................................................Sep. 2020
C Cnt average of GIM-map from IONEX grids in geom. coord
C Daily-UT aver and dev = Daily/hr/ave - mothly/hr/av
C
	character*76 outfile1,outfile2,infile1,infile2
	dimension im(12)
	+,imap(31,71,0:72),aver(31,0:23),ires(0:23),idev(0:23),imed(0:23)
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*2 AYR,AMN,ADY,AUT,CYR,CMN,CDY,CUT
	CHARACTER*4 AYEAR,TIME
C	CHARACTER*8 YYMMDDUT
	CHARACTER*1 fhtc,dm	  ! fhtc: f,h,t,Hc ; dm = daily/median
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
C
	      CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
	TIME=tt(1:4)
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
       fhtc='c'  ! Hc  Temp
Crem	fhtc='h'  ! hmF2 Temp
	dm='d' ! daily
C	CDY='00'
C
        infile2= 'd:\web\dhc\mapavehom.txt'  ! med ave
C
	outfile1='d:\web\dhc\YR\mapavYRho.txt'  !
	outfile2='d:\web\dhc\YR\mapdeYRho.txt'  !
       if (fhtc.eq.'c') then
		outfile1(9:10)='hc'
	infile2(9:10)='hc'
	outfile1(22:23)='co'
	infile2(18:19)='co'
	endif
	 if (fhtc.eq.'h') then
		outfile1(9:10)='hs'
	infile2(9:10)='hs'
	outfile1(22:23)='ho'
	infile2(18:19)='ho'
	endif
C
		OPEN(10,file=infile2,action='READ') !
C   1    write(*,*) ' Enter YEAR:'
C	 read(*,*) AYEAR
C	AYR=AYEAR(3:4)
C++++++++++++++++++++++++++++++++++
       DO 400 iyear=1994,2020
C      iyear=2000
	call blet4(iyear,AYEAR)
	AYR=AYEAR(3:4)
	outfile1(12:13)=AYR
	outfile1(20:21)=AYR
	outfile2=outfile1
	outfile2(18:19)='de'
	OPEN(12,file=outfile1) ! daily/UT aver
	OPEN(13,file=outfile2) ! daily/UT deviation from median
C
	read(ayr,*) yr
	iyr=int(yr)
	if(int(yr/4.)*4.eq.iyr) THEN 
	im(2)=29
	ndnr=366
	                          ELSE
	IM(2)=28
	ndnr=365
	ENDIF
C-	read(amn,*) xmn
C-	imn=int(xmn)
C
  32  format(73(1X,I4))
  33  format(3(1X,A2))
   2	icnt=0
C
	infile1='d:\web\dhc\YR\MN\coMNDDUT.jYR'  !  Hc	Temp
Crem	infile1='d:\web\dhs\YR\MN\hoMNDDUT.jYR'  !  hmF2
C
C-      infile(27:27)=dm  ! Mediam .mYR
C
C-        if (dm.eq.'m') then
C-	   infile(22:23)='00'
C-	endif
C
       if (fhtc.eq.'c') then
	infile1(10:10)='c'
	infile1(18:18)='c'
	endif
	 if (fhtc.eq.'h') then
	infile1(10:10)='s'
	infile1(18:18)='h'
	endif
C
	infile1(12:13)=AYR						
	infile1(28:29)=AYR						
C
C monthly cycle
C
       imn1=1
	imn2=12
	if (iyear.eq.2020) imn2=8
       DO 40 imn=imn1,imn2
	call blet2(imn,AMN)
	infile1(15:16)=AMN						
	infile1(20:21)=AMN						
C
C
        DO ii=0,23
	call blet2(ii,AUT)
C Read median
      read(10,34,end=170) CYR,CMN,CDY,CUT,rmed
C          read(10,*,end=170) YYMMDDUT,rmed
C          read(10,*,end=170) txt
	if ((CYR.eq.AYR).and.(CMN.eq.AMN).and.(CUT.eq.AUT)) then
	imed(ii)=nint(rmed)
	else
	write(*,*) AYR,AMN,AUT,CYR,CMN,CUT
	pause ' '
	endif	
       ENDDO
	ndmn=im(imn)
C 
C day-to-day cycle
	DO 44 idy=1,ndmn
	call blet2(idy,ADY)
       infile1(22:23)=ADY						

C  UT cycle
	DO 45 iut=0,23
	call blet2(iut,AUT)
      infile1(24:25)=AUT						
C
Crem	write(*,33) AMN,ADY,AUT
C
		OPEN(11,file=infile1,action='READ') !
C
C
C  ============ Cycle on IONEX grids  ==================
C
      glatk=-90.0
Cycle on lats
C
      ave=0.0
	DO 41 ilat=1,71  ! Cycle on IGS sites
	read(11,32,end=39) (imap(idy,ilat,k),k=0,72)
C
	do kk=0,72
	ave=ave+imap(idy,ilat,kk)
	enddo
	glatk=glatk+2.5
	glonk=-185.
C	write(*,34) imap(idy,ilat,k),k=0,72)
   41	CONTINUE		  !	End lati cycle
   39 close(unit=11)		! end map for given UT/day
      aver(idy,iut)=ave/5183.0
C	ires(iut
   45	CONTINUE		  ! End UT cycle
C
   44	CONTINUE         ! End day-to-day for selected UT
C
       DO 143  idy=1,ndmn
	call blet2(idy,ADY)
	   do iut=0,23
	ires(iut)=nint(aver(idy,iut))
	idev(iut)=ires(iut)-imed(iut)
	   enddo
	write(*,35) AYR,AMN,ADY,(ires(k),k=1,23)
	write(12,35) AYR,AMN,ADY,(ires(k),k=1,23)
	write(*,35) AYR,AMN,ADY,(idev(k),k=1,23)
	write(13,35) AYR,AMN,ADY,(idev(k),k=1,23)
C
  143	CONTINUE
C  777	write(*,*) AYEAR,AMN
   34	format(1X,4A2,1X,F6.1)
   35  format(1X,3A2,24(1X,I4))
C
   40	CONTINUE		  ! End monthly cycle
      close(unit=12)
	     close(unit=13)
  400 CONTINUE		  ! 
  170   close(unit=10)
	pause ' '
	STOP 
	END