C............................................................Jan. 2018
C
C Rz(cv) 12-monthes smoothed for ith month:
C Add SSN2_12 = rzcv_12/0.7
C
C XXX12(i)=(SUM(i-6,i-5...i-1)+SUM(i+1,i+2,...i+6))/12
C
C
      program cntrzcv12
C
	dimension ssn(0:13),cov(0:13)
	CHARACTER*4 AYEAR(0:13)
      character*2 amn(0:13)
	character*45 infile,outfile,outfile2
	integer*2 jj
c
   71	format(A4,A2,2(1X,F5.1))

   72	format(A4,A2,1X,F6.1)
   73	format(1X,2A2,1X,F5.1)	
C	infile='cntrzcvm.res'	! monthly median Rz(cov)
	infile='covrzmon.txt' ! monthly average Rz, cov
	OPEN(11,FILE=INFILE,action='READ')
C--	read(11,*) txt ! extra line
	outfile='cov_12.res'
	outfile2='ssn1_12.res'

C+	OPEN(10,FILE=outfile,access='APPEND')
C+	OPEN(12,FILE=outfile2,access='APPEND')
	OPEN(10,FILE=outfile)
	OPEN(12,FILE=outfile2)
C cycle on yr
	nn=0
	jj=0
C	jj=1,180
   1	continue
      read(11,71,end=81) ayear(13),amn(13),ssn(13),cov(13)
C	if (xyear(13).ge.2017) pause ' '
	nn=nn+1
	jj=jj+1
C?	if (jj.gt.194) goto 81 ! end of data = Feb 2015
C Shift data one line up
	do k=0,12
	ayear(k)=ayear(k+1)
	amn(k)=amn(k+1)
	ssn(k)=ssn(k+1)
	cov(k)=cov(k+1)
	enddo
c
	if (nn.lt.13) then 
	goto 1
	               else
	nn=nn-1
	ssn12=0.
	cov12=0.
	do k=0,5
	ssn12=ssn12+ssn(k)
	cov12=cov12+cov(k)
	enddo
	do k=7,12
	ssn12=ssn12+ssn(k)
	cov12=cov12+cov(k)
	enddo
	covav=cov12/12.
	ssnav=ssn12/12.
	write(*,72) ayear(6),amn(6),ssnav
	write(12,72) ayear(6),amn(6),ssnav
	write(*,72) ayear(6),amn(6),covav
	write(10,72) ayear(6),amn(6),covav
	goto 1
	                endif
   80	continue
   81	close(unit=10)
	close(unit=11)
	close(unit=12)
	goto 33
    2 CONTINUE
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 34

   33	continue
	write(*,*) infile,outfile
   34   pause ' ' 
      STOP
       END

c VERIFICATION OF MEDIAN ================
      subroutine rmedian(ndnr)
C Input file: CC(31,0:23) for 31 days, hours 00, 01, 23 h UY
C Number days for median : ndnr
C Outout file: ME(0:23) for hours 00, 01, 23 h UY
	DIMENSION CC(31,0:23),ME(0:23),X1(31),X2(31)
		COMMON /BL1/CC,ME
C "MEDIAN:"
       DO 1030 M=0,23
      MM=0
      DO N=1,ndnr
      X1(N)=CC(N,M)
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
	IF ((XD1-CD1).LT.0.0001) THEN 
	MD=INT((X2(ND1)+X2(ND2))/2.)
	ELSE
	MD=INT(X2(ND2))
	ENDIF
 1000 IF (MM.eq.0) MD=0
C1010 REM PRINT M;MD;
 1020 ME(M)=MD
 1030 CONTINUE
c 1040 REM PRINT
 1050 RETURN
      END