C........................................................Aug 2020
C Only foF2!!!!!!!!!!!!!!!!!!!!!!
C .......................................................June 2020
C Input: monthly files /web/dat1/YR/ & /web/dat6/YR/
C
C Fill missed monthly-hourly foF2, hmF2 from GIM-foF2 , GIM-hmF2 
C
C Extract fcF2, hcF2, TEC for => .inp to IRI-Plas at given site
C
C 
C Output: C:/msdev/projects/counts/stYRMN.txt  & stYRMNh.txt
C
      PROGRAM EXTRAHFT1pp1
C---------------------------------------------------------------
C data for 24 UT=0,1,2,...23hUT daily
C
C
C*********TEST
	CHARACTER*128 infilef,infileh,outfilef,outfileh,txt,infofile
	character*2 ayr,amn,ST,Cf(0:23),CC
C--	+,Ch(0:23)
	+,ADY,AUT,ADY2,BYR,BMN,BDY,STS(121)
      REAL GLATS(121),GLONS(121) 
C	INTEGER*2 IDY,iut
	CHARACTER(10) DD
      CHARACTER(10) TT
      CHARACTER(5) ZZ
	CHARACTER*1 fht,C
C--	+,D
	CHARACTER*13 STAT,STATS(121)
	CHARACTER*4 TITf,TITh,CTIME,AYEAR
	dimension im(12),IRESF(0:23),x(24),y(24),ynm(24)
C--	+,IRESH(0:23)
	DATA  IM/31,28,31,30,31,30,31,31,30,31,30,31/
		DATA STS/
     + 'as','at','bc','bp','br','cb','ch','cn','cq','cs'
	+,'cw','jb','db','dw','eg','eb','gm','gr','gu','ha' ! jb > cr Mar 2020
     +,'he','ho','jj','jm','jr','kk','lm','ml','mo','mq'
     +,'mw','nd','ni','ok','pe','pq','sa','rm','ro','vt' ! sa > ps
     +,'sq','tv','tr','wk','wp','wz','mm','tk','kg','mg'	  ! Mar 2020
     +,'sd','rv','tz','ns','so','mb','ei','gg','if','tu'	!tu> nc
     +,'pa','fz','ff','kh','au','al','ga','nc','yg','ic'	!fz> yk nc>di Sep 2019
     +,'ad','bb','bl','sv','lv','sj','sp','cj','er','ll'
     +,'cr','mh','ea','lg','ps','qn','yk','an','co','go'
     +,'gs','kw','sf','ss','va','ai','ar','bj','cl','cu'
     +,'di','du','dv','dy','ki','kr','ld','le','ln','ly'
     +,'ma','mn','mu','pk','pz','rb','pt','tq','up','we'
     +,'ot'/			  !Apr.2020
C      
	DATA STATS/										  !
     + 'Ascension.   ','Athens.      ','Boulder.     '  !
     +,'Beijing.     ','Brisbane.    ','Canberra.    '  !
     +,'Chilton.     ','Camden.      ','Chongqing.   '  !
     +,'Cocos_Is.    ','Casey.       ','Jang_Bogo.'  !      Mar 2020
     +,'Dourbes.     ','Darwin.      ','Eglin.       '  !
     +,'Roquetes.    ','Gibilmanna.  ','Grahamstown. '  !
     +,'Guangzhou.   ','Hainan.      ','Hermanus.    '  !
     +,'Hobart.      ','Jeju.        ','Jicamarca.   '  !
     +,'Juliusruh.   ','Kokubunji.   ','Learmonth.   '  !
     +,'Manzhouli.   ','Moscow.      ','MacQuarue_Is.'  !
     +,'Mawson.      ','Niue.        ','Norfolk_Is.  '  !
     +,'Okinawa.     ','Perth.       ','Pruhonice.   '  !
     +,'Sao_Luis.    ','Ramey.       ','Rome.        '  !	  Mar 2020
     +,'San_Vito.    ','Scott_Base.  ','Townsville.  '  !
     +,'Tromso.      ','Wakkanai.    ','Wallops.     '  !
     +,'Warsaw.      ','Murmansk.    ','Tomsk.       '  !
     +,'Kaliningrad. ','Magadan.     ','Salekhard.   '  !
     +,'Rostov.      ','Tunguska.    ','Novosibirsk. '  !
     +,'Sodankyla.   ','Madimbo.     ','Eielson.     '  !
     +,'Guam.        ','Idaho_NL.    ','Tucuman.     '  !<+tu> nc
     +,'Pt_Arguello. ','Fortaleza.   ','Fairford.    '  !<+fz> yk
     +,'Khabarovsk.  ','Austin.      ','Alpena.      '  !
     +,'Gakona.      ','Nicosia.     ','Yamagawa.    '  ! Sep 2019
     +,'I_Cheon.     ','Ashkhabad.   ','Bahia_Blanca.'  ! !Apr.2020
     +,'Belem.       ','Sverdlovsk.  ','Louisvale.   '
     +,'San_Juan.    ','Sopron.      ','Cachoeira.   ' ! Jan.2019
     +,'Eareckson.   ','Lualualei.   ','Christchurch.'
     +,'MillstoneHill','El_Arenosillo','Longyearbyen.'
     +,'Port_Stanley.','Thule-Qanaq. ','Yakutsk.     '
     +,'Anyang.      ','College.     ','Gorkovskaya. '
     +,'Goose_Bay.   ','Kwajalein.   ','Sofia.       '
     +,'Sondrestrom. ','Vanimo.      ','Argentine_Is.'
     +,'Argentia.    ','Bermuda.     ','Chung-Li.    '
     +,'Churchill.   ','Dixon.       ','Terre_Adelie.'
     +,'Devis.       ','Dyess.       ','Kiruna.      '
     +,'Kerguelen.   ','Leningrad.   ','Lerwick.     '
     +,'Lannion.     ','Lycksele.    ','Maui.        '
     +,'Manila.      ','Mundaring.   ','Petropavlovsk'
     +,'Preobrazhenia','Resolute_Bay.','Poitiers.    '
     +,'Tashkent.    ','Uppsala.     ','Cape_Wellen. '
     +,'Ottawa.      '/           !Jun. 2020 
C
	DATA GLATS/
	+  -7.9, 38.4, 40.0, 40.0,-27.5,-35.3, 51.6,-34.0, 29.5,-12.2
     +,-66.3,-74.6, 50.1,-12.2, 30.4, 40.8, 37.6,-33.3, 23.1, 18.3
     +,-34.4,-42.9, 33.5,-12.0, 54.6, 35.7,-21.8, 49.6, 55.5,-54.5
     +,-67.6, 19.1,-29.0, 26.3,-32.0, 50.0, -2.6, 18.5, 41.8, 40.6
     +,-77.9,-19.7, 69.7, 45.4, 37.8, 52.2, 68.0, 56.5, 54.7, 60.0
     +, 66.5, 47.2, 61.6, 54.6, 67.4,-22.4, 64.7, 13.6, 43.8,-28.3 !
     +, 34.8, -3.9, 51.7, 48.5, 30.4, 45.1, 62.4, 35.0, 29.2, 37.1 !Sep 2019	
     +, 37.9,-38.7, -1.4, 56.4,-28.5, 18.5, 47.7,-22.7, 52.7, 21.4
     +,-43.6, 42.6, 37.1, 78.2,-51.7, 77.5, 62.0, 37.4, 64.9, 60.3
     +, 53.3,  9.0, 42.7, 67.0, -2.7,-65.2, 47.3, 32.4, 29.4, 58.8
     +, 73.5,-66.7,-68.6, 32.4, 67.8,-49.4, 60.0, 60.1, 48.5, 64.6
     +, 20.8, 14.6,-32.0, 53.0, 74.7, 74.7, 46.6, 41.3, 59.8, 66.2
     +, 45.4/ !!Apr.2020
      DATA GLONS/
     + 345.6, 23.6,254.7,116.3,152.9,149.1,358.7,150.7,106.4, 96.8
     +,110.5,164.2,  4.6,130.9,273.3,  0.5, 14.0, 26.5,113.4,109.3
     +, 19.2,147.2,126.5,283.1, 13.4,139.5,114.1,117.5, 37.3,159.0
     +, 62.9,169.9,168.0,127.8,115.9, 14.6,315.8,292.8, 12.5, 16.7
     +,166.8,146.9, 19.0,141.7,284.5, 21.1, 33.0, 84.9, 20.6,151.0
     +, 66.5, 39.7, 90.0, 83.2, 26.6, 30.9,212.9,144.9,247.3,333.1 !
     +,239.5,321.6,358.2,135.1,262.3,276.4,215.0, 33.2,129.6,127.5  !Sep 2019	
     +, 58.3,297.7,311.6, 58.6, 21.2,294.0, 16.6,315.0,185.9,201.8
     +,172.8,288.5,353.3, 15.9,302.2,290.0,129.6,126.9,212.2, 29.4
     +,299.2,167.2, 23.4,310.0,141.3,295.7,306.0,295.3,121.2,265.8
     +, 80.4,140.0, 78.0,260.1, 20.4, 70.3, 30.7,358.8,356.7, 18.8
     +,203.5,121.1,116.4,158.7,113.0,265.1,  0.3, 69.6, 17.6,190.2
     +,284.1/ !!Jun.2020

C
   79	FORMAT(1X,A13)
  113	FORMAT(A128)
  117	FORMAT(A13,1X,A2,1X,A4,2X,'glat ='F5.1,1X,'glon ='F5.1)
 118	FORMAT('Date of issue: ',A4,'.',A2,'.',A2,1X,'Time:',A4)
 1201	format('YYMMDD|UT 0    1    2    3    4    5    6    7    8'
    	&'    9   10   11   12   13   14   15   16   17   18   19   20'
	&'   21   22   23'/'-------------------------------------------'
     &'-------------------------------------------------------------'
     &'------------------------')
c
	      CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
      TT(5:)='      '
      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT
C
C       CC='_'
	TITf='foF2'
	TITh='hmF2'
	CTIME='  UT'
	CTIME(1:2)=TT(1:2)
C read stations coordinates
  76	format(2(1X,F5.1),1X,A13,1X,A2)
c   77	format(30X,A5,1X,A5,40X,A4,9X,A2)
	write(*,*) ' Check </ > ALL in input data Change 1777'
C
	write(*,*) ' Enter ST code:'
	read(*,*) st
C
      DO ist=1,121
	if (sts(ist).eq.st) then
	glat=glats(ist)
	glon=glons(ist)
	stat=stats(ist)
	exit
	endif
	ENDDO
	infofile='extra1pp.txt'
	OPEN(20,file=infofile,access='APPEND')
C
	write(*,76) glat,glon,stat,st
	write(20,76) glat,glon,stat,st
C
  	      WRITE(*,*)' ENTER AYEAR:'
		READ(*,15) AYEAR
	AYR=AYEAR(3:4)
	read(ayr,*) yr
	iyr=int(yr)
	if(int(yr/4.)*4.eq.iyr) THEN 
	im(2)=29
	ndnr=366
	                          ELSE
	IM(2)=28
	ndnr=365
	ENDIF
 	      WRITE(*,*)' ENTER starting MN :'
		READ(*,*) MN
C-	if (AMN.eq.'00') GOTO 779
C
201	mish=0
	misf=0
	call blet2(mn,AMN)
   15	FORMAT(A4)
   16	FORMAT(A2)
C
	ndnr=im(mn)
	call blet2(ndnr,ADY2)
  202	continue

C start foF2, hmF2 or TEC
C
C	infilef='d:\web\graf\2014\styrf.br'
	infilef='d:\web\dat1\YR\styrmn.txt'
C-	if ((AYR.eq.'98').or.(AYR.eq.'99')) infilef(13:14)='19'
	infilef(13:14)=AYR
	infilef(16:17)=st
	infilef(18:19)=AYR
	infilef(20:21)=AMN
	infileh=infilef
	infileh(11:11)='6'
	infileh(22:)='h.txt'
	outfilef='styrmn.txt'
	outfilef(1:2)=st
	outfilef(3:4)=AYR
	outfilef(5:6)=AMN
C	outfileh='styrmnh.txt'
	outfileh=outfilef
	outfileh(7:)='h.txt'
C
      OPEN(11,FILE=INFILEF,action='READ')
C--	OPEN(12,FILE=INFILEH,action='READ')
C    Read title lines
         DO I=1,4 
	read(11,113,end=771) txt
C--	read(12,113,end=772) txt
	   ENDDO
C
	OPEN(13,file=outfilef)
C--	OPEN(14,file=outfileh)
C		write(*,117) stat,st,TITf,glat,glon 
	write(13,117) stat,st,TITf,glat,glon 
	write(13,118) AYEAR,AMN,ADY2,CTIME
	write(13,1201)
C
C--		write(*,117) stat,st,TITh,glat,glon 
C--	write(14,117) stat,st,TITh,glat,glon 
C--	write(14,118) AYEAR,AMN,ADY2,CTIME
C--	write(14,1201)
C
   61	format(3A2,1X,24(A4,1X))
C
C
	do i=0,23
	iresf(i)=0
C--	iresh(i)=0
	enddo
  200	FORMAT(3A2,2X,24(I3,A2))
C
      DO 777 idy=1,ndnr
	call blet2(idy,ADY)
  601	READ(11,200,end=771) BYR,BMN,BDY,(iresf(k),Cf(k),k=0,23)
C--  	READ(12,200,end=770) BYR,BMN,BDY,(iresh(k),Ch(k),k=0,23)
  770	if ((AYR.eq.BYR).and.(AMN.eq.BMN).and.(ADY.eq.BDY)) then
	goto 302
	                else
	goto 601
	        endif
C
  302	DO iut=0,23
	fht='t'		! TEC
	call blet2(iut,AUT)
	call subinterp1(fht,glat,glon,byr,bmn,bdy,aut,res)
	x(iut+1)=res/10.
C
        DO ii=0,23
	CC=Cf(ii)
	C=CC(1:1)
	if (CC.eq.'//') then
	CC='  '
	Cf(ii)=CC
	endif
C CHECK ,ps, all </ >
C- 1777	if ((C.eq.'/').and.(st.eq.'ps')) then
1777	if ((C.eq.'/').or.(C.eq.'*')) then
	iresf(ii)=0
	 C='_'
	CC(1:1)=C
	Cf(ii)=CC
	endif 
C--	CC=Ch(ii)
C--	if (CC.eq.'//') then
C--	CC='  '
C--	Ch(ii)=CC
C--	endif
	  ENDDO
C++      if (iresf(iut).eq.0) then
C--      if ((iresf(iut).eq.0).or.(C.eq.'*').or.(C.eq.'_')
C--	+.or.(C.eq.'/')) then               ! Only / at 1st position!!!!
      if (iresf(iut).eq.0) then
C
	fht='f'		! foF2
	call subinterp1(fht,glat,glon,byr,bmn,bdy,aut,res)
	iresf(iut)=nint(res)
	CC=Cf(iut)
	C='_'
	CC(1:1)=C
	 Cf(iut)=CC
	endif
C
C--      if (iresh(iut).eq.0) then
C--	fht='h'		! hmF2
C--	call subinterp1(fht,glat,glon,byr,bmn,bdy,aut,res)
C--	iresh(iut)=nint(res)
C--	CC=Ch(iut)
C--	C='_'
C--	CC(1:1)=C
C--	 Ch(iut)=CC
C--	endif
	ENDDO
c+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C polyfit foF2 and hmF2
C
      fht='f'        ! foF2
  305	      do k=1,24
	fof2=iresf(k-1)/10.
 	ynm(k)=1.24*fof2**2  ! NmF2
	y(k)=ynm(k)  !First NmF2
	enddo
       call subpoly3c(x,y,p1f,p2f,p3f,rmsef)
C--	fht='h'
C--	      do k=1,24
C--	y(k)=iresh(k-1) ! hmF2
C--	enddo
C--       call subpoly3c(x,y,p1h,p2h,p3h,rmseh)
C Output profile:
	DO jj=0,23
	xx=x(jj+1)  !TEC
C
	yproxf=xx*(p1f*xx+p2f)+p3f  ! Polyval
		CC=Cf(jj)
	C=CC(1:1)
C++	if ((C.eq.'/').or.(C.eq.'_').or.(C.eq.'*')) then
	if ((C.eq.'_').or.(C.eq.'*')) then
	    if(yproxf.ge.4.) then
      	yproxf=sqrt(yproxf/1.24)*10.
	    else
	    yproxf=float(iresf(jj))
C
	    endif
	C='_'
	CC(1:1)=C
	iresf(jj)=nint(yproxf)
	Cf(jj)=CC
	misf=misf+1
	endif
C
C--	yproxh=xx*(p1h*xx+p2h)+p3h  ! Polyval
C--	CC=Ch(jj)
C--	D=CC(1:1)
C--	if ((D.eq.'/').or.(D.eq.'_').or.(D.eq.'*')
C++     $.or.((D.eq.' ').and.((C.eq.'/').or.(C.eq.'_').or.(C.eq.'*'))))
C--     $.or.((D.eq.' ').and.((C.eq.'_').or.(C.eq.'*'))))
C--     + then
C--      	if ((yproxh.lt.175.).or.(yproxh.gt.500.)) then
C--     	    yproxh=float(iresh(jj))
C--	    endif
C--	D='_'
C--	CC(1:1)=D
C--	iresh(jj)=nint(yproxh)
C--	Ch(jj)=CC
C--	mish=mish+1
C--   endif
	ENDDO

C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C 200	format(3A2,24(1X,I4))
	write(*,200) BYR,BMN,BDY,(iresf(k),Cf(k),k=0,23)
	write(13,200) BYR,BMN,BDY,(iresf(k),Cf(k),k=0,23)
C--	write(*,200) BYR,BMN,BDY,(iresh(k),Ch(k),k=0,23)
C--	write(14,200) BYR,BMN,BDY,(iresh(k),Ch(k),k=0,23)
  777 CONTINUE  ! next day
  771 close(unit=13)
C--  772 close(unit=14)
      close(unit=11)
C--	close(unit=12)
c ***************************************************************
C
 111	format(A6,1X,24(I4,1X))
      mtot=ndnr*24
C--        write(*,205) BYR,BMN,misf,mish,mtot
	write(20,205) BYR,BMN,misf,mish,mtot
	GOTO 33
  205	format(1X,2A2,3(1X,I6))
C
    2 CONTINUE
       write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY '
 	pause ' '
	goto 34

   33	continue
C--     write(*,*) outfilef,outfileh
      write(*,*) outfilef
	mn=mn+1
	if (mn.lt.13) GOTO 201
  779	close(unit=20)
      pause ' ' 
   34   STOP
       END

C***********************************************************
C=========================================
      subroutine subpoly3c(x,y,p1,p2,p3,rmse)
	dimension x(24),y(24) 
	nut=24  ! diurnal UT set
C  
	s0=24.
	s1=0.
	s2=0.
	s3=0.
	s4=0.
	syx2=0.
	syx=0.
	sy=0.
      DO N=1,nut
	x1=x(N)
	x2=x1*x1
	x3=x1*x2
	x4=x2*x2
	y1=y(N)
	yx=y1*x1
	yx2=y1*x2
	s1=s1+x1
	s2=s2+x2
	s3=s3+x3
	s4=s4+x4
	syx2=syx2+yx2
	syx=syx+yx
	sy=sy+y1
      ENDDO 
C
      d1=(s0*s3-s1*s2)
      c1=(s0*s4-s2*s2)/d1
      c2=(s0*syx2-sy*s2)/d1
	d2=(s0*s2-s1*s1)
      c3=(s0*s3-s1*s2)/d2
      c4=(s0*syx-sy*s1)/d2

C
C p1=a; p2=b; p3=c
C
C polyfit2 coefficients
	p1=(c2-c4)/(c1-c3)
	p2=c2-p1*c1
	p3=(sy-p1*s2-p2*s1)/s0
C RMSE
      sum=0.
	DO N=1,nut
	del=y(N)-(x(N)*(p1*x(N)+p2)+p3)
	sum=sum+del**2
	ENDDO
	rmse=sqrt(sum/nut)
C
	RETURN
	END
C

C+++++++++++++++++++++++++++++++++++++++++++++++++++++++