      program polyfit80p
C.......................................................Aug 2019
C Polyfit2 for 0,1,...,23 UT of two parameters for 80 stations
C Apply least-squire fit to 2nd order polynomial to produce p1,p2,p3
C
      dimension IM(12),x(24),y(24),ynm(24),yfm(24),yhm(24)
     +,ires(24)
	character*128 infilef,infileh,infilet,outfilef,outfileh,txt              ! Aug 2019
	+,outpolyf,outpolyh
      CHARACTER*2 ST,STS(80),AYR,AMN,ADY,Cf(24),Ch(24),CC			   ! AUG 2019
	CHARACTER*6 YYMMDD
	CHARACTER*1 C
	      DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C	common /BL1/xi,yi
      DATA STS/
     + 'as','at','bc','bp','br','cb','ch','cn','cq','cs'     ! July 2019
     +,'cw','cr','db','dw','eg','eb','gm','gr','gu','ha'	   ! July 2019
     +,'he','ho','jj','jm','jr','kk','lm','ml','mo','mq'	   ! July 2019
     +,'mw','nd','ni','ok','pe','pq','ps','rm','ro','vt'	   ! July 2019
     +,'sq','tv','tr','wk','wp','wz','mm','tk','kg','mg'	   ! July 2019
     +,'sd','rv','tz','ns','so','mb','ei','gg','if','tu'     ! July 2019
     +,'pa','fz','ff','kh','au','al','ga','nc','yg','ic'	   ! July 2019
     +,'mh','bb','bl','sv','lv','sj','sp','cj','er','ll'/	   ! July 2019
C
	outfilef='d:/web/graf/dat1/YR/stYRMN.dat'	   ! 
	infilef='d:/web/graf/dat1/YR/stYRMN.txt'
      outpolyf='d:/web/graf/polf/YR/stYRMNpf.txt'
	outfileh='d:/web/graf/dat6/YR/stYRMNh.dat'
	infileh='d:/web/graf/dat6/YR/stYRMNh.txt'
      outpolyh='d:/web/graf/polh/YR/stYRMNph.txt'
	infilet='d:/web/graf/dat7/YR/stYRMNt.txt'
      WRITE(*,*) ' ENTER JYR and JMN FOR OUTPUT FILE='  ! July 2019
      READ(*,*) JYR,JMN                                ! July 2019
      
Ctemp	JYR=19		 ! temp
Ctemp	JMN=7		 ! temp
	call blet2(jyr,AYR)
	call blet2(jmn,AMN)
C
	IM(2)=28
      if(jyr/4*4.eq.jyr) im(2)=29
	mndy=IM(jmn)

	outpolyf(18:19)=AYR
	outpolyh(18:19)=AYR
	outpolyf(23:24)=AYR
	outpolyh(23:24)=AYR
	outpolyf(25:26)=AMN
      outpolyh(25:26)=AMN
	outfilef(18:19)=AYR
	outfileh(18:19)=AYR
	outfilef(23:24)=AYR
	outfileh(23:24)=AYR
      outfilef(25:26)=AMN
      outfileh(25:26)=AMN

      infilef=outfilef
	infileh=outfileh
	infilef(28:30)='txt'
	infileh(29:31)='txt'
	infilet=infileh
      infilet(16:16)='7'
      infilet(27:27)='t'
C/	OPEN(11,file=outfilef,access='APPEND')
C/	OPEN(12,file=outfileh,access='APPEND')

CREM   1  DO 1234 ist=1,80
       ist=71                !mh temp
C/      write(*,*) ' Enter name infile or <00> for stop:'
C/	read(*,*) infile
C/	if (infile.eq.'00') STOP
C
       st=sts(ist)                                  ! July 2019
	infilef(21:22)=st								  ! Aug 2019
	infileh(21:22)=st								  ! Aug 2019
	infilet(21:22)=st								  ! Aug 2019
	outpolyf(21:22)=st								  ! Aug 2019
	outpolyh(21:22)=st								  ! Aug 2019
	outfilef(21:22)=st								  ! Aug 2019
	outfileh(21:22)=st								  ! Aug 2019
C
	OPEN(10,file=infilef,action='READ')
	OPEN(11,file=infileh,action='READ')
	OPEN(12,file=infilet,action='READ')
      OPEN(13,file=outpolyf)
      OPEN(14,file=outpolyh)
      OPEN(15,file=outfilef)
      OPEN(16,file=outfileh)
      DO i=1,4
	read(10,29) txt ! extra line
      write(15,29) txt
	read(11,29) txt ! extra line
      write(16,29) txt
	read(12,29) txt ! extra line
	write(*,29) txt	! title line
      ENDDO
C
   29 FORMAT(A128)
   30 FORMAT(A6,2X,24(F3.1,A2)) ! foF2 input
   31 FORMAT(1X,'P1=', 1PE13.6, ' P2=', F7.3, 
     +' P3=', F7.3)
   32 FORMAT(A6,2X,24(F3.0,A2)) ! hmF2
   33 FORMAT(A6,1X,24(F4.1,1X)) ! TEC
C x=TEC [TECu], yhm=hmF2 [km], ynm=NMF2/10**4=1.24*foF2**2
C
C  Day-to-day cycle
C
      DO 123 jdy=1,mndy		 !-----------------------------------------------------
      call blet2(jdy,ADY)
C
	read(10,30,end=40) YYMMDD, (yfm(k),Cf(k),k=1,24)  ! foF2
      do k=1,24
	ynm(k)=1.24*yfm(k)**2  ! NmF2
	y(k)=ynm(k)  !First NmF2
	enddo
	read(11,32,end=41) YYMMDD, (yhm(k),Ch(k),k=1,24)  ! hmF2
	read(12,33,end=42) YYMMDD, (x(k),k=1,24)		  ! TEC
C
C
C First NmF2
      call subpoly3c(x,y,p1f,p2f,p3f,rmse)
	write(*,*) ' NmF2 vs TEC'
C+      write(11,*) ' NmF2 vs TEC'	 
	write(*,*) YYMMDD,' p1= ',p1f,' p2= ',p2f,' p3=',p3f,' rms=',rmse
	write(13,*) YYMMDD, p1f, p2f, p3f
C
C Output profile:
	DO jj=1,24
	xx=x(jj)  !TEC
	fnm=xx*(p1f*xx+p2f)+p3f  ! Polyval
	if (fnm.lt.4.) fnm=ynm(k)
	CC=Cf(jj)
	C=CC(1:1)
	IF ((C.eq.'/').or.(C.eq.'_')) THEN
      yfm(jj)=sqrt(fnm/1.24)
	CC(1:1)='_'
	Cf(jj)=CC
	endif
        ires(jj)=nint(yfm(jj)*10.)
	ENDDO
	write(*,34) YYMMDD,(ires(k),Cf(k),k=1,24)
	write(15,34) YYMMDD,(ires(k),Cf(k),k=1,24)
C
   34 FORMAT(A6,2X,24(I3,A2)) ! foF2 out
C
C Second hmF2
        do k=1,24
	y(k)=yhm(k)
	enddo
      call subpoly3c(x,y,p1h,p2h,p3h,rms)
	write(*,*) ' hmF2 vs TEC'
C+    write(12,*) ' hmF2 vs TEC'	 
	write(*,*) YYMMDD,' p1= ',p1h,'p2= ',p2h,' p3=',p3h,' rms=', rms
	write(14,*) YYMMDD, p1h, p2h, p3h
C
C
C Output profile:
	DO jj=1,24
	xx=x(jj)  !TEC
	hp=xx*(p1h*xx+p2h)+p3h  ! Polyval hmF2
	if ((hp.lt.175.).or.(hp.gt.500.)) hp=yhm(k)
	CC=Ch(jj)
	C=CC(1:1)
	IF ((C.eq.'/').or.(C.eq.'_')) THEN
      yhm(jj)=hp
	CC(1:1)='_'
	Ch(jj)=CC
	endif
        ires(jj)=nint(yhm(jj))
	ENDDO
	write(*,34) YYMMDD,(ires(k),Ch(k),k=1,24)
	write(16,34) YYMMDD,(ires(k),Ch(k),k=1,24)
  123	CONTINUE  ! day-to-day cycle
   40 close(unit=10)
   41 close(unit=11)
   42 close(unit=12)
      close(unit=13)
	close(unit=14)
      close(unit=15)
	close(unit=16)
 1234	CONTINUE  ! station cycle
C
C
	pause ' '
       STOP
	END
C=========================================
      subroutine subpoly3c(x,y,p1,p2,p3,rmse)
	dimension x(24),y(24) 
	nut=24  ! diurnal UT set
C  
	s0=24.
	s1=0.
	s2=0.
	s3=0.
	s4=0.
	syx2=0.
	syx=0.
	sy=0.
      DO N=1,nut
	x1=x(N)
	x2=x1*x1
	x3=x1*x2
	x4=x2*x2
	y1=y(N)
	yx=y1*x1
	yx2=y1*x2
	s1=s1+x1
	s2=s2+x2
	s3=s3+x3
	s4=s4+x4
	syx2=syx2+yx2
	syx=syx+yx
	sy=sy+y1
      ENDDO 
C
      d1=(s0*s3-s1*s2)
      c1=(s0*s4-s2*s2)/d1
      c2=(s0*syx2-sy*s2)/d1
	d2=(s0*s2-s1*s1)
      c3=(s0*s3-s1*s2)/d2
      c4=(s0*syx-sy*s1)/d2

C
C p1=a; p2=b; p3=c
C
C polyfit2 coefficients
	p1=(c2-c4)/(c1-c3)
	p2=c2-p1*c1
	p3=(sy-p1*s2-p2*s1)/s0
C RMSE
      sum=0.
	DO N=1,nut
	del=y(N)-(x(N)*(p1*x(N)+p2)+p3)
	sum=sum+del**2
	ENDDO
	rmse=sqrt(sum/nut)
C
	RETURN
	END
C

