      program read45df
C..................................................Jan 2022
C Read 45days F10.7 USAF prediction
C
      character*65 infile,outfile,txt
	dimension IM(12),f107(45),icov(5)
	+,KYRS(45),KDYS(45),KMNS(45),JYR(5),JDY(5)
	character*3 AMONS(12),XMON(5)
	character*2	AYR,AMN,ADY,BMN,BDY
	character*5	FIND
	character*4 AYEAR
	DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C	DATA AMONS/'JAN','FEB','MAR','APR','MAY','JUN'
C	+,'JUL','AUG','SEP','OCT','NOV','DEC'/
	DATA AMONS/'Jan','Feb','Mar','Apr','May','Jun'
	+,'Jul','Aug','Sep','Oct','Nov','Dec'/
C      
	 FIND='F10.7'
        infile='d:\web\graf\45d\YYMMDD45DF.txt'
	outfile='d:\web\graf\45d\YYMMDD45DF.dat'
C
	write(*,*) ' Enter AYEAR:'
	read(*,*) AYEAR
	read(ayear,*) xyear
C
	write(*,*) ' Enter AMN:'
	read(*,*) AMN
C
	write(*,*) ' Enter ADY:'
	read(*,*) ADY
C
	AYR=AYEAR(3:4)
	read(ayr,*) ryr
	iyr=int(ryr)
		z1=iyr/4.0
      jz=int(z1)*4
      IF(jz.EQ.iyr) THEN
			    	ndnr=366
	IM(2)=29
        ELSE
	  	ndnr=365
	IM(2)=28
	       ENDIF
      del=1./ndnr
C
	iyr_nex=iyr+1
		z2=iyr_nex/4.0
      jz2=int(z2)*4
      IF(jz2.EQ.iyr_nex) THEN
			    	ndnr2=366
        ELSE
	  	ndnr2=365
	       ENDIF
      del2=1./ndnr2
	xyear2=xyear+1.0
C
        infile(17:18)=AYR
	infile(19:20)=AMN
	infile(21:22)=ADY
	outfile=infile
	outfile(28:30)='dat'
   30	FORMAT(5(I2,A3,I2,1X,I3,1X))
C
      OPEN(10,file=infile,action='READ')
	OPEN(11,file=outfile)
C
      do k=1,19
	read(10,*) txt  ! extra lines
	enddo
C
      nn=0
	DO 50 jinp=1,9
C
      read(10,30,end=51) JDY(1),XMON(1),JYR(1),icov(1)
     +,JDY(2),XMON(2),JYR(2),icov(2)
     +,JDY(3),XMON(3),JYR(3),icov(3)
     +,JDY(4),XMON(4),JYR(4),icov(4)
     +,JDY(5),XMON(5),JYR(5),icov(5)
C
      do k=1,5
	nn=nn+1
	KYRS(nn)=JYR(k)
C
	  do i=1,12
	if (XMON(k).eq.AMONS(i)) then
	kmn=i
	KMNS(nn)=KMN
	exit
	endif
	  enddo
C
	KDYS(nn)=JDY(k)
	f107(nn)=float(icov(k))
	enddo
C 
   50	CONTINUE
   51 close(unit=10)
C
C output file
C
       DO 52 nn=1,45
	KYR=KYRS(nn)
	KMN=KMNS(nn)
	KDY=KDYS(nn)
	cov=f107(nn)
	lda=ndoy(kyr,kmn,kdy)
C
      if (KYR.eq.IYR) then
	ryear=xyear+del*(lda-1)
	else
	ryear=xyear2+del2*(lda-1)
	endif
	call blet2(kmn,BMN)
	call blet2(kdy,BDY)
	write(*,31) ryear,bmn,bdy,cov
	write(11,31) ryear,bmn,bdy,cov
   52	CONTINUE
   53 close(unit=11)
   31	FORMAT(1X,F8.3,1X,2(A2),1X,F5.1)
      pause ' '
	STOP
	END

