c     Indices
C...............................................................................Feb 2022
C SN_R.dat ----------------- daily index data file
CC Ytau27=(1-tau)/(1-tau**n)*(F0+tau*F_1+tau**2*F_2...+tau**29*F_26) =smoothed Index(tau) 
CC 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
c .. Input:
c ..    day                           (integer)
c .    month                          (integer)
c .     year                          (integer)
c .     nday - day number of the year (integer)
c
c .  Output:
c .    R27 - integral index of solar activity for 27 days - 1 revolution of the Sun (real)
cc-----------------------------------------------------------------------
      subroutine subind27d1(CC,R27)
C CC(0:26) input array CC(0)=ind(-1d),CC(1)=ind(-2d),...,CC(26)=ind(-27d)
C produce 27d running indices: F10.7, SSN2
C input ----------------- daily index data file for -27d
C
	real R27
c
	integer ns, k
      real CC(0:26)
C	+,X1(0:26),X2(0:26)
C      real:: tauR27=0.9623  ! 27 day
C+
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C	tau=0.9623
      tau=exp(-1./26.)
	NS = int(1.0/(1.0-tau))
c	nd_inp=0
C
    2       	fsum=0.
	STAU=1.
      icnv=0 			   
  207 Ftau=0.0
C
      fsum=0.
C
  980      do k=0,26
	fsum=fsum+stau*CC(k)
	stau=stau*0.9623
      enddo
	coef=(1.-tau)/(1.-stau)
	R27=coef*fsum
c
c	GOTO 6
C==  10  format(A4,1X,2(A2),2X,F9.7)          ! Lym=a
C
c   6	pause ' '
      RETURN
	END
c
C--------------------------------------------------------------------------
