C.........................................................Oct. 2017
C
c MEDIAN ================
      subroutine submedp3
C
C Median smed, minimum smin, maximum smax for -81 27 days
C
C Input file: CC(ndnr) for ndnr days, 
C ncol=72 for longitudes -180:5:180 or ncol=23 for hours UT=0,1,...,23
C Number days for median : ndnr=7	(7 preceding days)
C Output arrays: SMED(0:72) for longitudes -180:5:180 (or SMED(0:23) for UT hours)
C
	DIMENSION CC(81),X1(81),X2(81)
		COMMON /BL1/CC,SMED,SMIN,SMAX
C "MEDIAN:"
C
       ndnr=81 ! start for 81-prec days
    1  MM=0
      DO N=1,ndnr
	 if (ndnr.eq.81) then
       X1(N)=CC(N)
	 else
	 X1(N)=CC(N+54)
	 endif
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
      IF (CD1.LT.XD1) THEN 
	XMD=X2(ND2)
	else
	XMD=(X2(ND1)+X2(ND2))/2.
	ENDIF
C
	if (ndnr.eq.81) then
	smed81=xmd
	smax81=X2(1)
	smin81=X2(81)
	ndnr=27
	goto 1
	                else
	smed27=xmd
	smax27=X2(1)
	smin27=X2(27)
	endif
	smin3=AMIN1(CC(79),CC(80),CC(81))
	smax3=AMAX1(CC(79),CC(80),CC(81))
	do 2 k=79,81
	smed3=CC(k)
	if ((CC(k).eq.smin3).or.(CC(k).eq.smax3)) goto 2
   2	continue
C
C 1020 SMED=XMD
       smed=(smed81+smed27+smed3)/3.
C	SMAX=X2(1)
       smax=AMAX1(smax81,smax27,smax3)
C	SMIN=X2(27)
       smin=AMIN1(smin81,smin27,smin3)
 1030 CONTINUE
c
 1050 RETURN
      END