	subroutine subprobvd1ns(ns,AYR,AMN,ADY,iresp,iresn)
C.....................................................Feb. 2016
C Add input of
C ns='n' for glat>=60N,
C ns='s' for glat<=-60N,
C Count Vd+ and Vd- occurrence per map, %, for given year, month, day, ut=0,1,...,23 
C.....................................................Aug. 2015
C Maps in geogr. coords. glats: -87.5:2.5:87.5 (71 lines), glongs : -180:5:180
C infile: d:\web\del\YR\MN\trMNDYUT.jYR
C
C.....................................................July 2015
C Probability of occurrence of Vs+ Vs- storm
C.....................................................Mar. 2013
C Probability of occurrence of W+ , W- storm
C produce counts of CVp for DTECp>100 (> +1 sigma) /5112 grids on map * 100% (Occur.%)
C produce counts of CVn for DTECp<-100 (< -1 sigma) /5112  grids on map * 100% (Occur.%)
C- CWt=cwp+cwn
C
C.....................................................Nov. 2012
C JPL maps
C.....................................................Apr. 2012
C
C IONEX maps
C for glat=-87.5:2.5:87.5, glong=-180:5:165  (5112 => 840 grids)
C Correction of (W+max-W-max)*(1+cntstrm/5112)
C.....................................................Feb. 2012
C
C.....................................................Aug.2011
C
C Input: maps of W-index: tcMNDYUT.wYR files 
C             for glat=-85:5:85, glong=-180:15:165  (=840 grids)
C Correction of (W+max-W-max)*(1+cntstrm/840)
C
C........................................................Apr.2008
C...... Count RANGE only when W+=>3, and/or W-<=-3 ..............
C
c........................................................Oct.2007
C Correction of (W+max-W-max)*(1+cntstrm/600)
C cntstrm=total number of W+=3,W+=4, W-=-3,W-=-4 for the IONEX-map
C
c .......................................................Sep. 2007
C Range of TEC indices from 35 latitude results TEC.fYR.........
C
c from hourly IONEX maps
c
	DIMENSION IRESP(0:23),IRESN(0:23),DHR(0:71),IM(12)
     +,IRES(0:23)
C/	 INTEGER*2 IYR,IMN,IDY,idy1,idy2,iut
C/	CHARACTER(10) DD
C/      CHARACTER(10) TT
C/      CHARACTER(5) ZZ
	CHARACTER*64,infile
C/	+,outfile,outfilep,outfilen,title
C/	CHARACTER*133 wpast(0:365),wwpos(0:365),wwneg(0:365),txt
	CHARACTER*2 AYR,AMN,AUT,ADY
	 CHARACTER*1 ns
C/	CHARACTER*6 YRMNDY
C/	CHARACTER*4 AYEAR,AMEAN
      DATA IM/31,28,31,30,31,30,31,31,30,31,30,31/
C/	title='YYMMDD UT CNTNEG CNTPOS CNTTOT   TOT%    Wp'
C/	CALL DATE_AND_TIME(DATE=DD,TIME=TT,ZONE=ZZ)
C/      TT(5:)='      '
C/      WRITE(*,*) 'PC Date: Year,Month,Day = ',DD,'Time = ',TT

C start
C/      WRITE(*,'(\A\)') ' ENTER <n> of <s> for North / South output='
C/	READ(*,'(A)') ns
C/  111    WRITE(*,'(\A\)') ' ENTER YEAR OF INPUT FILE='
C/      READ(*,'(A)') AYEAR
CREM	AYEAR='2012'
C/	ayr=ayear(3:4)
	read(ayr,*) year
	iyr=int(year)
C
C/      WRITE(*,'(\A\)') ' ENTER MONTH OF INPUT FILE='
C/      READ(*,'(A)') AMN
	read(amn,*) rmn
	imn=int(rmn)
	read(ady,*) rdy
	idy=int(rdy)

	if(int(year/4.)*4.eq.iyr) THEN 
	ndnr=366
	im(2)=29
	                          ELSE
	ndnr=365
	im(2)=28
	ENDIF
C Cycle on month
C/	DO 100 imn=1,mn
CTEMP	DO 100 imn=mn,mn  !TEmp
c	imn=mn
C/	call blet2(imn,AMN)

c     WRITE(*,'(\A\)') ' ENTER DY1 & DY2 ='
c     READ(*,13) idy1,idy2
C/	idy1=1
C/	idy2=im(imn)
 13   FORMAT(I2)

CC CALCULATION OF DAYS OF YEAR	
      infile='d:\web\del\YR\MN\trMNDYUT.jYR' ! JPL Vd(glat & glong map)
  	infile(12:13)=ayr
	infile(15:16)=amn
  	infile(28:29)=ayr
	infile(20:21)=amn
C/      outfile='vmtocYRx.txt'	!Vs-indices from Vs-maps geomag.coord.<oc>=occurrence
C/	 outfile(8:8)=ns ! n ~ North, s ~ South
C/	outfile(6:7)=AYR
C/ 	outfilep=outfile
C/	outfilen=outfile
C/	outfilep(1:1)='p'
C/	outfilen(1:1)='n'
   14	format(1X,A43)
C
C/  	OPEN(112,FILE=OUTFILE)
C/	OPEN(113,FILE=OUTFILEP)
C/	OPEN(114,FILE=OUTFILEN)
 198	format(4X,A2,24(3X,A2),3X,A4)
C
c/	lda=ndoy(iyr,imn,idy)  ! day-of-year
C/	mndy=im(imn)
CTEMP	goto 197          ! TEMP
  130	format(A133)

C/	if((imn.eq.1).and.(idy1.eq.1)) then 
C/	write(112,198) bb,aa,amean
C/	write(113,198) bb,aa,amean
C/	 write(114,198) bb,aa,amean
C/      write(*,198) bb,aa,amean
C/	goto 197 ! avoid read-re-write
C/	endif
C
C read-re-write outfile for days from 1 to lda1-1:
c/	ncnt=0
c/	do 149 ipast=0,lda1-1
c/	read(112,130,END=151,ERR=2) txt
c/	wpast(ipast)=txt
c/	YRMNDY=txt(1:6)
c/  151	read(113,130,END=152,ERR=2) txt
c/ 	wwpos(ipast)=txt
c/  152	read(114,130,END=153,ERR=2) txt
c/ 	wwneg(ipast)=txt
c/	if (yrmndy.eq.'      ') goto 149
c/	ncnt=ncnt+1
c/  149	continue
c/  153 close(unit=112)
c/      close(unit=113)
c/	close(unit=114)
C
c/  	OPEN(112,FILE=OUTFILE)
c/	OPEN(113,FILE=OUTFILEP)
c/	OPEN(114,FILE=OUTFILEN)
C re-write past data:
c/	do ipast=0,ncnt-1
c/	write(112,130) wpast(ipast)
cc	write(*,130) wpast(ipast)  ! test
c/	write(113,130) wwpos(ipast)
c/	write(114,130) wwneg(ipast)
c/	enddo
c/      close(unit=112)
c/      close(unit=113)
c/	close(unit=114)
CC  
  197 continue
c/  	OPEN(112,FILE=OUTFILE,ACCESS='APPEND')
c/	OPEN(113,FILE=OUTFILEP,ACCESS='APPEND')
c/	OPEN(114,FILE=OUTFILEN,ACCESS='APPEND')

C
C  day-to-day cycle
C ========================================

c/      DO 500 idy=idy1,idy2
	lda=ndoy(iyr,imn,idy)  ! day-of-year
c/	call blet2(idy,ady)
	infile(22:23)=ady
C
      do k=0,23
	ires(k)=0
	iresp(k)=0
	iresn(k)=0
	enddo
C
 	sum=0.
	sumn=0.
	sump=0.

C cycle on UT:
C -----------------------------------------------------
      DO 801 iut=0,23		! cycle on UT
	call blet2(iut,aut)
	infile(24:25)=aut
	OPEN(111,FILE=INFILE)
c
	cnttot=0.       !!!new for W-map
	cntneg=0.       !!!new for W-map
	cntpos=0.       !!!new for W-map
C ===== Input datafile 
 1311	DO 1799 jj=1,71	  ! glats= -87.5:2.5:87.5
c	pause ' '
    1	READ (111,12,END=3,ERR=2) (DHR(k),k=0,71) ! Vd(glongs=-180:5:175)
  12	FORMAT(72(1X,F4.2))	   ! sigma
C
C Check North or South area: 
	if ((ns.eq.'s').and.(jj.gt.12)) goto 1799 ! only South results  
	if ((ns.eq.'n').and.(jj.lt.60)) goto 1799 ! only North results  
	DO k=0,71				! Cycle on Longi	 <<<<<<<<
C++	Count stormy indices Vd-:
	if (dhr(k).lt.-1.) then 
      cntneg=cntneg+1.  !!!new for Vd map
	cnttot=cnttot+1.  !!!new for Vd map
	 endif
C++	Count stormy indices Vd+:
		if (dhr(k).gt.1.) then 
      cnttot=cnttot+1.  !!!new for Vd map
	cntpos=cntpos+1.  !!!new for Vd map
	 endif

	enddo		    ! Cycle on Longi	 >>>>>>>>>>>>>


 1799	CONTINUE				   ! Cycle jj on glats (total W map)
  3   CLOSE(unit=111)

C----------------------------------------------------------
	if (ns.eq.'g') then
	cres=cnttot/0.5112   ! Map grids in glats x glongs for 71 lats
	cresp=cntpos/0.5112
	cresn=cntneg/0.5112
                     else
	cres=cnttot/0.0864   ! Map grids in glats x glongs for 12 lats (N or S)
 	cresp=cntpos/0.0864
	cresn=cntneg/0.0864
	endif
			     
C?      cres=cnttot/0.036   ! Map grids in mlats x mlongs for 5 lats
C?	cresp=cntpos/0.036
C?	cresn=cntneg/0.036
	if (cres.gt.9998.) cres=9999.
	if (cresn.gt.9998.) cresn=9999.
	if (cresp.gt.9998.) cresp=9999.

799	ires(iut)=nint(cres) !prob*10000. = occur*100,%
	iresn(iut)=nint(cresn)
	iresp(iut)=nint(cresp)
c   
  801 continue            ! end cycle on UT 

C  Daily mean:
C
	sum=0.
	sump=0.
c/	sumn=0.
c/		do m=0,23      ! cycle on UT		======
c/ 175	sum=sum+float(ires(m))
c/	sump=sump+float(iresp(m))
c/	sumn=sumn+float(iresn(m))
c/	enddo							 !=========
c/	isum=nint(sum/24.)
c/	isump=nint(sump/24.)
c/	isumn=nint(sumn/24.)
c/	yrmndy='000000'
c/	yrmndy(1:2)=AYR
c/	yrmndy(3:4)=AMN
c/	yrmndy(5:6)=ADY	
c/	write(112,72) yrmndy,(ires(k),k=0,23),isum
c/		write(113,72) yrmndy,(iresp(k),k=0,23),isump
c/		write(114,72) yrmndy,(iresn(k),k=0,23),isumn
c/	write(*,72) yrmndy,(ires(k),k=0,23),isum
c/ 	write(*,72) yrmndy,(iresp(k),k=0,23),isump
c/ 	write(*,72) yrmndy,(iresn(k),k=0,23),isumn
C
c/  500	CONTINUE ! next day
C
c/  100	CONTINUE ! next	month
   72 format(A6,24(1X,I4),1X,I6)
c/	CLOSE(unit=112)
c/	CLOSE(unit=113)
c/	CLOSE(unit=114)
c/	if (iyr.lt.15) then
c/	goto 111
c/	                else
	goto 900
c/	endif
    2 CONTINUE
           write(*,*) 'INPUT FILE IS NOT IN YOUR DIRECTORY ',infile
  900 RETURN
c/      STOP
      END

