C*************************************************************   
CC 
      SUBROUTINE SUBTECP3(IYYYY,IMN,IDY,TECNp3,TECSp3)
CC-------------------------------------------------------------------
CC......................................................Oct. 2017
CC Produce MEDIAN Proxy3=(_81dmed+_27dmed+_3dmed)/3 =smoothed TECNp3 and TECSp3 index
CC median for 81prec_days+27prec_days+3prec_days (average of 3 medians)
CC from TEC-noon-maps (1) at 96 North and (2) 96 South grids
CC
c T.L. Gulyaeva ......................................  Sep. 2001. 
c Modified for producing solar radio flux F10.7, F81, averaged for
c 81 days preceeding given day
C 
C------------------------------------------------------------------------
      DIMENSION tecn(82),tecs(82),CC(81)
C     +     	 lm(12)
C      CHARACTER*4 YEAR
C	CHARACTER*2 AYR,AMN,ADY
      CHARACTER*80 infilen,infiles
	COMMON /BL1/CC,SMED,SMIN,SMAX
C      DATA LM/31,28,31,30,31,30,31,31,30,31,30,31/
C
C START: 
      ipcnt=0 ! keep cnt -82,...-28,...,-1

         do k=1,82
       tecn(k)=0.
       tecs(k)=0.
         enddo

C
        iy=iyyyy-1900

 770       z1=iy/4.0
      if (iy.ge.100) then
      iyr=iy-100
      else
      iyr=iy
      endif
C      call blet4(iyyyy,YEAR)
C 	AYR=YEAR(3:4)
C	call blet2(imn,AMN)
C	call blet2(idy,ADY)
C
C
10    FORMAT(1X,3I2,1X,F5.1)
	infilen='tecmapdn.txt'
	infiles='tecmapds.txt'
C
C-------------------------------------------------------------------------------
C
      OPEN(13,FILE=infilen,STATUS='OLD',action='READ')  
	OPEN(14,FILE=infiles,STATUS='OLD',action='READ')  
      nn=0
  201 continue
      READ(13,10,END=202) JYR,JMN,JDY,tec1
	READ(14,10,END=202) JYR,JMN,JDY,tec2
C
C 
      tecn(82)=tec1
	tecs(82)=tec2
C Move data 1 line up:
      do k=1,81
      tecn(k)=tecn(k+1)
      tecs(k)=tecs(k+1)
      enddo
	if ((jyr.eq.iyr).and.(jmn.eq.imn).and.(jdy.eq.idy)) then
	GOTO 202
	else
	GOTO 201
	endif
  202 close(unit=13)
      close(unit=14)

C data for -81 preceding days are collected                       
  207 TCNp3=0.0
      TCSp3=0.0
      icnv=0
      do k=1,81
CAVE      TCN27=TCN27+tecn(k)
CAVE      TCS27=TCS27+tecs(k)
       CC(k)=tecn(k)  ! CMED
         enddo
	call submedp3	! CMED
	TECNp3=SMED		! CMED
	do k=1,81		! CMED
	 CC(k)=tecs(k)  ! CMED
         enddo		! CMED
	  call submedp3	! CMED
	TECSp3=SMED		! CMED
CAVE      TEC27N=TCN27/27.0
CAVE      TEC27S=TCS27/27.0
C
      RETURN
      END

C __________________________________________________________________________
C
